
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 32      |
| TEST_REGION               | [('0x80000078', '0x80002ce0')]      |
| SIG_REGION                | [('0x80004204', '0x80004b2c', '586 words')]      |
| COV_LABELS                | cand      |
| TEST_NAME                 | /home/bilalsakhawat/riscof_work/src/cand-01.S/cand-01.S    |
| Total Number of coverpoints| 648     |
| Total Coverpoints Hit     | 643      |
| Total Signature Updates   | 586      |
| STAT1                     | 585      |
| STAT2                     | 1      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```
Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x800015d6]:c.and a0, a1
      [0x800015d8]:sw a0, 1148(ra)
 -- Signature Address: 0x80004680 Data: 0x0000B503
 -- Redundant Coverpoints hit by the op
      - opcode : c.and
      - rs1 : x10
      - rs2 : x11
      - rs1 != rs2
      - rs1_val==46339 and rs2_val==46339
      - rs2_val > 0






```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|        signature         |                                                                                coverpoints                                                                                 |                             code                              |
|---:|--------------------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------|---------------------------------------------------------------|
|   1|[0x80004204]<br>0x80000000|- opcode : c.and<br> - rs1 : x14<br> - rs2 : x10<br> - rs1 != rs2<br> - rs1_val == (-2**(xlen-1))<br> - rs2_val == -8193<br> - rs1_val == -2147483648<br> - rs2_val < 0<br> |[0x8000008c]:c.and a4, a0<br> [0x8000008e]:sw a4, 0(ra)<br>    |
|   2|[0x80004208]<br>0x0000B503|- rs1 : x11<br> - rs2 : x11<br> - rs1 == rs2<br> - rs1_val==46339 and rs2_val==46339<br> - rs2_val > 0<br>                                                                  |[0x800000a2]:c.and a1, a1<br> [0x800000a4]:sw a1, 4(ra)<br>    |
|   3|[0x8000420c]<br>0xBFFF4AFC|- rs1 : x12<br> - rs2 : x9<br> - rs2_val == -1073741825<br>                                                                                                                 |[0x800000b8]:c.and a2, s1<br> [0x800000ba]:sw a2, 8(ra)<br>    |
|   4|[0x80004210]<br>0x00000003|- rs1 : x13<br> - rs2 : x12<br> - rs2_val == -536870913<br>                                                                                                                 |[0x800000ca]:c.and a3, a2<br> [0x800000cc]:sw a3, 12(ra)<br>   |
|   5|[0x80004214]<br>0x00000200|- rs1 : x8<br> - rs2 : x14<br> - rs2_val == -268435457<br> - rs1_val == 512<br>                                                                                             |[0x800000dc]:c.and s0, a4<br> [0x800000de]:sw fp, 16(ra)<br>   |
|   6|[0x80004218]<br>0x55555555|- rs1 : x10<br> - rs2 : x13<br> - rs2_val == -134217729<br> - rs1_val == 1431655765<br>                                                                                     |[0x800000f2]:c.and a0, a3<br> [0x800000f4]:sw a0, 20(ra)<br>   |
|   7|[0x8000421c]<br>0x00001000|- rs1 : x15<br> - rs2 : x8<br> - rs2_val == -67108865<br> - rs1_val == 4096<br>                                                                                             |[0x80000104]:c.and a5, s0<br> [0x80000106]:sw a5, 24(ra)<br>   |
|   8|[0x80004220]<br>0xFDFF7FFF|- rs1 : x9<br> - rs2 : x15<br> - rs2_val == -33554433<br> - rs1_val == -32769<br>                                                                                           |[0x8000011a]:c.and s1, a5<br> [0x8000011c]:sw s1, 28(ra)<br>   |
|   9|[0x80004224]<br>0xFEFFFFF9|- rs2_val == -16777217<br>                                                                                                                                                  |[0x8000012c]:c.and a0, a1<br> [0x8000012e]:sw a0, 32(ra)<br>   |
|  10|[0x80004228]<br>0xFF7FFFFA|- rs2_val == -8388609<br>                                                                                                                                                   |[0x8000013e]:c.and a0, a1<br> [0x80000140]:sw a0, 36(ra)<br>   |
|  11|[0x8000422c]<br>0x40000000|- rs2_val == -4194305<br> - rs1_val == 1073741824<br>                                                                                                                       |[0x80000150]:c.and a0, a1<br> [0x80000152]:sw a0, 40(ra)<br>   |
|  12|[0x80004230]<br>0x00000006|- rs2_val == -2097153<br>                                                                                                                                                   |[0x80000162]:c.and a0, a1<br> [0x80000164]:sw a0, 44(ra)<br>   |
|  13|[0x80004234]<br>0x00000020|- rs2_val == -1048577<br> - rs1_val == 32<br>                                                                                                                               |[0x80000174]:c.and a0, a1<br> [0x80000176]:sw a0, 48(ra)<br>   |
|  14|[0x80004238]<br>0x20000000|- rs2_val == -524289<br> - rs1_val == 536870912<br>                                                                                                                         |[0x80000186]:c.and a0, a1<br> [0x80000188]:sw a0, 52(ra)<br>   |
|  15|[0x8000423c]<br>0x00000020|- rs2_val == -262145<br>                                                                                                                                                    |[0x80000198]:c.and a0, a1<br> [0x8000019a]:sw a0, 56(ra)<br>   |
|  16|[0x80004240]<br>0xFFFDFFDF|- rs2_val == -131073<br> - rs1_val == -33<br>                                                                                                                               |[0x800001aa]:c.and a0, a1<br> [0x800001ac]:sw a0, 60(ra)<br>   |
|  17|[0x80004244]<br>0x66666665|- rs2_val == -65537<br>                                                                                                                                                     |[0x800001c0]:c.and a0, a1<br> [0x800001c2]:sw a0, 64(ra)<br>   |
|  18|[0x80004248]<br>0x00000000|- rs2_val == -32769<br> - rs1_val == 0<br>                                                                                                                                  |[0x800001d2]:c.and a0, a1<br> [0x800001d4]:sw a0, 68(ra)<br>   |
|  19|[0x8000424c]<br>0xFFFFBFF8|- rs2_val == -16385<br>                                                                                                                                                     |[0x800001e4]:c.and a0, a1<br> [0x800001e6]:sw a0, 72(ra)<br>   |
|  20|[0x80004250]<br>0x00000003|- rs2_val == -4097<br>                                                                                                                                                      |[0x800001f6]:c.and a0, a1<br> [0x800001f8]:sw a0, 76(ra)<br>   |
|  21|[0x80004254]<br>0xFFFFF7FD|- rs2_val == -2049<br> - rs1_val == -3<br>                                                                                                                                  |[0x80000208]:c.and a0, a1<br> [0x8000020a]:sw a0, 80(ra)<br>   |
|  22|[0x80004258]<br>0x00000003|- rs2_val == -1025<br>                                                                                                                                                      |[0x80000216]:c.and a0, a1<br> [0x80000218]:sw a0, 84(ra)<br>   |
|  23|[0x8000425c]<br>0x00200000|- rs2_val == -513<br> - rs1_val == 2097152<br>                                                                                                                              |[0x80000224]:c.and a0, a1<br> [0x80000226]:sw a0, 88(ra)<br>   |
|  24|[0x80004260]<br>0x55555456|- rs2_val == -257<br>                                                                                                                                                       |[0x80000236]:c.and a0, a1<br> [0x80000238]:sw a0, 92(ra)<br>   |
|  25|[0x80004264]<br>0xFFFFFF7C|- rs2_val == -129<br>                                                                                                                                                       |[0x80000244]:c.and a0, a1<br> [0x80000246]:sw a0, 96(ra)<br>   |
|  26|[0x80004268]<br>0xFFFF4ABD|- rs2_val == -65<br>                                                                                                                                                        |[0x80000256]:c.and a0, a1<br> [0x80000258]:sw a0, 100(ra)<br>  |
|  27|[0x8000426c]<br>0x20000000|- rs2_val == -33<br>                                                                                                                                                        |[0x80000264]:c.and a0, a1<br> [0x80000266]:sw a0, 104(ra)<br>  |
|  28|[0x80004270]<br>0x55555545|- rs2_val == -17<br>                                                                                                                                                        |[0x80000276]:c.and a0, a1<br> [0x80000278]:sw a0, 108(ra)<br>  |
|  29|[0x80004274]<br>0xAAAAAAA3|- rs2_val == -9<br>                                                                                                                                                         |[0x80000288]:c.and a0, a1<br> [0x8000028a]:sw a0, 112(ra)<br>  |
|  30|[0x80004278]<br>0x80000000|- rs2_val == -5<br>                                                                                                                                                         |[0x80000296]:c.and a0, a1<br> [0x80000298]:sw a0, 116(ra)<br>  |
|  31|[0x8000427c]<br>0xDFFFFFFD|- rs2_val == -3<br> - rs1_val == -536870913<br>                                                                                                                             |[0x800002a8]:c.and a0, a1<br> [0x800002aa]:sw a0, 120(ra)<br>  |
|  32|[0x80004280]<br>0x33333334|- rs2_val == -2<br>                                                                                                                                                         |[0x800002ba]:c.and a0, a1<br> [0x800002bc]:sw a0, 124(ra)<br>  |
|  33|[0x80004284]<br>0x00000800|- rs1_val == 2147483647<br> - rs2_val == 2048<br> - rs1_val == (2**(xlen-1)-1)<br>                                                                                          |[0x800002d0]:c.and a0, a1<br> [0x800002d2]:sw a0, 128(ra)<br>  |
|  34|[0x80004288]<br>0x15555555|- rs1_val == -1073741825<br> - rs2_val == 1431655765<br>                                                                                                                    |[0x800002e6]:c.and a0, a1<br> [0x800002e8]:sw a0, 132(ra)<br>  |
|  35|[0x8000428c]<br>0x2FFFFFFF|- rs1_val == -268435457<br>                                                                                                                                                 |[0x800002fc]:c.and a0, a1<br> [0x800002fe]:sw a0, 136(ra)<br>  |
|  36|[0x80004290]<br>0xF7FEFFFF|- rs1_val == -134217729<br>                                                                                                                                                 |[0x80000312]:c.and a0, a1<br> [0x80000314]:sw a0, 140(ra)<br>  |
|  37|[0x80004294]<br>0x00000009|- rs1_val == -67108865<br>                                                                                                                                                  |[0x80000324]:c.and a0, a1<br> [0x80000326]:sw a0, 144(ra)<br>  |
|  38|[0x80004298]<br>0xDDFFFFFF|- rs1_val == -33554433<br>                                                                                                                                                  |[0x8000033a]:c.and a0, a1<br> [0x8000033c]:sw a0, 148(ra)<br>  |
|  39|[0x8000429c]<br>0xFEFFFFFA|- rs1_val == -16777217<br>                                                                                                                                                  |[0x8000034c]:c.and a0, a1<br> [0x8000034e]:sw a0, 152(ra)<br>  |
|  40|[0x800042a0]<br>0xC0000000|- rs1_val == -8388609<br>                                                                                                                                                   |[0x8000035e]:c.and a0, a1<br> [0x80000360]:sw a0, 156(ra)<br>  |
|  41|[0x800042a4]<br>0x00008000|- rs1_val == -4194305<br> - rs2_val == 32768<br>                                                                                                                            |[0x80000370]:c.and a0, a1<br> [0x80000372]:sw a0, 160(ra)<br>  |
|  42|[0x800042a8]<br>0xFFDF7FFF|- rs1_val == -2097153<br>                                                                                                                                                   |[0x80000386]:c.and a0, a1<br> [0x80000388]:sw a0, 164(ra)<br>  |
|  43|[0x800042ac]<br>0x00200000|- rs1_val == -1048577<br> - rs2_val == 2097152<br>                                                                                                                          |[0x80000398]:c.and a0, a1<br> [0x8000039a]:sw a0, 168(ra)<br>  |
|  44|[0x800042b0]<br>0x00000100|- rs1_val == -524289<br> - rs2_val == 256<br>                                                                                                                               |[0x800003aa]:c.and a0, a1<br> [0x800003ac]:sw a0, 172(ra)<br>  |
|  45|[0x800042b4]<br>0x00000000|- rs1_val == -262145<br> - rs2_val == 0<br>                                                                                                                                 |[0x800003bc]:c.and a0, a1<br> [0x800003be]:sw a0, 176(ra)<br>  |
|  46|[0x800042b8]<br>0xFFFDFFFC|- rs1_val == -131073<br>                                                                                                                                                    |[0x800003ce]:c.and a0, a1<br> [0x800003d0]:sw a0, 180(ra)<br>  |
|  47|[0x800042bc]<br>0x00000006|- rs1_val == -65537<br>                                                                                                                                                     |[0x800003e0]:c.and a0, a1<br> [0x800003e2]:sw a0, 184(ra)<br>  |
|  48|[0x800042c0]<br>0x00020000|- rs1_val == -16385<br> - rs2_val == 131072<br>                                                                                                                             |[0x800003f2]:c.and a0, a1<br> [0x800003f4]:sw a0, 188(ra)<br>  |
|  49|[0x800042c4]<br>0x40000000|- rs1_val == -8193<br> - rs2_val == 1073741824<br>                                                                                                                          |[0x80000404]:c.and a0, a1<br> [0x80000406]:sw a0, 192(ra)<br>  |
|  50|[0x800042c8]<br>0x55554554|- rs1_val == -4097<br>                                                                                                                                                      |[0x8000041a]:c.and a0, a1<br> [0x8000041c]:sw a0, 196(ra)<br>  |
|  51|[0x800042cc]<br>0xFFFF42FD|- rs1_val == -2049<br>                                                                                                                                                      |[0x80000430]:c.and a0, a1<br> [0x80000432]:sw a0, 200(ra)<br>  |
|  52|[0x800042d0]<br>0x55555156|- rs1_val == -1025<br>                                                                                                                                                      |[0x80000442]:c.and a0, a1<br> [0x80000444]:sw a0, 204(ra)<br>  |
|  53|[0x800042d4]<br>0xFFFFFD7F|- rs1_val == -513<br>                                                                                                                                                       |[0x80000450]:c.and a0, a1<br> [0x80000452]:sw a0, 208(ra)<br>  |
|  54|[0x800042d8]<br>0xFFFFFEFD|- rs1_val == -257<br>                                                                                                                                                       |[0x8000045e]:c.and a0, a1<br> [0x80000460]:sw a0, 212(ra)<br>  |
|  55|[0x800042dc]<br>0x00000004|- rs1_val == -129<br> - rs2_val == 4<br>                                                                                                                                    |[0x8000046c]:c.and a0, a1<br> [0x8000046e]:sw a0, 216(ra)<br>  |
|  56|[0x800042e0]<br>0x00000200|- rs1_val == -65<br> - rs2_val == 512<br>                                                                                                                                   |[0x8000047a]:c.and a0, a1<br> [0x8000047c]:sw a0, 220(ra)<br>  |
|  57|[0x800042e4]<br>0x00000006|- rs1_val == -17<br>                                                                                                                                                        |[0x80000488]:c.and a0, a1<br> [0x8000048a]:sw a0, 224(ra)<br>  |
|  58|[0x800042e8]<br>0x00100000|- rs1_val == -9<br> - rs2_val == 1048576<br>                                                                                                                                |[0x80000496]:c.and a0, a1<br> [0x80000498]:sw a0, 228(ra)<br>  |
|  59|[0x800042ec]<br>0xAAAAAAAA|- rs1_val == -5<br> - rs2_val == -1431655766<br>                                                                                                                            |[0x800004a8]:c.and a0, a1<br> [0x800004aa]:sw a0, 232(ra)<br>  |
|  60|[0x800042f0]<br>0x00000002|- rs1_val == -2<br>                                                                                                                                                         |[0x800004b6]:c.and a0, a1<br> [0x800004b8]:sw a0, 236(ra)<br>  |
|  61|[0x800042f4]<br>0x80000000|- rs2_val == -2147483648<br> - rs2_val == (-2**(xlen-1))<br>                                                                                                                |[0x800004c4]:c.and a0, a1<br> [0x800004c6]:sw a0, 240(ra)<br>  |
|  62|[0x800042f8]<br>0x00000000|- rs2_val == 536870912<br> - rs1_val == 33554432<br>                                                                                                                        |[0x800004d2]:c.and a0, a1<br> [0x800004d4]:sw a0, 244(ra)<br>  |
|  63|[0x800042fc]<br>0x00000000|- rs2_val == 268435456<br> - rs1_val == 8<br>                                                                                                                               |[0x800004e0]:c.and a0, a1<br> [0x800004e2]:sw a0, 248(ra)<br>  |
|  64|[0x80004300]<br>0x08000000|- rs2_val == 134217728<br>                                                                                                                                                  |[0x800004ee]:c.and a0, a1<br> [0x800004f0]:sw a0, 252(ra)<br>  |
|  65|[0x80004304]<br>0x00000000|- rs2_val == 67108864<br> - rs1_val == 64<br>                                                                                                                               |[0x800004fc]:c.and a0, a1<br> [0x800004fe]:sw a0, 256(ra)<br>  |
|  66|[0x80004308]<br>0x00000000|- rs2_val == 33554432<br>                                                                                                                                                   |[0x8000050a]:c.and a0, a1<br> [0x8000050c]:sw a0, 260(ra)<br>  |
|  67|[0x8000430c]<br>0x00000000|- rs2_val == 16777216<br>                                                                                                                                                   |[0x80000518]:c.and a0, a1<br> [0x8000051a]:sw a0, 264(ra)<br>  |
|  68|[0x80004310]<br>0x00000000|- rs2_val == 8388608<br>                                                                                                                                                    |[0x8000052a]:c.and a0, a1<br> [0x8000052c]:sw a0, 268(ra)<br>  |
|  69|[0x80004314]<br>0x00400000|- rs2_val == 4194304<br>                                                                                                                                                    |[0x8000053c]:c.and a0, a1<br> [0x8000053e]:sw a0, 272(ra)<br>  |
|  70|[0x80004318]<br>0x00080000|- rs2_val == 524288<br>                                                                                                                                                     |[0x8000054e]:c.and a0, a1<br> [0x80000550]:sw a0, 276(ra)<br>  |
|  71|[0x8000431c]<br>0x00040000|- rs2_val == 262144<br>                                                                                                                                                     |[0x80000560]:c.and a0, a1<br> [0x80000562]:sw a0, 280(ra)<br>  |
|  72|[0x80004320]<br>0x00000000|- rs2_val == 65536<br>                                                                                                                                                      |[0x8000056e]:c.and a0, a1<br> [0x80000570]:sw a0, 284(ra)<br>  |
|  73|[0x80004324]<br>0x00000000|- rs2_val == 16384<br> - rs1_val == 8388608<br>                                                                                                                             |[0x8000057c]:c.and a0, a1<br> [0x8000057e]:sw a0, 288(ra)<br>  |
|  74|[0x80004328]<br>0x00002000|- rs2_val == 8192<br>                                                                                                                                                       |[0x8000058e]:c.and a0, a1<br> [0x80000590]:sw a0, 292(ra)<br>  |
|  75|[0x8000432c]<br>0x00001000|- rs2_val == 4096<br>                                                                                                                                                       |[0x8000059c]:c.and a0, a1<br> [0x8000059e]:sw a0, 296(ra)<br>  |
|  76|[0x80004330]<br>0x00000400|- rs2_val == 1024<br>                                                                                                                                                       |[0x800005ae]:c.and a0, a1<br> [0x800005b0]:sw a0, 300(ra)<br>  |
|  77|[0x80004334]<br>0x00000080|- rs2_val == 128<br>                                                                                                                                                        |[0x800005bc]:c.and a0, a1<br> [0x800005be]:sw a0, 304(ra)<br>  |
|  78|[0x80004338]<br>0x00000040|- rs2_val == 64<br>                                                                                                                                                         |[0x800005ca]:c.and a0, a1<br> [0x800005cc]:sw a0, 308(ra)<br>  |
|  79|[0x8000433c]<br>0x00000020|- rs2_val == 32<br>                                                                                                                                                         |[0x800005dc]:c.and a0, a1<br> [0x800005de]:sw a0, 312(ra)<br>  |
|  80|[0x80004340]<br>0x00000010|- rs2_val == 16<br>                                                                                                                                                         |[0x800005ee]:c.and a0, a1<br> [0x800005f0]:sw a0, 316(ra)<br>  |
|  81|[0x80004344]<br>0x00000008|- rs2_val == 8<br>                                                                                                                                                          |[0x80000600]:c.and a0, a1<br> [0x80000602]:sw a0, 320(ra)<br>  |
|  82|[0x80004348]<br>0x00000000|- rs2_val == 2<br> - rs1_val==1717986917 and rs2_val==2<br>                                                                                                                 |[0x80000612]:c.and a0, a1<br> [0x80000614]:sw a0, 324(ra)<br>  |
|  83|[0x8000434c]<br>0x00000001|- rs2_val == 1<br>                                                                                                                                                          |[0x80000624]:c.and a0, a1<br> [0x80000626]:sw a0, 328(ra)<br>  |
|  84|[0x80004350]<br>0x10000000|- rs1_val == 268435456<br>                                                                                                                                                  |[0x80000636]:c.and a0, a1<br> [0x80000638]:sw a0, 332(ra)<br>  |
|  85|[0x80004354]<br>0x00000000|- rs1_val == 134217728<br>                                                                                                                                                  |[0x80000644]:c.and a0, a1<br> [0x80000646]:sw a0, 336(ra)<br>  |
|  86|[0x80004358]<br>0x04000000|- rs1_val == 67108864<br>                                                                                                                                                   |[0x80000656]:c.and a0, a1<br> [0x80000658]:sw a0, 340(ra)<br>  |
|  87|[0x8000435c]<br>0x01000000|- rs1_val == 16777216<br>                                                                                                                                                   |[0x80000668]:c.and a0, a1<br> [0x8000066a]:sw a0, 344(ra)<br>  |
|  88|[0x80004360]<br>0x00000000|- rs1_val == 4194304<br>                                                                                                                                                    |[0x80000676]:c.and a0, a1<br> [0x80000678]:sw a0, 348(ra)<br>  |
|  89|[0x80004364]<br>0x00100000|- rs2_val == 2147483647<br> - rs1_val == 1048576<br> - rs2_val == (2**(xlen-1)-1)<br>                                                                                       |[0x80000688]:c.and a0, a1<br> [0x8000068a]:sw a0, 352(ra)<br>  |
|  90|[0x80004368]<br>0x00000000|- rs1_val == 524288<br>                                                                                                                                                     |[0x80000696]:c.and a0, a1<br> [0x80000698]:sw a0, 356(ra)<br>  |
|  91|[0x8000436c]<br>0x00040000|- rs1_val == 262144<br>                                                                                                                                                     |[0x800006a4]:c.and a0, a1<br> [0x800006a6]:sw a0, 360(ra)<br>  |
|  92|[0x80004370]<br>0x00020000|- rs1_val == 131072<br>                                                                                                                                                     |[0x800006b6]:c.and a0, a1<br> [0x800006b8]:sw a0, 364(ra)<br>  |
|  93|[0x80004374]<br>0x00010000|- rs1_val == 65536<br>                                                                                                                                                      |[0x800006c4]:c.and a0, a1<br> [0x800006c6]:sw a0, 368(ra)<br>  |
|  94|[0x80004378]<br>0x00000000|- rs1_val == 32768<br>                                                                                                                                                      |[0x800006d2]:c.and a0, a1<br> [0x800006d4]:sw a0, 372(ra)<br>  |
|  95|[0x8000437c]<br>0x00000000|- rs1_val == 16384<br>                                                                                                                                                      |[0x800006e4]:c.and a0, a1<br> [0x800006e6]:sw a0, 376(ra)<br>  |
|  96|[0x80004380]<br>0x00002000|- rs1_val == 8192<br>                                                                                                                                                       |[0x800006f2]:c.and a0, a1<br> [0x800006f4]:sw a0, 380(ra)<br>  |
|  97|[0x80004384]<br>0x00000000|- rs1_val == 2048<br>                                                                                                                                                       |[0x80000704]:c.and a0, a1<br> [0x80000706]:sw a0, 384(ra)<br>  |
|  98|[0x80004388]<br>0x00000400|- rs1_val == 1024<br>                                                                                                                                                       |[0x80000716]:c.and a0, a1<br> [0x80000718]:sw a0, 388(ra)<br>  |
|  99|[0x8000438c]<br>0x00000100|- rs1_val == 256<br>                                                                                                                                                        |[0x80000728]:c.and a0, a1<br> [0x8000072a]:sw a0, 392(ra)<br>  |
| 100|[0x80004390]<br>0x00000080|- rs1_val == 128<br>                                                                                                                                                        |[0x8000073a]:c.and a0, a1<br> [0x8000073c]:sw a0, 396(ra)<br>  |
| 101|[0x80004394]<br>0x00000000|- rs1_val == 16<br>                                                                                                                                                         |[0x8000074c]:c.and a0, a1<br> [0x8000074e]:sw a0, 400(ra)<br>  |
| 102|[0x80004398]<br>0x00000004|- rs1_val == 4<br> - rs1_val==4 and rs2_val==1431655766<br>                                                                                                                 |[0x8000075e]:c.and a0, a1<br> [0x80000760]:sw a0, 404(ra)<br>  |
| 103|[0x8000439c]<br>0x00000000|- rs1_val == 2<br>                                                                                                                                                          |[0x8000076c]:c.and a0, a1<br> [0x8000076e]:sw a0, 408(ra)<br>  |
| 104|[0x800043a0]<br>0x00000000|- rs1_val == 1<br>                                                                                                                                                          |[0x8000077a]:c.and a0, a1<br> [0x8000077c]:sw a0, 412(ra)<br>  |
| 105|[0x800043a4]<br>0x0000B505|- rs1_val==46341 and rs2_val==46341<br>                                                                                                                                     |[0x80000790]:c.and a0, a1<br> [0x80000792]:sw a0, 416(ra)<br>  |
| 106|[0x800043a8]<br>0x00000005|- rs1_val==46341 and rs2_val==-46339<br>                                                                                                                                    |[0x800007a6]:c.and a0, a1<br> [0x800007a8]:sw a0, 420(ra)<br>  |
| 107|[0x800043ac]<br>0x00002405|- rs1_val==46341 and rs2_val==1717986919<br>                                                                                                                                |[0x800007bc]:c.and a0, a1<br> [0x800007be]:sw a0, 424(ra)<br>  |
| 108|[0x800043b0]<br>0x00003104|- rs1_val==46341 and rs2_val==858993460<br>                                                                                                                                 |[0x800007d2]:c.and a0, a1<br> [0x800007d4]:sw a0, 428(ra)<br>  |
| 109|[0x800043b4]<br>0x00000004|- rs1_val==46341 and rs2_val==6<br>                                                                                                                                         |[0x800007e4]:c.and a0, a1<br> [0x800007e6]:sw a0, 432(ra)<br>  |
| 110|[0x800043b8]<br>0x0000A001|- rs1_val==46341 and rs2_val==-1431655765<br>                                                                                                                               |[0x800007fa]:c.and a0, a1<br> [0x800007fc]:sw a0, 436(ra)<br>  |
| 111|[0x800043bc]<br>0x00001504|- rs1_val==46341 and rs2_val==1431655766<br>                                                                                                                                |[0x80000810]:c.and a0, a1<br> [0x80000812]:sw a0, 440(ra)<br>  |
| 112|[0x800043c0]<br>0x00000004|- rs1_val==46341 and rs2_val==4<br>                                                                                                                                         |[0x80000822]:c.and a0, a1<br> [0x80000824]:sw a0, 444(ra)<br>  |
| 113|[0x800043c4]<br>0x0000B501|- rs1_val==46341 and rs2_val==46339<br>                                                                                                                                     |[0x80000838]:c.and a0, a1<br> [0x8000083a]:sw a0, 448(ra)<br>  |
| 114|[0x800043c8]<br>0x00000000|- rs1_val==46341 and rs2_val==0<br>                                                                                                                                         |[0x8000084a]:c.and a0, a1<br> [0x8000084c]:sw a0, 452(ra)<br>  |
| 115|[0x800043cc]<br>0x00002405|- rs1_val==46341 and rs2_val==1717986917<br>                                                                                                                                |[0x80000860]:c.and a0, a1<br> [0x80000862]:sw a0, 456(ra)<br>  |
| 116|[0x800043d0]<br>0x00003100|- rs1_val==46341 and rs2_val==858993458<br>                                                                                                                                 |[0x80000876]:c.and a0, a1<br> [0x80000878]:sw a0, 460(ra)<br>  |
| 117|[0x800043d4]<br>0x00001504|- rs1_val==46341 and rs2_val==1431655764<br>                                                                                                                                |[0x8000088c]:c.and a0, a1<br> [0x8000088e]:sw a0, 464(ra)<br>  |
| 118|[0x800043d8]<br>0x00000000|- rs1_val==46341 and rs2_val==2<br>                                                                                                                                         |[0x8000089e]:c.and a0, a1<br> [0x800008a0]:sw a0, 468(ra)<br>  |
| 119|[0x800043dc]<br>0x0000B504|- rs1_val==46341 and rs2_val==46340<br>                                                                                                                                     |[0x800008b4]:c.and a0, a1<br> [0x800008b6]:sw a0, 472(ra)<br>  |
| 120|[0x800043e0]<br>0x00000004|- rs1_val==46341 and rs2_val==-46340<br>                                                                                                                                    |[0x800008ca]:c.and a0, a1<br> [0x800008cc]:sw a0, 476(ra)<br>  |
| 121|[0x800043e4]<br>0x00002404|- rs1_val==46341 and rs2_val==1717986918<br>                                                                                                                                |[0x800008e0]:c.and a0, a1<br> [0x800008e2]:sw a0, 480(ra)<br>  |
| 122|[0x800043e8]<br>0x00003101|- rs1_val==46341 and rs2_val==858993459<br>                                                                                                                                 |[0x800008f6]:c.and a0, a1<br> [0x800008f8]:sw a0, 484(ra)<br>  |
| 123|[0x800043ec]<br>0x00000005|- rs1_val==46341 and rs2_val==5<br>                                                                                                                                         |[0x80000908]:c.and a0, a1<br> [0x8000090a]:sw a0, 488(ra)<br>  |
| 124|[0x800043f0]<br>0x0000A000|- rs1_val==46341 and rs2_val==-1431655766<br>                                                                                                                               |[0x8000091e]:c.and a0, a1<br> [0x80000920]:sw a0, 492(ra)<br>  |
| 125|[0x800043f4]<br>0x00001505|- rs1_val==46341 and rs2_val==1431655765<br>                                                                                                                                |[0x80000934]:c.and a0, a1<br> [0x80000936]:sw a0, 496(ra)<br>  |
| 126|[0x800043f8]<br>0x00000001|- rs1_val==46341 and rs2_val==3<br>                                                                                                                                         |[0x80000946]:c.and a0, a1<br> [0x80000948]:sw a0, 500(ra)<br>  |
| 127|[0x800043fc]<br>0x00000005|- rs1_val==-46339 and rs2_val==46341<br>                                                                                                                                    |[0x8000095c]:c.and a0, a1<br> [0x8000095e]:sw a0, 504(ra)<br>  |
| 128|[0x80004400]<br>0xFFFF4AFD|- rs1_val==-46339 and rs2_val==-46339<br>                                                                                                                                   |[0x80000972]:c.and a0, a1<br> [0x80000974]:sw a0, 508(ra)<br>  |
| 129|[0x80004404]<br>0x66664265|- rs1_val==-46339 and rs2_val==1717986919<br>                                                                                                                               |[0x80000988]:c.and a0, a1<br> [0x8000098a]:sw a0, 512(ra)<br>  |
| 130|[0x80004408]<br>0x33330234|- rs1_val==-46339 and rs2_val==858993460<br>                                                                                                                                |[0x8000099e]:c.and a0, a1<br> [0x800009a0]:sw a0, 516(ra)<br>  |
| 131|[0x8000440c]<br>0x00000004|- rs1_val==-46339 and rs2_val==6<br>                                                                                                                                        |[0x800009b0]:c.and a0, a1<br> [0x800009b2]:sw a0, 520(ra)<br>  |
| 132|[0x80004410]<br>0xAAAA0AA9|- rs1_val==-46339 and rs2_val==-1431655765<br>                                                                                                                              |[0x800009c6]:c.and a0, a1<br> [0x800009c8]:sw a0, 524(ra)<br>  |
| 133|[0x80004414]<br>0x55554054|- rs1_val==-46339 and rs2_val==1431655766<br>                                                                                                                               |[0x800009dc]:c.and a0, a1<br> [0x800009de]:sw a0, 528(ra)<br>  |
| 134|[0x80004418]<br>0x00000004|- rs1_val==-46339 and rs2_val==4<br>                                                                                                                                        |[0x800009ee]:c.and a0, a1<br> [0x800009f0]:sw a0, 532(ra)<br>  |
| 135|[0x8000441c]<br>0x00000001|- rs1_val==-46339 and rs2_val==46339<br>                                                                                                                                    |[0x80000a04]:c.and a0, a1<br> [0x80000a06]:sw a0, 536(ra)<br>  |
| 136|[0x80004420]<br>0x00000000|- rs1_val==-46339 and rs2_val==0<br>                                                                                                                                        |[0x80000a16]:c.and a0, a1<br> [0x80000a18]:sw a0, 540(ra)<br>  |
| 137|[0x80004424]<br>0x66664265|- rs1_val==-46339 and rs2_val==1717986917<br>                                                                                                                               |[0x80000a2c]:c.and a0, a1<br> [0x80000a2e]:sw a0, 544(ra)<br>  |
| 138|[0x80004428]<br>0x33330230|- rs1_val==-46339 and rs2_val==858993458<br>                                                                                                                                |[0x80000a42]:c.and a0, a1<br> [0x80000a44]:sw a0, 548(ra)<br>  |
| 139|[0x8000442c]<br>0x55554054|- rs1_val==-46339 and rs2_val==1431655764<br>                                                                                                                               |[0x80000a58]:c.and a0, a1<br> [0x80000a5a]:sw a0, 552(ra)<br>  |
| 140|[0x80004430]<br>0x00000000|- rs1_val==-46339 and rs2_val==2<br>                                                                                                                                        |[0x80000a6a]:c.and a0, a1<br> [0x80000a6c]:sw a0, 556(ra)<br>  |
| 141|[0x80004434]<br>0x00000004|- rs1_val==-46339 and rs2_val==46340<br>                                                                                                                                    |[0x80000a80]:c.and a0, a1<br> [0x80000a82]:sw a0, 560(ra)<br>  |
| 142|[0x80004438]<br>0xFFFF4AFC|- rs1_val==-46339 and rs2_val==-46340<br>                                                                                                                                   |[0x80000a96]:c.and a0, a1<br> [0x80000a98]:sw a0, 564(ra)<br>  |
| 143|[0x8000443c]<br>0x66664264|- rs1_val==-46339 and rs2_val==1717986918<br>                                                                                                                               |[0x80000aac]:c.and a0, a1<br> [0x80000aae]:sw a0, 568(ra)<br>  |
| 144|[0x80004440]<br>0x33330231|- rs1_val==-46339 and rs2_val==858993459<br>                                                                                                                                |[0x80000ac2]:c.and a0, a1<br> [0x80000ac4]:sw a0, 572(ra)<br>  |
| 145|[0x80004444]<br>0x00000005|- rs1_val==-46339 and rs2_val==5<br>                                                                                                                                        |[0x80000ad4]:c.and a0, a1<br> [0x80000ad6]:sw a0, 576(ra)<br>  |
| 146|[0x80004448]<br>0xAAAA0AA8|- rs1_val==-46339 and rs2_val==-1431655766<br>                                                                                                                              |[0x80000aea]:c.and a0, a1<br> [0x80000aec]:sw a0, 580(ra)<br>  |
| 147|[0x8000444c]<br>0x55554055|- rs1_val==-46339 and rs2_val==1431655765<br>                                                                                                                               |[0x80000b00]:c.and a0, a1<br> [0x80000b02]:sw a0, 584(ra)<br>  |
| 148|[0x80004450]<br>0x00000001|- rs1_val==-46339 and rs2_val==3<br>                                                                                                                                        |[0x80000b12]:c.and a0, a1<br> [0x80000b14]:sw a0, 588(ra)<br>  |
| 149|[0x80004454]<br>0x00002405|- rs1_val==1717986919 and rs2_val==46341<br>                                                                                                                                |[0x80000b28]:c.and a0, a1<br> [0x80000b2a]:sw a0, 592(ra)<br>  |
| 150|[0x80004458]<br>0x66664265|- rs1_val==1717986919 and rs2_val==-46339<br>                                                                                                                               |[0x80000b3e]:c.and a0, a1<br> [0x80000b40]:sw a0, 596(ra)<br>  |
| 151|[0x8000445c]<br>0x66666667|- rs1_val==1717986919 and rs2_val==1717986919<br>                                                                                                                           |[0x80000b54]:c.and a0, a1<br> [0x80000b56]:sw a0, 600(ra)<br>  |
| 152|[0x80004460]<br>0x22222224|- rs1_val==1717986919 and rs2_val==858993460<br>                                                                                                                            |[0x80000b6a]:c.and a0, a1<br> [0x80000b6c]:sw a0, 604(ra)<br>  |
| 153|[0x80004464]<br>0x00000006|- rs1_val==1717986919 and rs2_val==6<br>                                                                                                                                    |[0x80000b7c]:c.and a0, a1<br> [0x80000b7e]:sw a0, 608(ra)<br>  |
| 154|[0x80004468]<br>0x22222223|- rs1_val==1717986919 and rs2_val==-1431655765<br>                                                                                                                          |[0x80000b92]:c.and a0, a1<br> [0x80000b94]:sw a0, 612(ra)<br>  |
| 155|[0x8000446c]<br>0x44444446|- rs1_val==1717986919 and rs2_val==1431655766<br>                                                                                                                           |[0x80000ba8]:c.and a0, a1<br> [0x80000baa]:sw a0, 616(ra)<br>  |
| 156|[0x80004470]<br>0x00000004|- rs1_val==1717986919 and rs2_val==4<br>                                                                                                                                    |[0x80000bba]:c.and a0, a1<br> [0x80000bbc]:sw a0, 620(ra)<br>  |
| 157|[0x80004474]<br>0x00002403|- rs1_val==1717986919 and rs2_val==46339<br>                                                                                                                                |[0x80000bd0]:c.and a0, a1<br> [0x80000bd2]:sw a0, 624(ra)<br>  |
| 158|[0x80004478]<br>0x00000000|- rs1_val==1717986919 and rs2_val==0<br>                                                                                                                                    |[0x80000be2]:c.and a0, a1<br> [0x80000be4]:sw a0, 628(ra)<br>  |
| 159|[0x8000447c]<br>0x66666665|- rs1_val==1717986919 and rs2_val==1717986917<br>                                                                                                                           |[0x80000bf8]:c.and a0, a1<br> [0x80000bfa]:sw a0, 632(ra)<br>  |
| 160|[0x80004480]<br>0x22222222|- rs1_val==1717986919 and rs2_val==858993458<br>                                                                                                                            |[0x80000c0e]:c.and a0, a1<br> [0x80000c10]:sw a0, 636(ra)<br>  |
| 161|[0x80004484]<br>0x44444444|- rs1_val==1717986919 and rs2_val==1431655764<br>                                                                                                                           |[0x80000c24]:c.and a0, a1<br> [0x80000c26]:sw a0, 640(ra)<br>  |
| 162|[0x80004488]<br>0x00000002|- rs1_val==1717986919 and rs2_val==2<br>                                                                                                                                    |[0x80000c36]:c.and a0, a1<br> [0x80000c38]:sw a0, 644(ra)<br>  |
| 163|[0x8000448c]<br>0x00002404|- rs1_val==1717986919 and rs2_val==46340<br>                                                                                                                                |[0x80000c4c]:c.and a0, a1<br> [0x80000c4e]:sw a0, 648(ra)<br>  |
| 164|[0x80004490]<br>0x66664264|- rs1_val==1717986919 and rs2_val==-46340<br>                                                                                                                               |[0x80000c62]:c.and a0, a1<br> [0x80000c64]:sw a0, 652(ra)<br>  |
| 165|[0x80004494]<br>0x66666666|- rs1_val==1717986919 and rs2_val==1717986918<br>                                                                                                                           |[0x80000c78]:c.and a0, a1<br> [0x80000c7a]:sw a0, 656(ra)<br>  |
| 166|[0x80004498]<br>0x22222223|- rs1_val==1717986919 and rs2_val==858993459<br>                                                                                                                            |[0x80000c8e]:c.and a0, a1<br> [0x80000c90]:sw a0, 660(ra)<br>  |
| 167|[0x8000449c]<br>0x00000005|- rs1_val==1717986919 and rs2_val==5<br>                                                                                                                                    |[0x80000ca0]:c.and a0, a1<br> [0x80000ca2]:sw a0, 664(ra)<br>  |
| 168|[0x800044a0]<br>0x22222222|- rs1_val==1717986919 and rs2_val==-1431655766<br>                                                                                                                          |[0x80000cb6]:c.and a0, a1<br> [0x80000cb8]:sw a0, 668(ra)<br>  |
| 169|[0x800044a4]<br>0x44444445|- rs1_val==1717986919 and rs2_val==1431655765<br>                                                                                                                           |[0x80000ccc]:c.and a0, a1<br> [0x80000cce]:sw a0, 672(ra)<br>  |
| 170|[0x800044a8]<br>0x00000003|- rs1_val==1717986919 and rs2_val==3<br>                                                                                                                                    |[0x80000cde]:c.and a0, a1<br> [0x80000ce0]:sw a0, 676(ra)<br>  |
| 171|[0x800044ac]<br>0x00003104|- rs1_val==858993460 and rs2_val==46341<br>                                                                                                                                 |[0x80000cf4]:c.and a0, a1<br> [0x80000cf6]:sw a0, 680(ra)<br>  |
| 172|[0x800044b0]<br>0x33330234|- rs1_val==858993460 and rs2_val==-46339<br>                                                                                                                                |[0x80000d0a]:c.and a0, a1<br> [0x80000d0c]:sw a0, 684(ra)<br>  |
| 173|[0x800044b4]<br>0x22222224|- rs1_val==858993460 and rs2_val==1717986919<br>                                                                                                                            |[0x80000d20]:c.and a0, a1<br> [0x80000d22]:sw a0, 688(ra)<br>  |
| 174|[0x800044b8]<br>0x33333334|- rs1_val==858993460 and rs2_val==858993460<br>                                                                                                                             |[0x80000d36]:c.and a0, a1<br> [0x80000d38]:sw a0, 692(ra)<br>  |
| 175|[0x800044bc]<br>0x00000004|- rs1_val==858993460 and rs2_val==6<br>                                                                                                                                     |[0x80000d48]:c.and a0, a1<br> [0x80000d4a]:sw a0, 696(ra)<br>  |
| 176|[0x800044c0]<br>0x22222220|- rs1_val==858993460 and rs2_val==-1431655765<br>                                                                                                                           |[0x80000d5e]:c.and a0, a1<br> [0x80000d60]:sw a0, 700(ra)<br>  |
| 177|[0x800044c4]<br>0x11111114|- rs1_val==858993460 and rs2_val==1431655766<br>                                                                                                                            |[0x80000d74]:c.and a0, a1<br> [0x80000d76]:sw a0, 704(ra)<br>  |
| 178|[0x800044c8]<br>0x00000004|- rs1_val==858993460 and rs2_val==4<br>                                                                                                                                     |[0x80000d86]:c.and a0, a1<br> [0x80000d88]:sw a0, 708(ra)<br>  |
| 179|[0x800044cc]<br>0x00003100|- rs1_val==858993460 and rs2_val==46339<br>                                                                                                                                 |[0x80000d9c]:c.and a0, a1<br> [0x80000d9e]:sw a0, 712(ra)<br>  |
| 180|[0x800044d0]<br>0x00000000|- rs1_val==858993460 and rs2_val==0<br>                                                                                                                                     |[0x80000dae]:c.and a0, a1<br> [0x80000db0]:sw a0, 716(ra)<br>  |
| 181|[0x800044d4]<br>0x22222224|- rs1_val==858993460 and rs2_val==1717986917<br>                                                                                                                            |[0x80000dc4]:c.and a0, a1<br> [0x80000dc6]:sw a0, 720(ra)<br>  |
| 182|[0x800044d8]<br>0x33333330|- rs1_val==858993460 and rs2_val==858993458<br>                                                                                                                             |[0x80000dda]:c.and a0, a1<br> [0x80000ddc]:sw a0, 724(ra)<br>  |
| 183|[0x800044dc]<br>0x11111114|- rs1_val==858993460 and rs2_val==1431655764<br>                                                                                                                            |[0x80000df0]:c.and a0, a1<br> [0x80000df2]:sw a0, 728(ra)<br>  |
| 184|[0x800044e0]<br>0x00000000|- rs1_val==858993460 and rs2_val==2<br>                                                                                                                                     |[0x80000e02]:c.and a0, a1<br> [0x80000e04]:sw a0, 732(ra)<br>  |
| 185|[0x800044e4]<br>0x00003104|- rs1_val==858993460 and rs2_val==46340<br>                                                                                                                                 |[0x80000e18]:c.and a0, a1<br> [0x80000e1a]:sw a0, 736(ra)<br>  |
| 186|[0x800044e8]<br>0x33330234|- rs1_val==858993460 and rs2_val==-46340<br>                                                                                                                                |[0x80000e2e]:c.and a0, a1<br> [0x80000e30]:sw a0, 740(ra)<br>  |
| 187|[0x800044ec]<br>0x22222224|- rs1_val==858993460 and rs2_val==1717986918<br>                                                                                                                            |[0x80000e44]:c.and a0, a1<br> [0x80000e46]:sw a0, 744(ra)<br>  |
| 188|[0x800044f0]<br>0x33333330|- rs1_val==858993460 and rs2_val==858993459<br>                                                                                                                             |[0x80000e5a]:c.and a0, a1<br> [0x80000e5c]:sw a0, 748(ra)<br>  |
| 189|[0x800044f4]<br>0x00000004|- rs1_val==858993460 and rs2_val==5<br>                                                                                                                                     |[0x80000e6c]:c.and a0, a1<br> [0x80000e6e]:sw a0, 752(ra)<br>  |
| 190|[0x800044f8]<br>0x22222220|- rs1_val==858993460 and rs2_val==-1431655766<br>                                                                                                                           |[0x80000e82]:c.and a0, a1<br> [0x80000e84]:sw a0, 756(ra)<br>  |
| 191|[0x800044fc]<br>0x11111114|- rs1_val==858993460 and rs2_val==1431655765<br>                                                                                                                            |[0x80000e98]:c.and a0, a1<br> [0x80000e9a]:sw a0, 760(ra)<br>  |
| 192|[0x80004500]<br>0x00000000|- rs1_val==858993460 and rs2_val==3<br>                                                                                                                                     |[0x80000eaa]:c.and a0, a1<br> [0x80000eac]:sw a0, 764(ra)<br>  |
| 193|[0x80004504]<br>0x00000004|- rs1_val==6 and rs2_val==46341<br>                                                                                                                                         |[0x80000ebc]:c.and a0, a1<br> [0x80000ebe]:sw a0, 768(ra)<br>  |
| 194|[0x80004508]<br>0x00000004|- rs1_val==6 and rs2_val==-46339<br>                                                                                                                                        |[0x80000ece]:c.and a0, a1<br> [0x80000ed0]:sw a0, 772(ra)<br>  |
| 195|[0x8000450c]<br>0x00000006|- rs1_val==6 and rs2_val==1717986919<br>                                                                                                                                    |[0x80000ee0]:c.and a0, a1<br> [0x80000ee2]:sw a0, 776(ra)<br>  |
| 196|[0x80004510]<br>0x00000004|- rs1_val==6 and rs2_val==858993460<br>                                                                                                                                     |[0x80000ef2]:c.and a0, a1<br> [0x80000ef4]:sw a0, 780(ra)<br>  |
| 197|[0x80004514]<br>0x00000006|- rs1_val==6 and rs2_val==6<br>                                                                                                                                             |[0x80000f00]:c.and a0, a1<br> [0x80000f02]:sw a0, 784(ra)<br>  |
| 198|[0x80004518]<br>0x00000002|- rs1_val==6 and rs2_val==-1431655765<br>                                                                                                                                   |[0x80000f12]:c.and a0, a1<br> [0x80000f14]:sw a0, 788(ra)<br>  |
| 199|[0x8000451c]<br>0x00000006|- rs1_val==6 and rs2_val==1431655766<br>                                                                                                                                    |[0x80000f24]:c.and a0, a1<br> [0x80000f26]:sw a0, 792(ra)<br>  |
| 200|[0x80004520]<br>0x00000004|- rs1_val==6 and rs2_val==4<br>                                                                                                                                             |[0x80000f32]:c.and a0, a1<br> [0x80000f34]:sw a0, 796(ra)<br>  |
| 201|[0x80004524]<br>0x00000002|- rs1_val==6 and rs2_val==46339<br>                                                                                                                                         |[0x80000f44]:c.and a0, a1<br> [0x80000f46]:sw a0, 800(ra)<br>  |
| 202|[0x80004528]<br>0x00000000|- rs1_val==6 and rs2_val==0<br>                                                                                                                                             |[0x80000f52]:c.and a0, a1<br> [0x80000f54]:sw a0, 804(ra)<br>  |
| 203|[0x8000452c]<br>0x00000004|- rs1_val==6 and rs2_val==1717986917<br>                                                                                                                                    |[0x80000f64]:c.and a0, a1<br> [0x80000f66]:sw a0, 808(ra)<br>  |
| 204|[0x80004530]<br>0x00000002|- rs1_val==6 and rs2_val==858993458<br>                                                                                                                                     |[0x80000f76]:c.and a0, a1<br> [0x80000f78]:sw a0, 812(ra)<br>  |
| 205|[0x80004534]<br>0x00000004|- rs1_val==6 and rs2_val==1431655764<br>                                                                                                                                    |[0x80000f88]:c.and a0, a1<br> [0x80000f8a]:sw a0, 816(ra)<br>  |
| 206|[0x80004538]<br>0x00000002|- rs1_val==6 and rs2_val==2<br>                                                                                                                                             |[0x80000f96]:c.and a0, a1<br> [0x80000f98]:sw a0, 820(ra)<br>  |
| 207|[0x8000453c]<br>0x00000004|- rs1_val==6 and rs2_val==46340<br>                                                                                                                                         |[0x80000fa8]:c.and a0, a1<br> [0x80000faa]:sw a0, 824(ra)<br>  |
| 208|[0x80004540]<br>0x00000004|- rs1_val==6 and rs2_val==-46340<br>                                                                                                                                        |[0x80000fba]:c.and a0, a1<br> [0x80000fbc]:sw a0, 828(ra)<br>  |
| 209|[0x80004544]<br>0x00000006|- rs1_val==6 and rs2_val==1717986918<br>                                                                                                                                    |[0x80000fcc]:c.and a0, a1<br> [0x80000fce]:sw a0, 832(ra)<br>  |
| 210|[0x80004548]<br>0x00000002|- rs1_val==6 and rs2_val==858993459<br>                                                                                                                                     |[0x80000fde]:c.and a0, a1<br> [0x80000fe0]:sw a0, 836(ra)<br>  |
| 211|[0x8000454c]<br>0x00000004|- rs1_val==6 and rs2_val==5<br>                                                                                                                                             |[0x80000fec]:c.and a0, a1<br> [0x80000fee]:sw a0, 840(ra)<br>  |
| 212|[0x80004550]<br>0x00000002|- rs1_val==6 and rs2_val==-1431655766<br>                                                                                                                                   |[0x80000ffe]:c.and a0, a1<br> [0x80001000]:sw a0, 844(ra)<br>  |
| 213|[0x80004554]<br>0x00000004|- rs1_val==6 and rs2_val==1431655765<br>                                                                                                                                    |[0x80001010]:c.and a0, a1<br> [0x80001012]:sw a0, 848(ra)<br>  |
| 214|[0x80004558]<br>0x00000002|- rs1_val==6 and rs2_val==3<br>                                                                                                                                             |[0x8000101e]:c.and a0, a1<br> [0x80001020]:sw a0, 852(ra)<br>  |
| 215|[0x8000455c]<br>0x0000A001|- rs1_val==-1431655765 and rs2_val==46341<br>                                                                                                                               |[0x80001034]:c.and a0, a1<br> [0x80001036]:sw a0, 856(ra)<br>  |
| 216|[0x80004560]<br>0xAAAA0AA9|- rs1_val==-1431655765 and rs2_val==-46339<br>                                                                                                                              |[0x8000104a]:c.and a0, a1<br> [0x8000104c]:sw a0, 860(ra)<br>  |
| 217|[0x80004564]<br>0x22222223|- rs1_val==-1431655765 and rs2_val==1717986919<br>                                                                                                                          |[0x80001060]:c.and a0, a1<br> [0x80001062]:sw a0, 864(ra)<br>  |
| 218|[0x80004568]<br>0x22222220|- rs1_val==-1431655765 and rs2_val==858993460<br>                                                                                                                           |[0x80001076]:c.and a0, a1<br> [0x80001078]:sw a0, 868(ra)<br>  |
| 219|[0x8000456c]<br>0x00000002|- rs1_val==-1431655765 and rs2_val==6<br>                                                                                                                                   |[0x80001088]:c.and a0, a1<br> [0x8000108a]:sw a0, 872(ra)<br>  |
| 220|[0x80004570]<br>0xAAAAAAAB|- rs1_val==-1431655765 and rs2_val==-1431655765<br>                                                                                                                         |[0x8000109e]:c.and a0, a1<br> [0x800010a0]:sw a0, 876(ra)<br>  |
| 221|[0x80004574]<br>0x00000002|- rs1_val==-1431655765 and rs2_val==1431655766<br>                                                                                                                          |[0x800010b4]:c.and a0, a1<br> [0x800010b6]:sw a0, 880(ra)<br>  |
| 222|[0x80004578]<br>0x00000000|- rs1_val==-1431655765 and rs2_val==4<br>                                                                                                                                   |[0x800010c6]:c.and a0, a1<br> [0x800010c8]:sw a0, 884(ra)<br>  |
| 223|[0x8000457c]<br>0x0000A003|- rs1_val==-1431655765 and rs2_val==46339<br>                                                                                                                               |[0x800010dc]:c.and a0, a1<br> [0x800010de]:sw a0, 888(ra)<br>  |
| 224|[0x80004580]<br>0x00000000|- rs1_val==-1431655765 and rs2_val==0<br>                                                                                                                                   |[0x800010ee]:c.and a0, a1<br> [0x800010f0]:sw a0, 892(ra)<br>  |
| 225|[0x80004584]<br>0x22222221|- rs1_val==-1431655765 and rs2_val==1717986917<br>                                                                                                                          |[0x80001104]:c.and a0, a1<br> [0x80001106]:sw a0, 896(ra)<br>  |
| 226|[0x80004588]<br>0x22222222|- rs1_val==-1431655765 and rs2_val==858993458<br>                                                                                                                           |[0x8000111a]:c.and a0, a1<br> [0x8000111c]:sw a0, 900(ra)<br>  |
| 227|[0x8000458c]<br>0x00000000|- rs1_val==-1431655765 and rs2_val==1431655764<br>                                                                                                                          |[0x80001130]:c.and a0, a1<br> [0x80001132]:sw a0, 904(ra)<br>  |
| 228|[0x80004590]<br>0x00000002|- rs1_val==-1431655765 and rs2_val==2<br>                                                                                                                                   |[0x80001142]:c.and a0, a1<br> [0x80001144]:sw a0, 908(ra)<br>  |
| 229|[0x80004594]<br>0x0000A000|- rs1_val==-1431655765 and rs2_val==46340<br>                                                                                                                               |[0x80001158]:c.and a0, a1<br> [0x8000115a]:sw a0, 912(ra)<br>  |
| 230|[0x80004598]<br>0xAAAA0AA8|- rs1_val==-1431655765 and rs2_val==-46340<br>                                                                                                                              |[0x8000116e]:c.and a0, a1<br> [0x80001170]:sw a0, 916(ra)<br>  |
| 231|[0x8000459c]<br>0x22222222|- rs1_val==-1431655765 and rs2_val==1717986918<br>                                                                                                                          |[0x80001184]:c.and a0, a1<br> [0x80001186]:sw a0, 920(ra)<br>  |
| 232|[0x800045a0]<br>0x22222223|- rs1_val==-1431655765 and rs2_val==858993459<br>                                                                                                                           |[0x8000119a]:c.and a0, a1<br> [0x8000119c]:sw a0, 924(ra)<br>  |
| 233|[0x800045a4]<br>0x00000001|- rs1_val==-1431655765 and rs2_val==5<br>                                                                                                                                   |[0x800011ac]:c.and a0, a1<br> [0x800011ae]:sw a0, 928(ra)<br>  |
| 234|[0x800045a8]<br>0xAAAAAAAA|- rs1_val==-1431655765 and rs2_val==-1431655766<br>                                                                                                                         |[0x800011c2]:c.and a0, a1<br> [0x800011c4]:sw a0, 932(ra)<br>  |
| 235|[0x800045ac]<br>0x00000001|- rs1_val==-1431655765 and rs2_val==1431655765<br>                                                                                                                          |[0x800011d8]:c.and a0, a1<br> [0x800011da]:sw a0, 936(ra)<br>  |
| 236|[0x800045b0]<br>0x00000003|- rs1_val==-1431655765 and rs2_val==3<br>                                                                                                                                   |[0x800011ea]:c.and a0, a1<br> [0x800011ec]:sw a0, 940(ra)<br>  |
| 237|[0x800045b4]<br>0x00001504|- rs1_val==1431655766 and rs2_val==46341<br>                                                                                                                                |[0x80001200]:c.and a0, a1<br> [0x80001202]:sw a0, 944(ra)<br>  |
| 238|[0x800045b8]<br>0x55554054|- rs1_val==1431655766 and rs2_val==-46339<br>                                                                                                                               |[0x80001216]:c.and a0, a1<br> [0x80001218]:sw a0, 948(ra)<br>  |
| 239|[0x800045bc]<br>0x44444446|- rs1_val==1431655766 and rs2_val==1717986919<br>                                                                                                                           |[0x8000122c]:c.and a0, a1<br> [0x8000122e]:sw a0, 952(ra)<br>  |
| 240|[0x800045c0]<br>0x11111114|- rs1_val==1431655766 and rs2_val==858993460<br>                                                                                                                            |[0x80001242]:c.and a0, a1<br> [0x80001244]:sw a0, 956(ra)<br>  |
| 241|[0x800045c4]<br>0x00000006|- rs1_val==1431655766 and rs2_val==6<br>                                                                                                                                    |[0x80001254]:c.and a0, a1<br> [0x80001256]:sw a0, 960(ra)<br>  |
| 242|[0x800045c8]<br>0x00000002|- rs1_val==1431655766 and rs2_val==-1431655765<br>                                                                                                                          |[0x8000126a]:c.and a0, a1<br> [0x8000126c]:sw a0, 964(ra)<br>  |
| 243|[0x800045cc]<br>0x55555556|- rs1_val==1431655766 and rs2_val==1431655766<br>                                                                                                                           |[0x80001280]:c.and a0, a1<br> [0x80001282]:sw a0, 968(ra)<br>  |
| 244|[0x800045d0]<br>0x00000004|- rs1_val==1431655766 and rs2_val==4<br>                                                                                                                                    |[0x80001292]:c.and a0, a1<br> [0x80001294]:sw a0, 972(ra)<br>  |
| 245|[0x800045d4]<br>0x00001502|- rs1_val==1431655766 and rs2_val==46339<br>                                                                                                                                |[0x800012a8]:c.and a0, a1<br> [0x800012aa]:sw a0, 976(ra)<br>  |
| 246|[0x800045d8]<br>0x00000000|- rs1_val==1431655766 and rs2_val==0<br>                                                                                                                                    |[0x800012ba]:c.and a0, a1<br> [0x800012bc]:sw a0, 980(ra)<br>  |
| 247|[0x800045dc]<br>0x44444444|- rs1_val==1431655766 and rs2_val==1717986917<br>                                                                                                                           |[0x800012d0]:c.and a0, a1<br> [0x800012d2]:sw a0, 984(ra)<br>  |
| 248|[0x800045e0]<br>0x11111112|- rs1_val==1431655766 and rs2_val==858993458<br>                                                                                                                            |[0x800012e6]:c.and a0, a1<br> [0x800012e8]:sw a0, 988(ra)<br>  |
| 249|[0x800045e4]<br>0x55555554|- rs1_val==1431655766 and rs2_val==1431655764<br>                                                                                                                           |[0x800012fc]:c.and a0, a1<br> [0x800012fe]:sw a0, 992(ra)<br>  |
| 250|[0x800045e8]<br>0x00000002|- rs1_val==1431655766 and rs2_val==2<br>                                                                                                                                    |[0x8000130e]:c.and a0, a1<br> [0x80001310]:sw a0, 996(ra)<br>  |
| 251|[0x800045ec]<br>0x00001504|- rs1_val==1431655766 and rs2_val==46340<br>                                                                                                                                |[0x80001324]:c.and a0, a1<br> [0x80001326]:sw a0, 1000(ra)<br> |
| 252|[0x800045f0]<br>0x55554054|- rs1_val==1431655766 and rs2_val==-46340<br>                                                                                                                               |[0x8000133a]:c.and a0, a1<br> [0x8000133c]:sw a0, 1004(ra)<br> |
| 253|[0x800045f4]<br>0x44444446|- rs1_val==1431655766 and rs2_val==1717986918<br>                                                                                                                           |[0x80001350]:c.and a0, a1<br> [0x80001352]:sw a0, 1008(ra)<br> |
| 254|[0x800045f8]<br>0x11111112|- rs1_val==1431655766 and rs2_val==858993459<br>                                                                                                                            |[0x80001366]:c.and a0, a1<br> [0x80001368]:sw a0, 1012(ra)<br> |
| 255|[0x800045fc]<br>0x00000004|- rs1_val==1431655766 and rs2_val==5<br>                                                                                                                                    |[0x80001378]:c.and a0, a1<br> [0x8000137a]:sw a0, 1016(ra)<br> |
| 256|[0x80004600]<br>0x00000002|- rs1_val==1431655766 and rs2_val==-1431655766<br>                                                                                                                          |[0x8000138e]:c.and a0, a1<br> [0x80001390]:sw a0, 1020(ra)<br> |
| 257|[0x80004604]<br>0x55555554|- rs1_val==1431655766 and rs2_val==1431655765<br>                                                                                                                           |[0x800013a4]:c.and a0, a1<br> [0x800013a6]:sw a0, 1024(ra)<br> |
| 258|[0x80004608]<br>0x00000002|- rs1_val==1431655766 and rs2_val==3<br>                                                                                                                                    |[0x800013b6]:c.and a0, a1<br> [0x800013b8]:sw a0, 1028(ra)<br> |
| 259|[0x8000460c]<br>0x00000004|- rs1_val==4 and rs2_val==46341<br>                                                                                                                                         |[0x800013c8]:c.and a0, a1<br> [0x800013ca]:sw a0, 1032(ra)<br> |
| 260|[0x80004610]<br>0x00000004|- rs1_val==4 and rs2_val==-46339<br>                                                                                                                                        |[0x800013da]:c.and a0, a1<br> [0x800013dc]:sw a0, 1036(ra)<br> |
| 261|[0x80004614]<br>0x00000004|- rs1_val==4 and rs2_val==1717986919<br>                                                                                                                                    |[0x800013ec]:c.and a0, a1<br> [0x800013ee]:sw a0, 1040(ra)<br> |
| 262|[0x80004618]<br>0x00000004|- rs1_val==4 and rs2_val==858993460<br>                                                                                                                                     |[0x800013fe]:c.and a0, a1<br> [0x80001400]:sw a0, 1044(ra)<br> |
| 263|[0x8000461c]<br>0x00000004|- rs1_val==4 and rs2_val==6<br>                                                                                                                                             |[0x8000140c]:c.and a0, a1<br> [0x8000140e]:sw a0, 1048(ra)<br> |
| 264|[0x80004620]<br>0x00000000|- rs1_val==4 and rs2_val==-1431655765<br>                                                                                                                                   |[0x8000141e]:c.and a0, a1<br> [0x80001420]:sw a0, 1052(ra)<br> |
| 265|[0x80004624]<br>0x00000004|- rs1_val==4 and rs2_val==4<br>                                                                                                                                             |[0x8000142c]:c.and a0, a1<br> [0x8000142e]:sw a0, 1056(ra)<br> |
| 266|[0x80004628]<br>0x00000000|- rs1_val==4 and rs2_val==46339<br>                                                                                                                                         |[0x8000143e]:c.and a0, a1<br> [0x80001440]:sw a0, 1060(ra)<br> |
| 267|[0x8000462c]<br>0x00000000|- rs1_val==4 and rs2_val==0<br>                                                                                                                                             |[0x8000144c]:c.and a0, a1<br> [0x8000144e]:sw a0, 1064(ra)<br> |
| 268|[0x80004630]<br>0x00000004|- rs1_val==4 and rs2_val==1717986917<br>                                                                                                                                    |[0x8000145e]:c.and a0, a1<br> [0x80001460]:sw a0, 1068(ra)<br> |
| 269|[0x80004634]<br>0x00000000|- rs1_val==4 and rs2_val==858993458<br>                                                                                                                                     |[0x80001470]:c.and a0, a1<br> [0x80001472]:sw a0, 1072(ra)<br> |
| 270|[0x80004638]<br>0x00000004|- rs1_val==4 and rs2_val==1431655764<br>                                                                                                                                    |[0x80001482]:c.and a0, a1<br> [0x80001484]:sw a0, 1076(ra)<br> |
| 271|[0x8000463c]<br>0x00000000|- rs1_val==4 and rs2_val==2<br>                                                                                                                                             |[0x80001490]:c.and a0, a1<br> [0x80001492]:sw a0, 1080(ra)<br> |
| 272|[0x80004640]<br>0x00000004|- rs1_val==4 and rs2_val==46340<br>                                                                                                                                         |[0x800014a2]:c.and a0, a1<br> [0x800014a4]:sw a0, 1084(ra)<br> |
| 273|[0x80004644]<br>0x00000004|- rs1_val==4 and rs2_val==-46340<br>                                                                                                                                        |[0x800014b4]:c.and a0, a1<br> [0x800014b6]:sw a0, 1088(ra)<br> |
| 274|[0x80004648]<br>0x00000004|- rs1_val==4 and rs2_val==1717986918<br>                                                                                                                                    |[0x800014c6]:c.and a0, a1<br> [0x800014c8]:sw a0, 1092(ra)<br> |
| 275|[0x8000464c]<br>0x00000000|- rs1_val==4 and rs2_val==858993459<br>                                                                                                                                     |[0x800014d8]:c.and a0, a1<br> [0x800014da]:sw a0, 1096(ra)<br> |
| 276|[0x80004650]<br>0x00000004|- rs1_val==4 and rs2_val==5<br>                                                                                                                                             |[0x800014e6]:c.and a0, a1<br> [0x800014e8]:sw a0, 1100(ra)<br> |
| 277|[0x80004654]<br>0x00000000|- rs1_val==4 and rs2_val==-1431655766<br>                                                                                                                                   |[0x800014f8]:c.and a0, a1<br> [0x800014fa]:sw a0, 1104(ra)<br> |
| 278|[0x80004658]<br>0x00000004|- rs1_val==4 and rs2_val==1431655765<br>                                                                                                                                    |[0x8000150a]:c.and a0, a1<br> [0x8000150c]:sw a0, 1108(ra)<br> |
| 279|[0x8000465c]<br>0x00000000|- rs1_val==4 and rs2_val==3<br>                                                                                                                                             |[0x80001518]:c.and a0, a1<br> [0x8000151a]:sw a0, 1112(ra)<br> |
| 280|[0x80004660]<br>0x0000B501|- rs1_val==46339 and rs2_val==46341<br>                                                                                                                                     |[0x8000152e]:c.and a0, a1<br> [0x80001530]:sw a0, 1116(ra)<br> |
| 281|[0x80004664]<br>0x00000001|- rs1_val==46339 and rs2_val==-46339<br>                                                                                                                                    |[0x80001544]:c.and a0, a1<br> [0x80001546]:sw a0, 1120(ra)<br> |
| 282|[0x80004668]<br>0x00002403|- rs1_val==46339 and rs2_val==1717986919<br>                                                                                                                                |[0x8000155a]:c.and a0, a1<br> [0x8000155c]:sw a0, 1124(ra)<br> |
| 283|[0x8000466c]<br>0x00003100|- rs1_val==46339 and rs2_val==858993460<br>                                                                                                                                 |[0x80001570]:c.and a0, a1<br> [0x80001572]:sw a0, 1128(ra)<br> |
| 284|[0x80004670]<br>0x00000002|- rs1_val==46339 and rs2_val==6<br>                                                                                                                                         |[0x80001582]:c.and a0, a1<br> [0x80001584]:sw a0, 1132(ra)<br> |
| 285|[0x80004674]<br>0x0000A003|- rs1_val==46339 and rs2_val==-1431655765<br>                                                                                                                               |[0x80001598]:c.and a0, a1<br> [0x8000159a]:sw a0, 1136(ra)<br> |
| 286|[0x80004678]<br>0x00001502|- rs1_val==46339 and rs2_val==1431655766<br>                                                                                                                                |[0x800015ae]:c.and a0, a1<br> [0x800015b0]:sw a0, 1140(ra)<br> |
| 287|[0x8000467c]<br>0x00000000|- rs1_val==46339 and rs2_val==4<br>                                                                                                                                         |[0x800015c0]:c.and a0, a1<br> [0x800015c2]:sw a0, 1144(ra)<br> |
| 288|[0x80004684]<br>0x00000000|- rs1_val==46339 and rs2_val==0<br>                                                                                                                                         |[0x800015e8]:c.and a0, a1<br> [0x800015ea]:sw a0, 1152(ra)<br> |
| 289|[0x80004688]<br>0x00002401|- rs1_val==46339 and rs2_val==1717986917<br>                                                                                                                                |[0x800015fe]:c.and a0, a1<br> [0x80001600]:sw a0, 1156(ra)<br> |
| 290|[0x8000468c]<br>0x00003102|- rs1_val==46339 and rs2_val==858993458<br>                                                                                                                                 |[0x80001614]:c.and a0, a1<br> [0x80001616]:sw a0, 1160(ra)<br> |
| 291|[0x80004690]<br>0x00001500|- rs1_val==46339 and rs2_val==1431655764<br>                                                                                                                                |[0x8000162a]:c.and a0, a1<br> [0x8000162c]:sw a0, 1164(ra)<br> |
| 292|[0x80004694]<br>0x00000002|- rs1_val==46339 and rs2_val==2<br>                                                                                                                                         |[0x8000163c]:c.and a0, a1<br> [0x8000163e]:sw a0, 1168(ra)<br> |
| 293|[0x80004698]<br>0x0000B500|- rs1_val==46339 and rs2_val==46340<br>                                                                                                                                     |[0x80001652]:c.and a0, a1<br> [0x80001654]:sw a0, 1172(ra)<br> |
| 294|[0x8000469c]<br>0x00000000|- rs1_val==46339 and rs2_val==-46340<br>                                                                                                                                    |[0x80001668]:c.and a0, a1<br> [0x8000166a]:sw a0, 1176(ra)<br> |
| 295|[0x800046a0]<br>0x00002402|- rs1_val==46339 and rs2_val==1717986918<br>                                                                                                                                |[0x8000167e]:c.and a0, a1<br> [0x80001680]:sw a0, 1180(ra)<br> |
| 296|[0x800046a4]<br>0x00003103|- rs1_val==46339 and rs2_val==858993459<br>                                                                                                                                 |[0x80001694]:c.and a0, a1<br> [0x80001696]:sw a0, 1184(ra)<br> |
| 297|[0x800046a8]<br>0x00000001|- rs1_val==46339 and rs2_val==5<br>                                                                                                                                         |[0x800016a6]:c.and a0, a1<br> [0x800016a8]:sw a0, 1188(ra)<br> |
| 298|[0x800046ac]<br>0x0000A002|- rs1_val==46339 and rs2_val==-1431655766<br>                                                                                                                               |[0x800016bc]:c.and a0, a1<br> [0x800016be]:sw a0, 1192(ra)<br> |
| 299|[0x800046b0]<br>0x00001501|- rs1_val==46339 and rs2_val==1431655765<br>                                                                                                                                |[0x800016d2]:c.and a0, a1<br> [0x800016d4]:sw a0, 1196(ra)<br> |
| 300|[0x800046b4]<br>0x00000003|- rs1_val==46339 and rs2_val==3<br>                                                                                                                                         |[0x800016e4]:c.and a0, a1<br> [0x800016e6]:sw a0, 1200(ra)<br> |
| 301|[0x800046b8]<br>0x00000000|- rs1_val==0 and rs2_val==46341<br>                                                                                                                                         |[0x800016f6]:c.and a0, a1<br> [0x800016f8]:sw a0, 1204(ra)<br> |
| 302|[0x800046bc]<br>0x00000000|- rs1_val==0 and rs2_val==-46339<br>                                                                                                                                        |[0x80001708]:c.and a0, a1<br> [0x8000170a]:sw a0, 1208(ra)<br> |
| 303|[0x800046c0]<br>0x00000000|- rs1_val==0 and rs2_val==1717986919<br>                                                                                                                                    |[0x8000171a]:c.and a0, a1<br> [0x8000171c]:sw a0, 1212(ra)<br> |
| 304|[0x800046c4]<br>0x00000000|- rs1_val==0 and rs2_val==858993460<br>                                                                                                                                     |[0x8000172c]:c.and a0, a1<br> [0x8000172e]:sw a0, 1216(ra)<br> |
| 305|[0x800046c8]<br>0x00000000|- rs1_val==0 and rs2_val==6<br>                                                                                                                                             |[0x8000173a]:c.and a0, a1<br> [0x8000173c]:sw a0, 1220(ra)<br> |
| 306|[0x800046cc]<br>0x00000000|- rs1_val==0 and rs2_val==-1431655765<br>                                                                                                                                   |[0x8000174c]:c.and a0, a1<br> [0x8000174e]:sw a0, 1224(ra)<br> |
| 307|[0x800046d0]<br>0x00000000|- rs1_val==0 and rs2_val==1431655766<br>                                                                                                                                    |[0x8000175e]:c.and a0, a1<br> [0x80001760]:sw a0, 1228(ra)<br> |
| 308|[0x800046d4]<br>0x00000000|- rs1_val==0 and rs2_val==4<br>                                                                                                                                             |[0x8000176c]:c.and a0, a1<br> [0x8000176e]:sw a0, 1232(ra)<br> |
| 309|[0x800046d8]<br>0x00000000|- rs1_val==0 and rs2_val==46339<br>                                                                                                                                         |[0x8000177e]:c.and a0, a1<br> [0x80001780]:sw a0, 1236(ra)<br> |
| 310|[0x800046dc]<br>0x00000000|- rs1_val==0 and rs2_val==0<br>                                                                                                                                             |[0x8000178c]:c.and a0, a1<br> [0x8000178e]:sw a0, 1240(ra)<br> |
| 311|[0x800046e0]<br>0x00000000|- rs1_val==0 and rs2_val==1717986917<br>                                                                                                                                    |[0x8000179e]:c.and a0, a1<br> [0x800017a0]:sw a0, 1244(ra)<br> |
| 312|[0x800046e4]<br>0x00000000|- rs1_val==0 and rs2_val==858993458<br>                                                                                                                                     |[0x800017b0]:c.and a0, a1<br> [0x800017b2]:sw a0, 1248(ra)<br> |
| 313|[0x800046e8]<br>0x00000000|- rs1_val==0 and rs2_val==1431655764<br>                                                                                                                                    |[0x800017c2]:c.and a0, a1<br> [0x800017c4]:sw a0, 1252(ra)<br> |
| 314|[0x800046ec]<br>0x00000000|- rs1_val==0 and rs2_val==2<br>                                                                                                                                             |[0x800017d0]:c.and a0, a1<br> [0x800017d2]:sw a0, 1256(ra)<br> |
| 315|[0x800046f0]<br>0x00000000|- rs1_val==0 and rs2_val==46340<br>                                                                                                                                         |[0x800017e2]:c.and a0, a1<br> [0x800017e4]:sw a0, 1260(ra)<br> |
| 316|[0x800046f4]<br>0x00000000|- rs1_val==0 and rs2_val==-46340<br>                                                                                                                                        |[0x800017f4]:c.and a0, a1<br> [0x800017f6]:sw a0, 1264(ra)<br> |
| 317|[0x800046f8]<br>0x00000000|- rs1_val==0 and rs2_val==1717986918<br>                                                                                                                                    |[0x80001806]:c.and a0, a1<br> [0x80001808]:sw a0, 1268(ra)<br> |
| 318|[0x800046fc]<br>0x00000000|- rs1_val==0 and rs2_val==858993459<br>                                                                                                                                     |[0x80001818]:c.and a0, a1<br> [0x8000181a]:sw a0, 1272(ra)<br> |
| 319|[0x80004700]<br>0x00000000|- rs1_val==0 and rs2_val==5<br>                                                                                                                                             |[0x80001826]:c.and a0, a1<br> [0x80001828]:sw a0, 1276(ra)<br> |
| 320|[0x80004704]<br>0x00000000|- rs1_val==0 and rs2_val==-1431655766<br>                                                                                                                                   |[0x80001838]:c.and a0, a1<br> [0x8000183a]:sw a0, 1280(ra)<br> |
| 321|[0x80004708]<br>0x00000000|- rs1_val==0 and rs2_val==1431655765<br>                                                                                                                                    |[0x8000184a]:c.and a0, a1<br> [0x8000184c]:sw a0, 1284(ra)<br> |
| 322|[0x8000470c]<br>0x00000000|- rs1_val==0 and rs2_val==3<br>                                                                                                                                             |[0x80001858]:c.and a0, a1<br> [0x8000185a]:sw a0, 1288(ra)<br> |
| 323|[0x80004710]<br>0x00002405|- rs1_val==1717986917 and rs2_val==46341<br>                                                                                                                                |[0x8000186e]:c.and a0, a1<br> [0x80001870]:sw a0, 1292(ra)<br> |
| 324|[0x80004714]<br>0x66664265|- rs1_val==1717986917 and rs2_val==-46339<br>                                                                                                                               |[0x80001884]:c.and a0, a1<br> [0x80001886]:sw a0, 1296(ra)<br> |
| 325|[0x80004718]<br>0x66666665|- rs1_val==1717986917 and rs2_val==1717986919<br>                                                                                                                           |[0x8000189a]:c.and a0, a1<br> [0x8000189c]:sw a0, 1300(ra)<br> |
| 326|[0x8000471c]<br>0x22222224|- rs1_val==1717986917 and rs2_val==858993460<br>                                                                                                                            |[0x800018b0]:c.and a0, a1<br> [0x800018b2]:sw a0, 1304(ra)<br> |
| 327|[0x80004720]<br>0x00000004|- rs1_val==1717986917 and rs2_val==6<br>                                                                                                                                    |[0x800018c2]:c.and a0, a1<br> [0x800018c4]:sw a0, 1308(ra)<br> |
| 328|[0x80004724]<br>0x22222221|- rs1_val==1717986917 and rs2_val==-1431655765<br>                                                                                                                          |[0x800018d8]:c.and a0, a1<br> [0x800018da]:sw a0, 1312(ra)<br> |
| 329|[0x80004728]<br>0x44444444|- rs1_val==1717986917 and rs2_val==1431655766<br>                                                                                                                           |[0x800018ee]:c.and a0, a1<br> [0x800018f0]:sw a0, 1316(ra)<br> |
| 330|[0x8000472c]<br>0x00000004|- rs1_val==1717986917 and rs2_val==4<br>                                                                                                                                    |[0x80001900]:c.and a0, a1<br> [0x80001902]:sw a0, 1320(ra)<br> |
| 331|[0x80004730]<br>0x00002401|- rs1_val==1717986917 and rs2_val==46339<br>                                                                                                                                |[0x80001916]:c.and a0, a1<br> [0x80001918]:sw a0, 1324(ra)<br> |
| 332|[0x80004734]<br>0x00000000|- rs1_val==858993459 and rs2_val==0<br>                                                                                                                                     |[0x80001928]:c.and a0, a1<br> [0x8000192a]:sw a0, 1328(ra)<br> |
| 333|[0x80004738]<br>0x22222221|- rs1_val==858993459 and rs2_val==1717986917<br>                                                                                                                            |[0x8000193e]:c.and a0, a1<br> [0x80001940]:sw a0, 1332(ra)<br> |
| 334|[0x8000473c]<br>0x33333332|- rs1_val==858993459 and rs2_val==858993458<br>                                                                                                                             |[0x80001954]:c.and a0, a1<br> [0x80001956]:sw a0, 1336(ra)<br> |
| 335|[0x80004740]<br>0x11111110|- rs1_val==858993459 and rs2_val==1431655764<br>                                                                                                                            |[0x8000196a]:c.and a0, a1<br> [0x8000196c]:sw a0, 1340(ra)<br> |
| 336|[0x80004744]<br>0x00000002|- rs1_val==858993459 and rs2_val==2<br>                                                                                                                                     |[0x8000197c]:c.and a0, a1<br> [0x8000197e]:sw a0, 1344(ra)<br> |
| 337|[0x80004748]<br>0x00003100|- rs1_val==858993459 and rs2_val==46340<br>                                                                                                                                 |[0x80001992]:c.and a0, a1<br> [0x80001994]:sw a0, 1348(ra)<br> |
| 338|[0x8000474c]<br>0x33330230|- rs1_val==858993459 and rs2_val==-46340<br>                                                                                                                                |[0x800019a8]:c.and a0, a1<br> [0x800019aa]:sw a0, 1352(ra)<br> |
| 339|[0x80004750]<br>0x22222222|- rs1_val==858993459 and rs2_val==1717986918<br>                                                                                                                            |[0x800019be]:c.and a0, a1<br> [0x800019c0]:sw a0, 1356(ra)<br> |
| 340|[0x80004754]<br>0x33333333|- rs1_val==858993459 and rs2_val==858993459<br>                                                                                                                             |[0x800019d4]:c.and a0, a1<br> [0x800019d6]:sw a0, 1360(ra)<br> |
| 341|[0x80004758]<br>0x00000001|- rs1_val==858993459 and rs2_val==5<br>                                                                                                                                     |[0x800019e6]:c.and a0, a1<br> [0x800019e8]:sw a0, 1364(ra)<br> |
| 342|[0x8000475c]<br>0x22222222|- rs1_val==858993459 and rs2_val==-1431655766<br>                                                                                                                           |[0x800019fc]:c.and a0, a1<br> [0x800019fe]:sw a0, 1368(ra)<br> |
| 343|[0x80004760]<br>0x11111111|- rs1_val==858993459 and rs2_val==1431655765<br>                                                                                                                            |[0x80001a12]:c.and a0, a1<br> [0x80001a14]:sw a0, 1372(ra)<br> |
| 344|[0x80004764]<br>0x00000003|- rs1_val==858993459 and rs2_val==3<br>                                                                                                                                     |[0x80001a24]:c.and a0, a1<br> [0x80001a26]:sw a0, 1376(ra)<br> |
| 345|[0x80004768]<br>0x00000005|- rs1_val==5 and rs2_val==46341<br>                                                                                                                                         |[0x80001a36]:c.and a0, a1<br> [0x80001a38]:sw a0, 1380(ra)<br> |
| 346|[0x8000476c]<br>0x00000005|- rs1_val==5 and rs2_val==-46339<br>                                                                                                                                        |[0x80001a48]:c.and a0, a1<br> [0x80001a4a]:sw a0, 1384(ra)<br> |
| 347|[0x80004770]<br>0x00000005|- rs1_val==5 and rs2_val==1717986919<br>                                                                                                                                    |[0x80001a5a]:c.and a0, a1<br> [0x80001a5c]:sw a0, 1388(ra)<br> |
| 348|[0x80004774]<br>0x00000004|- rs1_val==5 and rs2_val==858993460<br>                                                                                                                                     |[0x80001a6c]:c.and a0, a1<br> [0x80001a6e]:sw a0, 1392(ra)<br> |
| 349|[0x80004778]<br>0x00000004|- rs1_val==5 and rs2_val==6<br>                                                                                                                                             |[0x80001a7a]:c.and a0, a1<br> [0x80001a7c]:sw a0, 1396(ra)<br> |
| 350|[0x8000477c]<br>0x00000001|- rs1_val==5 and rs2_val==-1431655765<br>                                                                                                                                   |[0x80001a8c]:c.and a0, a1<br> [0x80001a8e]:sw a0, 1400(ra)<br> |
| 351|[0x80004780]<br>0x00000004|- rs1_val==5 and rs2_val==1431655766<br>                                                                                                                                    |[0x80001a9e]:c.and a0, a1<br> [0x80001aa0]:sw a0, 1404(ra)<br> |
| 352|[0x80004784]<br>0x00000004|- rs1_val==5 and rs2_val==4<br>                                                                                                                                             |[0x80001aac]:c.and a0, a1<br> [0x80001aae]:sw a0, 1408(ra)<br> |
| 353|[0x80004788]<br>0x00000001|- rs1_val==5 and rs2_val==46339<br>                                                                                                                                         |[0x80001abe]:c.and a0, a1<br> [0x80001ac0]:sw a0, 1412(ra)<br> |
| 354|[0x8000478c]<br>0x00000000|- rs1_val==5 and rs2_val==0<br>                                                                                                                                             |[0x80001acc]:c.and a0, a1<br> [0x80001ace]:sw a0, 1416(ra)<br> |
| 355|[0x80004790]<br>0x00000005|- rs1_val==5 and rs2_val==1717986917<br>                                                                                                                                    |[0x80001ade]:c.and a0, a1<br> [0x80001ae0]:sw a0, 1420(ra)<br> |
| 356|[0x80004794]<br>0x00000000|- rs1_val==5 and rs2_val==858993458<br>                                                                                                                                     |[0x80001af0]:c.and a0, a1<br> [0x80001af2]:sw a0, 1424(ra)<br> |
| 357|[0x80004798]<br>0x00000004|- rs1_val==5 and rs2_val==1431655764<br>                                                                                                                                    |[0x80001b02]:c.and a0, a1<br> [0x80001b04]:sw a0, 1428(ra)<br> |
| 358|[0x8000479c]<br>0x00000000|- rs1_val==5 and rs2_val==2<br>                                                                                                                                             |[0x80001b10]:c.and a0, a1<br> [0x80001b12]:sw a0, 1432(ra)<br> |
| 359|[0x800047a0]<br>0x00000004|- rs1_val==5 and rs2_val==46340<br>                                                                                                                                         |[0x80001b22]:c.and a0, a1<br> [0x80001b24]:sw a0, 1436(ra)<br> |
| 360|[0x800047a4]<br>0x00000004|- rs1_val==5 and rs2_val==-46340<br>                                                                                                                                        |[0x80001b34]:c.and a0, a1<br> [0x80001b36]:sw a0, 1440(ra)<br> |
| 361|[0x800047a8]<br>0x00000004|- rs1_val==5 and rs2_val==1717986918<br>                                                                                                                                    |[0x80001b46]:c.and a0, a1<br> [0x80001b48]:sw a0, 1444(ra)<br> |
| 362|[0x800047ac]<br>0x00000001|- rs1_val==5 and rs2_val==858993459<br>                                                                                                                                     |[0x80001b58]:c.and a0, a1<br> [0x80001b5a]:sw a0, 1448(ra)<br> |
| 363|[0x800047b0]<br>0x00000005|- rs1_val==5 and rs2_val==5<br>                                                                                                                                             |[0x80001b66]:c.and a0, a1<br> [0x80001b68]:sw a0, 1452(ra)<br> |
| 364|[0x800047b4]<br>0x00000000|- rs1_val==5 and rs2_val==-1431655766<br>                                                                                                                                   |[0x80001b78]:c.and a0, a1<br> [0x80001b7a]:sw a0, 1456(ra)<br> |
| 365|[0x800047b8]<br>0x00000005|- rs1_val==5 and rs2_val==1431655765<br>                                                                                                                                    |[0x80001b8a]:c.and a0, a1<br> [0x80001b8c]:sw a0, 1460(ra)<br> |
| 366|[0x800047bc]<br>0x00000001|- rs1_val==5 and rs2_val==3<br>                                                                                                                                             |[0x80001b98]:c.and a0, a1<br> [0x80001b9a]:sw a0, 1464(ra)<br> |
| 367|[0x800047c0]<br>0x0000A000|- rs1_val==-1431655766 and rs2_val==46341<br> - rs1_val == -1431655766<br>                                                                                                  |[0x80001bae]:c.and a0, a1<br> [0x80001bb0]:sw a0, 1468(ra)<br> |
| 368|[0x800047c4]<br>0xAAAA0AA8|- rs1_val==-1431655766 and rs2_val==-46339<br>                                                                                                                              |[0x80001bc4]:c.and a0, a1<br> [0x80001bc6]:sw a0, 1472(ra)<br> |
| 369|[0x800047c8]<br>0x22222222|- rs1_val==-1431655766 and rs2_val==1717986919<br>                                                                                                                          |[0x80001bda]:c.and a0, a1<br> [0x80001bdc]:sw a0, 1476(ra)<br> |
| 370|[0x800047cc]<br>0x22222220|- rs1_val==-1431655766 and rs2_val==858993460<br>                                                                                                                           |[0x80001bf0]:c.and a0, a1<br> [0x80001bf2]:sw a0, 1480(ra)<br> |
| 371|[0x800047d0]<br>0x00000002|- rs1_val==-1431655766 and rs2_val==6<br>                                                                                                                                   |[0x80001c02]:c.and a0, a1<br> [0x80001c04]:sw a0, 1484(ra)<br> |
| 372|[0x800047d4]<br>0xAAAAAAAA|- rs1_val==-1431655766 and rs2_val==-1431655765<br>                                                                                                                         |[0x80001c18]:c.and a0, a1<br> [0x80001c1a]:sw a0, 1488(ra)<br> |
| 373|[0x800047d8]<br>0x00000002|- rs1_val==-1431655766 and rs2_val==1431655766<br>                                                                                                                          |[0x80001c2e]:c.and a0, a1<br> [0x80001c30]:sw a0, 1492(ra)<br> |
| 374|[0x800047dc]<br>0x00000000|- rs1_val==-1431655766 and rs2_val==4<br>                                                                                                                                   |[0x80001c40]:c.and a0, a1<br> [0x80001c42]:sw a0, 1496(ra)<br> |
| 375|[0x800047e0]<br>0x0000A002|- rs1_val==-1431655766 and rs2_val==46339<br>                                                                                                                               |[0x80001c56]:c.and a0, a1<br> [0x80001c58]:sw a0, 1500(ra)<br> |
| 376|[0x800047e4]<br>0x00000000|- rs1_val==-1431655766 and rs2_val==0<br>                                                                                                                                   |[0x80001c68]:c.and a0, a1<br> [0x80001c6a]:sw a0, 1504(ra)<br> |
| 377|[0x800047e8]<br>0x22222220|- rs1_val==-1431655766 and rs2_val==1717986917<br>                                                                                                                          |[0x80001c7e]:c.and a0, a1<br> [0x80001c80]:sw a0, 1508(ra)<br> |
| 378|[0x800047ec]<br>0x22222222|- rs1_val==-1431655766 and rs2_val==858993458<br>                                                                                                                           |[0x80001c94]:c.and a0, a1<br> [0x80001c96]:sw a0, 1512(ra)<br> |
| 379|[0x800047f0]<br>0x00000000|- rs1_val==-1431655766 and rs2_val==1431655764<br>                                                                                                                          |[0x80001caa]:c.and a0, a1<br> [0x80001cac]:sw a0, 1516(ra)<br> |
| 380|[0x800047f4]<br>0x00000002|- rs1_val==-1431655766 and rs2_val==2<br>                                                                                                                                   |[0x80001cbc]:c.and a0, a1<br> [0x80001cbe]:sw a0, 1520(ra)<br> |
| 381|[0x800047f8]<br>0x0000A000|- rs1_val==-1431655766 and rs2_val==46340<br>                                                                                                                               |[0x80001cd2]:c.and a0, a1<br> [0x80001cd4]:sw a0, 1524(ra)<br> |
| 382|[0x800047fc]<br>0xAAAA0AA8|- rs1_val==-1431655766 and rs2_val==-46340<br>                                                                                                                              |[0x80001ce8]:c.and a0, a1<br> [0x80001cea]:sw a0, 1528(ra)<br> |
| 383|[0x80004800]<br>0x22222222|- rs1_val==-1431655766 and rs2_val==1717986918<br>                                                                                                                          |[0x80001cfe]:c.and a0, a1<br> [0x80001d00]:sw a0, 1532(ra)<br> |
| 384|[0x80004804]<br>0x22222222|- rs1_val==-1431655766 and rs2_val==858993459<br>                                                                                                                           |[0x80001d14]:c.and a0, a1<br> [0x80001d16]:sw a0, 1536(ra)<br> |
| 385|[0x80004808]<br>0x00000000|- rs1_val==-1431655766 and rs2_val==5<br>                                                                                                                                   |[0x80001d26]:c.and a0, a1<br> [0x80001d28]:sw a0, 1540(ra)<br> |
| 386|[0x8000480c]<br>0xAAAAAAAA|- rs1_val==-1431655766 and rs2_val==-1431655766<br>                                                                                                                         |[0x80001d3c]:c.and a0, a1<br> [0x80001d3e]:sw a0, 1544(ra)<br> |
| 387|[0x80004810]<br>0x00000000|- rs1_val==-1431655766 and rs2_val==1431655765<br>                                                                                                                          |[0x80001d52]:c.and a0, a1<br> [0x80001d54]:sw a0, 1548(ra)<br> |
| 388|[0x80004814]<br>0x00000002|- rs1_val==-1431655766 and rs2_val==3<br>                                                                                                                                   |[0x80001d64]:c.and a0, a1<br> [0x80001d66]:sw a0, 1552(ra)<br> |
| 389|[0x80004818]<br>0x00001505|- rs1_val==1431655765 and rs2_val==46341<br>                                                                                                                                |[0x80001d7a]:c.and a0, a1<br> [0x80001d7c]:sw a0, 1556(ra)<br> |
| 390|[0x8000481c]<br>0x55554055|- rs1_val==1431655765 and rs2_val==-46339<br>                                                                                                                               |[0x80001d90]:c.and a0, a1<br> [0x80001d92]:sw a0, 1560(ra)<br> |
| 391|[0x80004820]<br>0x44444445|- rs1_val==1431655765 and rs2_val==1717986919<br>                                                                                                                           |[0x80001da6]:c.and a0, a1<br> [0x80001da8]:sw a0, 1564(ra)<br> |
| 392|[0x80004824]<br>0x11111114|- rs1_val==1431655765 and rs2_val==858993460<br>                                                                                                                            |[0x80001dbc]:c.and a0, a1<br> [0x80001dbe]:sw a0, 1568(ra)<br> |
| 393|[0x80004828]<br>0x00000004|- rs1_val==1431655765 and rs2_val==6<br>                                                                                                                                    |[0x80001dce]:c.and a0, a1<br> [0x80001dd0]:sw a0, 1572(ra)<br> |
| 394|[0x8000482c]<br>0x00000001|- rs1_val==1431655765 and rs2_val==-1431655765<br>                                                                                                                          |[0x80001de4]:c.and a0, a1<br> [0x80001de6]:sw a0, 1576(ra)<br> |
| 395|[0x80004830]<br>0x55555554|- rs1_val==1431655765 and rs2_val==1431655766<br>                                                                                                                           |[0x80001dfa]:c.and a0, a1<br> [0x80001dfc]:sw a0, 1580(ra)<br> |
| 396|[0x80004834]<br>0x00000004|- rs1_val==1431655765 and rs2_val==4<br>                                                                                                                                    |[0x80001e0c]:c.and a0, a1<br> [0x80001e0e]:sw a0, 1584(ra)<br> |
| 397|[0x80004838]<br>0x00001501|- rs1_val==1431655765 and rs2_val==46339<br>                                                                                                                                |[0x80001e22]:c.and a0, a1<br> [0x80001e24]:sw a0, 1588(ra)<br> |
| 398|[0x8000483c]<br>0x00000000|- rs1_val==1431655765 and rs2_val==0<br>                                                                                                                                    |[0x80001e34]:c.and a0, a1<br> [0x80001e36]:sw a0, 1592(ra)<br> |
| 399|[0x80004840]<br>0x44444445|- rs1_val==1431655765 and rs2_val==1717986917<br>                                                                                                                           |[0x80001e4a]:c.and a0, a1<br> [0x80001e4c]:sw a0, 1596(ra)<br> |
| 400|[0x80004844]<br>0x11111110|- rs1_val==1431655765 and rs2_val==858993458<br>                                                                                                                            |[0x80001e60]:c.and a0, a1<br> [0x80001e62]:sw a0, 1600(ra)<br> |
| 401|[0x80004848]<br>0x55555554|- rs1_val==1431655765 and rs2_val==1431655764<br>                                                                                                                           |[0x80001e76]:c.and a0, a1<br> [0x80001e78]:sw a0, 1604(ra)<br> |
| 402|[0x8000484c]<br>0x00000000|- rs1_val==1431655765 and rs2_val==2<br>                                                                                                                                    |[0x80001e88]:c.and a0, a1<br> [0x80001e8a]:sw a0, 1608(ra)<br> |
| 403|[0x80004850]<br>0x00001504|- rs1_val==1431655765 and rs2_val==46340<br>                                                                                                                                |[0x80001e9e]:c.and a0, a1<br> [0x80001ea0]:sw a0, 1612(ra)<br> |
| 404|[0x80004854]<br>0x55554054|- rs1_val==1431655765 and rs2_val==-46340<br>                                                                                                                               |[0x80001eb4]:c.and a0, a1<br> [0x80001eb6]:sw a0, 1616(ra)<br> |
| 405|[0x80004858]<br>0x44444444|- rs1_val==1431655765 and rs2_val==1717986918<br>                                                                                                                           |[0x80001eca]:c.and a0, a1<br> [0x80001ecc]:sw a0, 1620(ra)<br> |
| 406|[0x8000485c]<br>0x11111111|- rs1_val==1431655765 and rs2_val==858993459<br>                                                                                                                            |[0x80001ee0]:c.and a0, a1<br> [0x80001ee2]:sw a0, 1624(ra)<br> |
| 407|[0x80004860]<br>0x00000005|- rs1_val==1431655765 and rs2_val==5<br>                                                                                                                                    |[0x80001ef2]:c.and a0, a1<br> [0x80001ef4]:sw a0, 1628(ra)<br> |
| 408|[0x80004864]<br>0x00000000|- rs1_val==1431655765 and rs2_val==-1431655766<br>                                                                                                                          |[0x80001f08]:c.and a0, a1<br> [0x80001f0a]:sw a0, 1632(ra)<br> |
| 409|[0x80004868]<br>0x55555555|- rs1_val==1431655765 and rs2_val==1431655765<br>                                                                                                                           |[0x80001f1e]:c.and a0, a1<br> [0x80001f20]:sw a0, 1636(ra)<br> |
| 410|[0x8000486c]<br>0x00000001|- rs1_val==1431655765 and rs2_val==3<br>                                                                                                                                    |[0x80001f30]:c.and a0, a1<br> [0x80001f32]:sw a0, 1640(ra)<br> |
| 411|[0x80004870]<br>0x00000001|- rs1_val==3 and rs2_val==46341<br>                                                                                                                                         |[0x80001f42]:c.and a0, a1<br> [0x80001f44]:sw a0, 1644(ra)<br> |
| 412|[0x80004874]<br>0x00000001|- rs1_val==3 and rs2_val==-46339<br>                                                                                                                                        |[0x80001f54]:c.and a0, a1<br> [0x80001f56]:sw a0, 1648(ra)<br> |
| 413|[0x80004878]<br>0x00000003|- rs1_val==3 and rs2_val==1717986919<br>                                                                                                                                    |[0x80001f66]:c.and a0, a1<br> [0x80001f68]:sw a0, 1652(ra)<br> |
| 414|[0x8000487c]<br>0x00000000|- rs1_val==3 and rs2_val==858993460<br>                                                                                                                                     |[0x80001f78]:c.and a0, a1<br> [0x80001f7a]:sw a0, 1656(ra)<br> |
| 415|[0x80004880]<br>0x00000002|- rs1_val==3 and rs2_val==6<br>                                                                                                                                             |[0x80001f86]:c.and a0, a1<br> [0x80001f88]:sw a0, 1660(ra)<br> |
| 416|[0x80004884]<br>0x00000003|- rs1_val==3 and rs2_val==-1431655765<br>                                                                                                                                   |[0x80001f98]:c.and a0, a1<br> [0x80001f9a]:sw a0, 1664(ra)<br> |
| 417|[0x80004888]<br>0x00000002|- rs1_val==3 and rs2_val==1431655766<br>                                                                                                                                    |[0x80001faa]:c.and a0, a1<br> [0x80001fac]:sw a0, 1668(ra)<br> |
| 418|[0x8000488c]<br>0x00000000|- rs1_val==3 and rs2_val==4<br>                                                                                                                                             |[0x80001fb8]:c.and a0, a1<br> [0x80001fba]:sw a0, 1672(ra)<br> |
| 419|[0x80004890]<br>0x00000003|- rs1_val==3 and rs2_val==46339<br>                                                                                                                                         |[0x80001fca]:c.and a0, a1<br> [0x80001fcc]:sw a0, 1676(ra)<br> |
| 420|[0x80004894]<br>0x00000000|- rs1_val==3 and rs2_val==0<br>                                                                                                                                             |[0x80001fd8]:c.and a0, a1<br> [0x80001fda]:sw a0, 1680(ra)<br> |
| 421|[0x80004898]<br>0x00000001|- rs1_val==3 and rs2_val==1717986917<br>                                                                                                                                    |[0x80001fea]:c.and a0, a1<br> [0x80001fec]:sw a0, 1684(ra)<br> |
| 422|[0x8000489c]<br>0x00000002|- rs1_val==3 and rs2_val==858993458<br>                                                                                                                                     |[0x80001ffc]:c.and a0, a1<br> [0x80001ffe]:sw a0, 1688(ra)<br> |
| 423|[0x800048a0]<br>0x00000000|- rs1_val==3 and rs2_val==1431655764<br>                                                                                                                                    |[0x8000200e]:c.and a0, a1<br> [0x80002010]:sw a0, 1692(ra)<br> |
| 424|[0x800048a4]<br>0x00000002|- rs1_val==3 and rs2_val==2<br>                                                                                                                                             |[0x8000201c]:c.and a0, a1<br> [0x8000201e]:sw a0, 1696(ra)<br> |
| 425|[0x800048a8]<br>0x00000000|- rs1_val==3 and rs2_val==46340<br>                                                                                                                                         |[0x8000202e]:c.and a0, a1<br> [0x80002030]:sw a0, 1700(ra)<br> |
| 426|[0x800048ac]<br>0x00000000|- rs1_val==3 and rs2_val==-46340<br>                                                                                                                                        |[0x80002040]:c.and a0, a1<br> [0x80002042]:sw a0, 1704(ra)<br> |
| 427|[0x800048b0]<br>0x00000002|- rs1_val==3 and rs2_val==1717986918<br>                                                                                                                                    |[0x80002052]:c.and a0, a1<br> [0x80002054]:sw a0, 1708(ra)<br> |
| 428|[0x800048b4]<br>0x00000003|- rs1_val==3 and rs2_val==858993459<br>                                                                                                                                     |[0x80002064]:c.and a0, a1<br> [0x80002066]:sw a0, 1712(ra)<br> |
| 429|[0x800048b8]<br>0x00000001|- rs1_val==3 and rs2_val==5<br>                                                                                                                                             |[0x80002072]:c.and a0, a1<br> [0x80002074]:sw a0, 1716(ra)<br> |
| 430|[0x800048bc]<br>0x00000002|- rs1_val==3 and rs2_val==-1431655766<br>                                                                                                                                   |[0x80002084]:c.and a0, a1<br> [0x80002086]:sw a0, 1720(ra)<br> |
| 431|[0x800048c0]<br>0x00000001|- rs1_val==3 and rs2_val==1431655765<br>                                                                                                                                    |[0x80002096]:c.and a0, a1<br> [0x80002098]:sw a0, 1724(ra)<br> |
| 432|[0x800048c4]<br>0x00000003|- rs1_val==3 and rs2_val==3<br>                                                                                                                                             |[0x800020a4]:c.and a0, a1<br> [0x800020a6]:sw a0, 1728(ra)<br> |
| 433|[0x800048c8]<br>0x00000000|- rs1_val==1717986917 and rs2_val==0<br>                                                                                                                                    |[0x800020b6]:c.and a0, a1<br> [0x800020b8]:sw a0, 1732(ra)<br> |
| 434|[0x800048cc]<br>0x66666665|- rs1_val==1717986917 and rs2_val==1717986917<br>                                                                                                                           |[0x800020cc]:c.and a0, a1<br> [0x800020ce]:sw a0, 1736(ra)<br> |
| 435|[0x800048d0]<br>0x22222220|- rs1_val==1717986917 and rs2_val==858993458<br>                                                                                                                            |[0x800020e2]:c.and a0, a1<br> [0x800020e4]:sw a0, 1740(ra)<br> |
| 436|[0x800048d4]<br>0x44444444|- rs1_val==1717986917 and rs2_val==1431655764<br>                                                                                                                           |[0x800020f8]:c.and a0, a1<br> [0x800020fa]:sw a0, 1744(ra)<br> |
| 437|[0x800048d8]<br>0x00002404|- rs1_val==1717986917 and rs2_val==46340<br>                                                                                                                                |[0x8000210e]:c.and a0, a1<br> [0x80002110]:sw a0, 1748(ra)<br> |
| 438|[0x800048dc]<br>0x66664264|- rs1_val==1717986917 and rs2_val==-46340<br>                                                                                                                               |[0x80002124]:c.and a0, a1<br> [0x80002126]:sw a0, 1752(ra)<br> |
| 439|[0x800048e0]<br>0x66666664|- rs1_val==1717986917 and rs2_val==1717986918<br>                                                                                                                           |[0x8000213a]:c.and a0, a1<br> [0x8000213c]:sw a0, 1756(ra)<br> |
| 440|[0x800048e4]<br>0x22222221|- rs1_val==1717986917 and rs2_val==858993459<br>                                                                                                                            |[0x80002150]:c.and a0, a1<br> [0x80002152]:sw a0, 1760(ra)<br> |
| 441|[0x800048e8]<br>0x00000005|- rs1_val==1717986917 and rs2_val==5<br>                                                                                                                                    |[0x80002162]:c.and a0, a1<br> [0x80002164]:sw a0, 1764(ra)<br> |
| 442|[0x800048ec]<br>0x22222220|- rs1_val==1717986917 and rs2_val==-1431655766<br>                                                                                                                          |[0x80002178]:c.and a0, a1<br> [0x8000217a]:sw a0, 1768(ra)<br> |
| 443|[0x800048f0]<br>0x44444445|- rs1_val==1717986917 and rs2_val==1431655765<br>                                                                                                                           |[0x8000218e]:c.and a0, a1<br> [0x80002190]:sw a0, 1772(ra)<br> |
| 444|[0x800048f4]<br>0x00000001|- rs1_val==1717986917 and rs2_val==3<br>                                                                                                                                    |[0x800021a0]:c.and a0, a1<br> [0x800021a2]:sw a0, 1776(ra)<br> |
| 445|[0x800048f8]<br>0x00003100|- rs1_val==858993458 and rs2_val==46341<br>                                                                                                                                 |[0x800021b6]:c.and a0, a1<br> [0x800021b8]:sw a0, 1780(ra)<br> |
| 446|[0x800048fc]<br>0x33330230|- rs1_val==858993458 and rs2_val==-46339<br>                                                                                                                                |[0x800021cc]:c.and a0, a1<br> [0x800021ce]:sw a0, 1784(ra)<br> |
| 447|[0x80004900]<br>0x22222222|- rs1_val==858993458 and rs2_val==1717986919<br>                                                                                                                            |[0x800021e2]:c.and a0, a1<br> [0x800021e4]:sw a0, 1788(ra)<br> |
| 448|[0x80004904]<br>0x33333330|- rs1_val==858993458 and rs2_val==858993460<br>                                                                                                                             |[0x800021f8]:c.and a0, a1<br> [0x800021fa]:sw a0, 1792(ra)<br> |
| 449|[0x80004908]<br>0x00000002|- rs1_val==858993458 and rs2_val==6<br>                                                                                                                                     |[0x8000220a]:c.and a0, a1<br> [0x8000220c]:sw a0, 1796(ra)<br> |
| 450|[0x8000490c]<br>0x22222222|- rs1_val==858993458 and rs2_val==-1431655765<br>                                                                                                                           |[0x80002220]:c.and a0, a1<br> [0x80002222]:sw a0, 1800(ra)<br> |
| 451|[0x80004910]<br>0x11111112|- rs1_val==858993458 and rs2_val==1431655766<br>                                                                                                                            |[0x80002236]:c.and a0, a1<br> [0x80002238]:sw a0, 1804(ra)<br> |
| 452|[0x80004914]<br>0x00000000|- rs1_val==858993458 and rs2_val==4<br>                                                                                                                                     |[0x80002248]:c.and a0, a1<br> [0x8000224a]:sw a0, 1808(ra)<br> |
| 453|[0x80004918]<br>0x00003102|- rs1_val==858993458 and rs2_val==46339<br>                                                                                                                                 |[0x8000225e]:c.and a0, a1<br> [0x80002260]:sw a0, 1812(ra)<br> |
| 454|[0x8000491c]<br>0x00000000|- rs1_val==858993458 and rs2_val==0<br>                                                                                                                                     |[0x80002270]:c.and a0, a1<br> [0x80002272]:sw a0, 1816(ra)<br> |
| 455|[0x80004920]<br>0x22222220|- rs1_val==858993458 and rs2_val==1717986917<br>                                                                                                                            |[0x80002286]:c.and a0, a1<br> [0x80002288]:sw a0, 1820(ra)<br> |
| 456|[0x80004924]<br>0x33333332|- rs1_val==858993458 and rs2_val==858993458<br>                                                                                                                             |[0x8000229c]:c.and a0, a1<br> [0x8000229e]:sw a0, 1824(ra)<br> |
| 457|[0x80004928]<br>0x11111110|- rs1_val==858993458 and rs2_val==1431655764<br>                                                                                                                            |[0x800022b2]:c.and a0, a1<br> [0x800022b4]:sw a0, 1828(ra)<br> |
| 458|[0x8000492c]<br>0x00000002|- rs1_val==858993458 and rs2_val==2<br>                                                                                                                                     |[0x800022c4]:c.and a0, a1<br> [0x800022c6]:sw a0, 1832(ra)<br> |
| 459|[0x80004930]<br>0x00003100|- rs1_val==858993458 and rs2_val==46340<br>                                                                                                                                 |[0x800022da]:c.and a0, a1<br> [0x800022dc]:sw a0, 1836(ra)<br> |
| 460|[0x80004934]<br>0x33330230|- rs1_val==858993458 and rs2_val==-46340<br>                                                                                                                                |[0x800022f0]:c.and a0, a1<br> [0x800022f2]:sw a0, 1840(ra)<br> |
| 461|[0x80004938]<br>0x22222222|- rs1_val==858993458 and rs2_val==1717986918<br>                                                                                                                            |[0x80002306]:c.and a0, a1<br> [0x80002308]:sw a0, 1844(ra)<br> |
| 462|[0x8000493c]<br>0x33333332|- rs1_val==858993458 and rs2_val==858993459<br>                                                                                                                             |[0x8000231c]:c.and a0, a1<br> [0x8000231e]:sw a0, 1848(ra)<br> |
| 463|[0x80004940]<br>0x00000000|- rs1_val==858993458 and rs2_val==5<br>                                                                                                                                     |[0x8000232e]:c.and a0, a1<br> [0x80002330]:sw a0, 1852(ra)<br> |
| 464|[0x80004944]<br>0x22222222|- rs1_val==858993458 and rs2_val==-1431655766<br>                                                                                                                           |[0x80002344]:c.and a0, a1<br> [0x80002346]:sw a0, 1856(ra)<br> |
| 465|[0x80004948]<br>0x11111110|- rs1_val==858993458 and rs2_val==1431655765<br>                                                                                                                            |[0x8000235a]:c.and a0, a1<br> [0x8000235c]:sw a0, 1860(ra)<br> |
| 466|[0x8000494c]<br>0x00000002|- rs1_val==858993458 and rs2_val==3<br>                                                                                                                                     |[0x8000236c]:c.and a0, a1<br> [0x8000236e]:sw a0, 1864(ra)<br> |
| 467|[0x80004950]<br>0x00001504|- rs1_val==1431655764 and rs2_val==46341<br>                                                                                                                                |[0x80002382]:c.and a0, a1<br> [0x80002384]:sw a0, 1868(ra)<br> |
| 468|[0x80004954]<br>0x55554054|- rs1_val==1431655764 and rs2_val==-46339<br>                                                                                                                               |[0x80002398]:c.and a0, a1<br> [0x8000239a]:sw a0, 1872(ra)<br> |
| 469|[0x80004958]<br>0x44444444|- rs1_val==1431655764 and rs2_val==1717986919<br>                                                                                                                           |[0x800023ae]:c.and a0, a1<br> [0x800023b0]:sw a0, 1876(ra)<br> |
| 470|[0x8000495c]<br>0x11111114|- rs1_val==1431655764 and rs2_val==858993460<br>                                                                                                                            |[0x800023c4]:c.and a0, a1<br> [0x800023c6]:sw a0, 1880(ra)<br> |
| 471|[0x80004960]<br>0x00000004|- rs1_val==1431655764 and rs2_val==6<br>                                                                                                                                    |[0x800023d6]:c.and a0, a1<br> [0x800023d8]:sw a0, 1884(ra)<br> |
| 472|[0x80004964]<br>0x00000000|- rs1_val==1431655764 and rs2_val==-1431655765<br>                                                                                                                          |[0x800023ec]:c.and a0, a1<br> [0x800023ee]:sw a0, 1888(ra)<br> |
| 473|[0x80004968]<br>0x55555554|- rs1_val==1431655764 and rs2_val==1431655766<br>                                                                                                                           |[0x80002402]:c.and a0, a1<br> [0x80002404]:sw a0, 1892(ra)<br> |
| 474|[0x8000496c]<br>0x00000004|- rs1_val==1431655764 and rs2_val==4<br>                                                                                                                                    |[0x80002414]:c.and a0, a1<br> [0x80002416]:sw a0, 1896(ra)<br> |
| 475|[0x80004970]<br>0x00001500|- rs1_val==1431655764 and rs2_val==46339<br>                                                                                                                                |[0x8000242a]:c.and a0, a1<br> [0x8000242c]:sw a0, 1900(ra)<br> |
| 476|[0x80004974]<br>0x00000000|- rs1_val==1431655764 and rs2_val==0<br>                                                                                                                                    |[0x8000243c]:c.and a0, a1<br> [0x8000243e]:sw a0, 1904(ra)<br> |
| 477|[0x80004978]<br>0x44444444|- rs1_val==1431655764 and rs2_val==1717986917<br>                                                                                                                           |[0x80002452]:c.and a0, a1<br> [0x80002454]:sw a0, 1908(ra)<br> |
| 478|[0x8000497c]<br>0x11111110|- rs1_val==1431655764 and rs2_val==858993458<br>                                                                                                                            |[0x80002468]:c.and a0, a1<br> [0x8000246a]:sw a0, 1912(ra)<br> |
| 479|[0x80004980]<br>0x55555554|- rs1_val==1431655764 and rs2_val==1431655764<br>                                                                                                                           |[0x8000247e]:c.and a0, a1<br> [0x80002480]:sw a0, 1916(ra)<br> |
| 480|[0x80004984]<br>0x00000000|- rs1_val==1431655764 and rs2_val==2<br>                                                                                                                                    |[0x80002490]:c.and a0, a1<br> [0x80002492]:sw a0, 1920(ra)<br> |
| 481|[0x80004988]<br>0x00001504|- rs1_val==1431655764 and rs2_val==46340<br>                                                                                                                                |[0x800024a6]:c.and a0, a1<br> [0x800024a8]:sw a0, 1924(ra)<br> |
| 482|[0x8000498c]<br>0x55554054|- rs1_val==1431655764 and rs2_val==-46340<br>                                                                                                                               |[0x800024bc]:c.and a0, a1<br> [0x800024be]:sw a0, 1928(ra)<br> |
| 483|[0x80004990]<br>0x44444444|- rs1_val==1431655764 and rs2_val==1717986918<br>                                                                                                                           |[0x800024d2]:c.and a0, a1<br> [0x800024d4]:sw a0, 1932(ra)<br> |
| 484|[0x80004994]<br>0x11111110|- rs1_val==1431655764 and rs2_val==858993459<br>                                                                                                                            |[0x800024e8]:c.and a0, a1<br> [0x800024ea]:sw a0, 1936(ra)<br> |
| 485|[0x80004998]<br>0x00000004|- rs1_val==1431655764 and rs2_val==5<br>                                                                                                                                    |[0x800024fa]:c.and a0, a1<br> [0x800024fc]:sw a0, 1940(ra)<br> |
| 486|[0x8000499c]<br>0x00000000|- rs1_val==1431655764 and rs2_val==-1431655766<br>                                                                                                                          |[0x80002510]:c.and a0, a1<br> [0x80002512]:sw a0, 1944(ra)<br> |
| 487|[0x800049a0]<br>0x55555554|- rs1_val==1431655764 and rs2_val==1431655765<br>                                                                                                                           |[0x80002526]:c.and a0, a1<br> [0x80002528]:sw a0, 1948(ra)<br> |
| 488|[0x800049a4]<br>0x00000000|- rs1_val==1431655764 and rs2_val==3<br>                                                                                                                                    |[0x80002538]:c.and a0, a1<br> [0x8000253a]:sw a0, 1952(ra)<br> |
| 489|[0x800049a8]<br>0x00000000|- rs1_val==2 and rs2_val==46341<br>                                                                                                                                         |[0x8000254a]:c.and a0, a1<br> [0x8000254c]:sw a0, 1956(ra)<br> |
| 490|[0x800049ac]<br>0x00000000|- rs1_val==2 and rs2_val==-46339<br>                                                                                                                                        |[0x8000255c]:c.and a0, a1<br> [0x8000255e]:sw a0, 1960(ra)<br> |
| 491|[0x800049b0]<br>0x00000002|- rs1_val==2 and rs2_val==1717986919<br>                                                                                                                                    |[0x8000256e]:c.and a0, a1<br> [0x80002570]:sw a0, 1964(ra)<br> |
| 492|[0x800049b4]<br>0x00000000|- rs1_val==2 and rs2_val==858993460<br>                                                                                                                                     |[0x80002580]:c.and a0, a1<br> [0x80002582]:sw a0, 1968(ra)<br> |
| 493|[0x800049b8]<br>0x00000002|- rs1_val==2 and rs2_val==6<br>                                                                                                                                             |[0x8000258e]:c.and a0, a1<br> [0x80002590]:sw a0, 1972(ra)<br> |
| 494|[0x800049bc]<br>0x00000002|- rs1_val==2 and rs2_val==-1431655765<br>                                                                                                                                   |[0x800025a0]:c.and a0, a1<br> [0x800025a2]:sw a0, 1976(ra)<br> |
| 495|[0x800049c0]<br>0x00000002|- rs1_val==2 and rs2_val==1431655766<br>                                                                                                                                    |[0x800025b2]:c.and a0, a1<br> [0x800025b4]:sw a0, 1980(ra)<br> |
| 496|[0x800049c4]<br>0x00000000|- rs1_val==2 and rs2_val==4<br>                                                                                                                                             |[0x800025c0]:c.and a0, a1<br> [0x800025c2]:sw a0, 1984(ra)<br> |
| 497|[0x800049c8]<br>0x00000002|- rs1_val==2 and rs2_val==46339<br>                                                                                                                                         |[0x800025d2]:c.and a0, a1<br> [0x800025d4]:sw a0, 1988(ra)<br> |
| 498|[0x800049cc]<br>0x00000000|- rs1_val==2 and rs2_val==0<br>                                                                                                                                             |[0x800025e0]:c.and a0, a1<br> [0x800025e2]:sw a0, 1992(ra)<br> |
| 499|[0x800049d0]<br>0x00000000|- rs1_val==2 and rs2_val==1717986917<br>                                                                                                                                    |[0x800025f2]:c.and a0, a1<br> [0x800025f4]:sw a0, 1996(ra)<br> |
| 500|[0x800049d4]<br>0x00000002|- rs1_val==2 and rs2_val==858993458<br>                                                                                                                                     |[0x80002604]:c.and a0, a1<br> [0x80002606]:sw a0, 2000(ra)<br> |
| 501|[0x800049d8]<br>0x00000000|- rs1_val==2 and rs2_val==1431655764<br>                                                                                                                                    |[0x80002616]:c.and a0, a1<br> [0x80002618]:sw a0, 2004(ra)<br> |
| 502|[0x800049dc]<br>0x00000002|- rs1_val==2 and rs2_val==2<br>                                                                                                                                             |[0x80002624]:c.and a0, a1<br> [0x80002626]:sw a0, 2008(ra)<br> |
| 503|[0x800049e0]<br>0x00000000|- rs1_val==2 and rs2_val==46340<br>                                                                                                                                         |[0x80002636]:c.and a0, a1<br> [0x80002638]:sw a0, 2012(ra)<br> |
| 504|[0x800049e4]<br>0x00000000|- rs1_val==2 and rs2_val==-46340<br>                                                                                                                                        |[0x80002648]:c.and a0, a1<br> [0x8000264a]:sw a0, 2016(ra)<br> |
| 505|[0x800049e8]<br>0x00000002|- rs1_val==2 and rs2_val==1717986918<br>                                                                                                                                    |[0x8000265a]:c.and a0, a1<br> [0x8000265c]:sw a0, 2020(ra)<br> |
| 506|[0x800049ec]<br>0x00000002|- rs1_val==2 and rs2_val==858993459<br>                                                                                                                                     |[0x8000266c]:c.and a0, a1<br> [0x8000266e]:sw a0, 2024(ra)<br> |
| 507|[0x800049f0]<br>0x00000000|- rs1_val==2 and rs2_val==5<br>                                                                                                                                             |[0x8000267a]:c.and a0, a1<br> [0x8000267c]:sw a0, 2028(ra)<br> |
| 508|[0x800049f4]<br>0x00000002|- rs1_val==2 and rs2_val==-1431655766<br>                                                                                                                                   |[0x8000268c]:c.and a0, a1<br> [0x8000268e]:sw a0, 2032(ra)<br> |
| 509|[0x800049f8]<br>0x00000000|- rs1_val==2 and rs2_val==1431655765<br>                                                                                                                                    |[0x8000269e]:c.and a0, a1<br> [0x800026a0]:sw a0, 2036(ra)<br> |
| 510|[0x800049fc]<br>0x00000002|- rs1_val==2 and rs2_val==3<br>                                                                                                                                             |[0x800026ac]:c.and a0, a1<br> [0x800026ae]:sw a0, 2040(ra)<br> |
| 511|[0x80004a00]<br>0x0000B504|- rs1_val==46340 and rs2_val==46341<br>                                                                                                                                     |[0x800026c2]:c.and a0, a1<br> [0x800026c4]:sw a0, 2044(ra)<br> |
| 512|[0x80004a04]<br>0x00000004|- rs1_val==46340 and rs2_val==-46339<br>                                                                                                                                    |[0x800026e0]:c.and a0, a1<br> [0x800026e2]:sw a0, 0(ra)<br>    |
| 513|[0x80004a08]<br>0x00002404|- rs1_val==46340 and rs2_val==1717986919<br>                                                                                                                                |[0x800026f6]:c.and a0, a1<br> [0x800026f8]:sw a0, 4(ra)<br>    |
| 514|[0x80004a0c]<br>0x00003104|- rs1_val==46340 and rs2_val==858993460<br>                                                                                                                                 |[0x8000270c]:c.and a0, a1<br> [0x8000270e]:sw a0, 8(ra)<br>    |
| 515|[0x80004a10]<br>0x00000004|- rs1_val==46340 and rs2_val==6<br>                                                                                                                                         |[0x8000271e]:c.and a0, a1<br> [0x80002720]:sw a0, 12(ra)<br>   |
| 516|[0x80004a14]<br>0x0000A000|- rs1_val==46340 and rs2_val==-1431655765<br>                                                                                                                               |[0x80002734]:c.and a0, a1<br> [0x80002736]:sw a0, 16(ra)<br>   |
| 517|[0x80004a18]<br>0x00001504|- rs1_val==46340 and rs2_val==1431655766<br>                                                                                                                                |[0x8000274a]:c.and a0, a1<br> [0x8000274c]:sw a0, 20(ra)<br>   |
| 518|[0x80004a1c]<br>0x00000004|- rs1_val==46340 and rs2_val==4<br>                                                                                                                                         |[0x8000275c]:c.and a0, a1<br> [0x8000275e]:sw a0, 24(ra)<br>   |
| 519|[0x80004a20]<br>0x0000B500|- rs1_val==46340 and rs2_val==46339<br>                                                                                                                                     |[0x80002772]:c.and a0, a1<br> [0x80002774]:sw a0, 28(ra)<br>   |
| 520|[0x80004a24]<br>0x00000000|- rs1_val==46340 and rs2_val==0<br>                                                                                                                                         |[0x80002784]:c.and a0, a1<br> [0x80002786]:sw a0, 32(ra)<br>   |
| 521|[0x80004a28]<br>0x00002404|- rs1_val==46340 and rs2_val==1717986917<br>                                                                                                                                |[0x8000279a]:c.and a0, a1<br> [0x8000279c]:sw a0, 36(ra)<br>   |
| 522|[0x80004a2c]<br>0x00003100|- rs1_val==46340 and rs2_val==858993458<br>                                                                                                                                 |[0x800027b0]:c.and a0, a1<br> [0x800027b2]:sw a0, 40(ra)<br>   |
| 523|[0x80004a30]<br>0x00001504|- rs1_val==46340 and rs2_val==1431655764<br>                                                                                                                                |[0x800027c6]:c.and a0, a1<br> [0x800027c8]:sw a0, 44(ra)<br>   |
| 524|[0x80004a34]<br>0x00000000|- rs1_val==46340 and rs2_val==2<br>                                                                                                                                         |[0x800027d8]:c.and a0, a1<br> [0x800027da]:sw a0, 48(ra)<br>   |
| 525|[0x80004a38]<br>0x0000B504|- rs1_val==46340 and rs2_val==46340<br>                                                                                                                                     |[0x800027ee]:c.and a0, a1<br> [0x800027f0]:sw a0, 52(ra)<br>   |
| 526|[0x80004a3c]<br>0x00000004|- rs1_val==46340 and rs2_val==-46340<br>                                                                                                                                    |[0x80002804]:c.and a0, a1<br> [0x80002806]:sw a0, 56(ra)<br>   |
| 527|[0x80004a40]<br>0x00002404|- rs1_val==46340 and rs2_val==1717986918<br>                                                                                                                                |[0x8000281a]:c.and a0, a1<br> [0x8000281c]:sw a0, 60(ra)<br>   |
| 528|[0x80004a44]<br>0x00003100|- rs1_val==46340 and rs2_val==858993459<br>                                                                                                                                 |[0x80002830]:c.and a0, a1<br> [0x80002832]:sw a0, 64(ra)<br>   |
| 529|[0x80004a48]<br>0x00000004|- rs1_val==46340 and rs2_val==5<br>                                                                                                                                         |[0x80002842]:c.and a0, a1<br> [0x80002844]:sw a0, 68(ra)<br>   |
| 530|[0x80004a4c]<br>0x0000A000|- rs1_val==46340 and rs2_val==-1431655766<br>                                                                                                                               |[0x80002858]:c.and a0, a1<br> [0x8000285a]:sw a0, 72(ra)<br>   |
| 531|[0x80004a50]<br>0x00001504|- rs1_val==46340 and rs2_val==1431655765<br>                                                                                                                                |[0x8000286e]:c.and a0, a1<br> [0x80002870]:sw a0, 76(ra)<br>   |
| 532|[0x80004a54]<br>0x00000000|- rs1_val==46340 and rs2_val==3<br>                                                                                                                                         |[0x80002880]:c.and a0, a1<br> [0x80002882]:sw a0, 80(ra)<br>   |
| 533|[0x80004a58]<br>0x00000004|- rs1_val==-46340 and rs2_val==46341<br>                                                                                                                                    |[0x80002896]:c.and a0, a1<br> [0x80002898]:sw a0, 84(ra)<br>   |
| 534|[0x80004a5c]<br>0xFFFF4AFC|- rs1_val==-46340 and rs2_val==-46339<br>                                                                                                                                   |[0x800028ac]:c.and a0, a1<br> [0x800028ae]:sw a0, 88(ra)<br>   |
| 535|[0x80004a60]<br>0x66664264|- rs1_val==-46340 and rs2_val==1717986919<br>                                                                                                                               |[0x800028c2]:c.and a0, a1<br> [0x800028c4]:sw a0, 92(ra)<br>   |
| 536|[0x80004a64]<br>0x33330234|- rs1_val==-46340 and rs2_val==858993460<br>                                                                                                                                |[0x800028d8]:c.and a0, a1<br> [0x800028da]:sw a0, 96(ra)<br>   |
| 537|[0x80004a68]<br>0x00000004|- rs1_val==-46340 and rs2_val==6<br>                                                                                                                                        |[0x800028ea]:c.and a0, a1<br> [0x800028ec]:sw a0, 100(ra)<br>  |
| 538|[0x80004a6c]<br>0xAAAA0AA8|- rs1_val==-46340 and rs2_val==-1431655765<br>                                                                                                                              |[0x80002900]:c.and a0, a1<br> [0x80002902]:sw a0, 104(ra)<br>  |
| 539|[0x80004a70]<br>0x55554054|- rs1_val==-46340 and rs2_val==1431655766<br>                                                                                                                               |[0x80002916]:c.and a0, a1<br> [0x80002918]:sw a0, 108(ra)<br>  |
| 540|[0x80004a74]<br>0x00000004|- rs1_val==-46340 and rs2_val==4<br>                                                                                                                                        |[0x80002928]:c.and a0, a1<br> [0x8000292a]:sw a0, 112(ra)<br>  |
| 541|[0x80004a78]<br>0x00000000|- rs1_val==-46340 and rs2_val==46339<br>                                                                                                                                    |[0x8000293e]:c.and a0, a1<br> [0x80002940]:sw a0, 116(ra)<br>  |
| 542|[0x80004a7c]<br>0x00000000|- rs1_val==-46340 and rs2_val==0<br>                                                                                                                                        |[0x80002950]:c.and a0, a1<br> [0x80002952]:sw a0, 120(ra)<br>  |
| 543|[0x80004a80]<br>0x66664264|- rs1_val==-46340 and rs2_val==1717986917<br>                                                                                                                               |[0x80002966]:c.and a0, a1<br> [0x80002968]:sw a0, 124(ra)<br>  |
| 544|[0x80004a84]<br>0x33330230|- rs1_val==-46340 and rs2_val==858993458<br>                                                                                                                                |[0x8000297c]:c.and a0, a1<br> [0x8000297e]:sw a0, 128(ra)<br>  |
| 545|[0x80004a88]<br>0x55554054|- rs1_val==-46340 and rs2_val==1431655764<br>                                                                                                                               |[0x80002992]:c.and a0, a1<br> [0x80002994]:sw a0, 132(ra)<br>  |
| 546|[0x80004a8c]<br>0x00000000|- rs1_val==-46340 and rs2_val==2<br>                                                                                                                                        |[0x800029a4]:c.and a0, a1<br> [0x800029a6]:sw a0, 136(ra)<br>  |
| 547|[0x80004a90]<br>0x00000004|- rs1_val==-46340 and rs2_val==46340<br>                                                                                                                                    |[0x800029ba]:c.and a0, a1<br> [0x800029bc]:sw a0, 140(ra)<br>  |
| 548|[0x80004a94]<br>0xFFFF4AFC|- rs1_val==-46340 and rs2_val==-46340<br>                                                                                                                                   |[0x800029d0]:c.and a0, a1<br> [0x800029d2]:sw a0, 144(ra)<br>  |
| 549|[0x80004a98]<br>0x66664264|- rs1_val==-46340 and rs2_val==1717986918<br>                                                                                                                               |[0x800029e6]:c.and a0, a1<br> [0x800029e8]:sw a0, 148(ra)<br>  |
| 550|[0x80004a9c]<br>0x33330230|- rs1_val==-46340 and rs2_val==858993459<br>                                                                                                                                |[0x800029fc]:c.and a0, a1<br> [0x800029fe]:sw a0, 152(ra)<br>  |
| 551|[0x80004aa0]<br>0x00000004|- rs1_val==-46340 and rs2_val==5<br>                                                                                                                                        |[0x80002a0e]:c.and a0, a1<br> [0x80002a10]:sw a0, 156(ra)<br>  |
| 552|[0x80004aa4]<br>0xAAAA0AA8|- rs1_val==-46340 and rs2_val==-1431655766<br>                                                                                                                              |[0x80002a24]:c.and a0, a1<br> [0x80002a26]:sw a0, 160(ra)<br>  |
| 553|[0x80004aa8]<br>0x55554054|- rs1_val==-46340 and rs2_val==1431655765<br>                                                                                                                               |[0x80002a3a]:c.and a0, a1<br> [0x80002a3c]:sw a0, 164(ra)<br>  |
| 554|[0x80004aac]<br>0x00000000|- rs1_val==-46340 and rs2_val==3<br>                                                                                                                                        |[0x80002a4c]:c.and a0, a1<br> [0x80002a4e]:sw a0, 168(ra)<br>  |
| 555|[0x80004ab0]<br>0x00002404|- rs1_val==1717986918 and rs2_val==46341<br>                                                                                                                                |[0x80002a62]:c.and a0, a1<br> [0x80002a64]:sw a0, 172(ra)<br>  |
| 556|[0x80004ab4]<br>0x66664264|- rs1_val==1717986918 and rs2_val==-46339<br>                                                                                                                               |[0x80002a78]:c.and a0, a1<br> [0x80002a7a]:sw a0, 176(ra)<br>  |
| 557|[0x80004ab8]<br>0x66666666|- rs1_val==1717986918 and rs2_val==1717986919<br>                                                                                                                           |[0x80002a8e]:c.and a0, a1<br> [0x80002a90]:sw a0, 180(ra)<br>  |
| 558|[0x80004abc]<br>0x22222224|- rs1_val==1717986918 and rs2_val==858993460<br>                                                                                                                            |[0x80002aa4]:c.and a0, a1<br> [0x80002aa6]:sw a0, 184(ra)<br>  |
| 559|[0x80004ac0]<br>0x00000006|- rs1_val==1717986918 and rs2_val==6<br>                                                                                                                                    |[0x80002ab6]:c.and a0, a1<br> [0x80002ab8]:sw a0, 188(ra)<br>  |
| 560|[0x80004ac4]<br>0x22222222|- rs1_val==1717986918 and rs2_val==-1431655765<br>                                                                                                                          |[0x80002acc]:c.and a0, a1<br> [0x80002ace]:sw a0, 192(ra)<br>  |
| 561|[0x80004ac8]<br>0x44444446|- rs1_val==1717986918 and rs2_val==1431655766<br>                                                                                                                           |[0x80002ae2]:c.and a0, a1<br> [0x80002ae4]:sw a0, 196(ra)<br>  |
| 562|[0x80004acc]<br>0x00000004|- rs1_val==1717986918 and rs2_val==4<br>                                                                                                                                    |[0x80002af4]:c.and a0, a1<br> [0x80002af6]:sw a0, 200(ra)<br>  |
| 563|[0x80004ad0]<br>0x00002402|- rs1_val==1717986918 and rs2_val==46339<br>                                                                                                                                |[0x80002b0a]:c.and a0, a1<br> [0x80002b0c]:sw a0, 204(ra)<br>  |
| 564|[0x80004ad4]<br>0x00000000|- rs1_val==1717986918 and rs2_val==0<br>                                                                                                                                    |[0x80002b1c]:c.and a0, a1<br> [0x80002b1e]:sw a0, 208(ra)<br>  |
| 565|[0x80004ad8]<br>0x66666664|- rs1_val==1717986918 and rs2_val==1717986917<br>                                                                                                                           |[0x80002b32]:c.and a0, a1<br> [0x80002b34]:sw a0, 212(ra)<br>  |
| 566|[0x80004adc]<br>0x22222222|- rs1_val==1717986918 and rs2_val==858993458<br>                                                                                                                            |[0x80002b48]:c.and a0, a1<br> [0x80002b4a]:sw a0, 216(ra)<br>  |
| 567|[0x80004ae0]<br>0x44444444|- rs1_val==1717986918 and rs2_val==1431655764<br>                                                                                                                           |[0x80002b5e]:c.and a0, a1<br> [0x80002b60]:sw a0, 220(ra)<br>  |
| 568|[0x80004ae4]<br>0x00000002|- rs1_val==1717986918 and rs2_val==2<br>                                                                                                                                    |[0x80002b70]:c.and a0, a1<br> [0x80002b72]:sw a0, 224(ra)<br>  |
| 569|[0x80004ae8]<br>0x00002404|- rs1_val==1717986918 and rs2_val==46340<br>                                                                                                                                |[0x80002b86]:c.and a0, a1<br> [0x80002b88]:sw a0, 228(ra)<br>  |
| 570|[0x80004aec]<br>0x66664264|- rs1_val==1717986918 and rs2_val==-46340<br>                                                                                                                               |[0x80002b9c]:c.and a0, a1<br> [0x80002b9e]:sw a0, 232(ra)<br>  |
| 571|[0x80004af0]<br>0x66666666|- rs1_val==1717986918 and rs2_val==1717986918<br>                                                                                                                           |[0x80002bb2]:c.and a0, a1<br> [0x80002bb4]:sw a0, 236(ra)<br>  |
| 572|[0x80004af4]<br>0x22222222|- rs1_val==1717986918 and rs2_val==858993459<br>                                                                                                                            |[0x80002bc8]:c.and a0, a1<br> [0x80002bca]:sw a0, 240(ra)<br>  |
| 573|[0x80004af8]<br>0x00000004|- rs1_val==1717986918 and rs2_val==5<br>                                                                                                                                    |[0x80002bda]:c.and a0, a1<br> [0x80002bdc]:sw a0, 244(ra)<br>  |
| 574|[0x80004afc]<br>0x22222222|- rs1_val==1717986918 and rs2_val==-1431655766<br>                                                                                                                          |[0x80002bf0]:c.and a0, a1<br> [0x80002bf2]:sw a0, 248(ra)<br>  |
| 575|[0x80004b00]<br>0x44444444|- rs1_val==1717986918 and rs2_val==1431655765<br>                                                                                                                           |[0x80002c06]:c.and a0, a1<br> [0x80002c08]:sw a0, 252(ra)<br>  |
| 576|[0x80004b04]<br>0x00000002|- rs1_val==1717986918 and rs2_val==3<br>                                                                                                                                    |[0x80002c18]:c.and a0, a1<br> [0x80002c1a]:sw a0, 256(ra)<br>  |
| 577|[0x80004b08]<br>0x00003101|- rs1_val==858993459 and rs2_val==46341<br>                                                                                                                                 |[0x80002c2e]:c.and a0, a1<br> [0x80002c30]:sw a0, 260(ra)<br>  |
| 578|[0x80004b0c]<br>0x33330231|- rs1_val==858993459 and rs2_val==-46339<br>                                                                                                                                |[0x80002c44]:c.and a0, a1<br> [0x80002c46]:sw a0, 264(ra)<br>  |
| 579|[0x80004b10]<br>0x22222223|- rs1_val==858993459 and rs2_val==1717986919<br>                                                                                                                            |[0x80002c5a]:c.and a0, a1<br> [0x80002c5c]:sw a0, 268(ra)<br>  |
| 580|[0x80004b14]<br>0x33333330|- rs1_val==858993459 and rs2_val==858993460<br>                                                                                                                             |[0x80002c70]:c.and a0, a1<br> [0x80002c72]:sw a0, 272(ra)<br>  |
| 581|[0x80004b18]<br>0x00000002|- rs1_val==858993459 and rs2_val==6<br>                                                                                                                                     |[0x80002c82]:c.and a0, a1<br> [0x80002c84]:sw a0, 276(ra)<br>  |
| 582|[0x80004b1c]<br>0x22222223|- rs1_val==858993459 and rs2_val==-1431655765<br>                                                                                                                           |[0x80002c98]:c.and a0, a1<br> [0x80002c9a]:sw a0, 280(ra)<br>  |
| 583|[0x80004b20]<br>0x11111112|- rs1_val==858993459 and rs2_val==1431655766<br>                                                                                                                            |[0x80002cae]:c.and a0, a1<br> [0x80002cb0]:sw a0, 284(ra)<br>  |
| 584|[0x80004b24]<br>0x00000000|- rs1_val==858993459 and rs2_val==4<br>                                                                                                                                     |[0x80002cc0]:c.and a0, a1<br> [0x80002cc2]:sw a0, 288(ra)<br>  |
| 585|[0x80004b28]<br>0x00003103|- rs1_val==858993459 and rs2_val==46339<br>                                                                                                                                 |[0x80002cd6]:c.and a0, a1<br> [0x80002cd8]:sw a0, 292(ra)<br>  |
