
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 64      |
| TEST_REGION               | [('0x80000390', '0x80006e00')]      |
| SIG_REGION                | [('0x80008010', '0x800094d0', '664 dwords')]      |
| COV_LABELS                | cxor      |
| TEST_NAME                 | /scratch/git-repo/incoresemi/riscof/riscof_work/cxor-01.S/cxor-01.S    |
| Total Number of coverpoints| 771     |
| Total Coverpoints Hit     | 771      |
| Total Signature Updates   | 663      |
| STAT1                     | 662      |
| STAT2                     | 1      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```
Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x80000568]:c.xor a0, a1
      [0x8000056a]:sd a0, 160(ra)
 -- Signature Address: 0x800080b0 Data: 0x0000000000002000
 -- Redundant Coverpoints hit by the op
      - opcode : c.xor
      - rs1 : x10
      - rs2 : x11
      - rs1 != rs2
      - rs1_val == 0
      - rs2_val > 0
      - rs2_val == 8192






```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|            signature             |                                                                                    coverpoints                                                                                     |                             code                              |
|---:|----------------------------------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|---------------------------------------------------------------|
|   1|[0x80008010]<br>0x7FFFFFFFFFFFF7FF|- opcode : c.xor<br> - rs1 : x8<br> - rs2 : x14<br> - rs1 != rs2<br> - rs2_val == (-2**(xlen-1))<br> - rs2_val < 0<br> - rs2_val == -9223372036854775808<br> - rs1_val == -2049<br> |[0x800003a8]:c.xor s0, a4<br> [0x800003aa]:sd fp, 0(ra)<br>    |
|   2|[0x80008018]<br>0x0000000000000000|- rs1 : x13<br> - rs2 : x13<br> - rs1 == rs2<br> - rs2_val > 0<br> - rs2_val == 8192<br> - rs1_val == 8192<br>                                                                      |[0x800003b6]:c.xor a3, a3<br> [0x800003b8]:sd a3, 8(ra)<br>    |
|   3|[0x80008020]<br>0x8000000000008000|- rs1 : x10<br> - rs2 : x15<br> - rs2_val == (2**(xlen-1)-1)<br> - rs2_val == 9223372036854775807<br> - rs1_val == -32769<br>                                                       |[0x800003d0]:c.xor a0, a5<br> [0x800003d2]:sd a0, 16(ra)<br>   |
|   4|[0x80008028]<br>0xFFFFFDFFFFFFFFFE|- rs1 : x15<br> - rs2 : x10<br> - rs2_val == 1<br> - rs1_val == -2199023255553<br>                                                                                                  |[0x800003e6]:c.xor a5, a0<br> [0x800003e8]:sd a5, 24(ra)<br>   |
|   5|[0x80008030]<br>0x0000000000000000|- rs1 : x14<br> - rs2 : x9<br> - rs1_val == (-2**(xlen-1))<br> - rs1_val == -9223372036854775808<br>                                                                                |[0x800003fc]:c.xor a4, s1<br> [0x800003fe]:sd a4, 32(ra)<br>   |
|   6|[0x80008038]<br>0x00000000B504F332|- rs1 : x12<br> - rs2 : x8<br> - rs1_val == 0<br> - rs1_val==0 and rs2_val==3037000498<br>                                                                                          |[0x80000416]:c.xor a2, s0<br> [0x80000418]:sd a2, 40(ra)<br>   |
|   7|[0x80008040]<br>0x8000000000000200|- rs1 : x11<br> - rs2 : x12<br> - rs1_val == (2**(xlen-1)-1)<br> - rs2_val == -513<br> - rs1_val == 9223372036854775807<br>                                                         |[0x8000042c]:c.xor a1, a2<br> [0x8000042e]:sd a1, 48(ra)<br>   |
|   8|[0x80008048]<br>0x0000000000040001|- rs1 : x9<br> - rs2 : x11<br> - rs1_val == 1<br> - rs2_val == 262144<br>                                                                                                           |[0x8000043a]:c.xor s1, a1<br> [0x8000043c]:sd s1, 56(ra)<br>   |
|   9|[0x80008050]<br>0x0000002000000002|- rs2_val == 2<br> - rs1_val == 137438953472<br>                                                                                                                                    |[0x8000044c]:c.xor a0, a1<br> [0x8000044e]:sd a0, 64(ra)<br>   |
|  10|[0x80008058]<br>0x6666666666666661|- rs2_val == 4<br> - rs1_val==7378697629483820645 and rs2_val==4<br>                                                                                                                |[0x80000476]:c.xor a0, a1<br> [0x80000478]:sd a0, 72(ra)<br>   |
|  11|[0x80008060]<br>0x0000000000020008|- rs2_val == 8<br> - rs1_val == 131072<br>                                                                                                                                          |[0x80000484]:c.xor a0, a1<br> [0x80000486]:sd a0, 80(ra)<br>   |
|  12|[0x80008068]<br>0x00000000B504F322|- rs2_val == 16<br>                                                                                                                                                                 |[0x8000049e]:c.xor a0, a1<br> [0x800004a0]:sd a0, 88(ra)<br>   |
|  13|[0x80008070]<br>0x6666666666666647|- rs2_val == 32<br>                                                                                                                                                                 |[0x800004c8]:c.xor a0, a1<br> [0x800004ca]:sd a0, 96(ra)<br>   |
|  14|[0x80008078]<br>0x0000000000100040|- rs2_val == 64<br> - rs1_val == 1048576<br>                                                                                                                                        |[0x800004d6]:c.xor a0, a1<br> [0x800004d8]:sd a0, 104(ra)<br>  |
|  15|[0x80008080]<br>0xFFFFBFFFFFFFFF7F|- rs2_val == 128<br> - rs1_val == -70368744177665<br>                                                                                                                               |[0x800004ec]:c.xor a0, a1<br> [0x800004ee]:sd a0, 112(ra)<br>  |
|  16|[0x80008088]<br>0xEFFFFFFFFFFFFEFF|- rs2_val == 256<br> - rs1_val == -1152921504606846977<br>                                                                                                                          |[0x80000502]:c.xor a0, a1<br> [0x80000504]:sd a0, 120(ra)<br>  |
|  17|[0x80008090]<br>0xFFFFFFF7FFFFFDFF|- rs2_val == 512<br> - rs1_val == -34359738369<br>                                                                                                                                  |[0x80000518]:c.xor a0, a1<br> [0x8000051a]:sd a0, 128(ra)<br>  |
|  18|[0x80008098]<br>0xFFBFFFFFFFFFFBFF|- rs2_val == 1024<br> - rs1_val == -18014398509481985<br>                                                                                                                           |[0x8000052e]:c.xor a0, a1<br> [0x80000530]:sd a0, 136(ra)<br>  |
|  19|[0x800080a0]<br>0x0000004000000800|- rs2_val == 2048<br> - rs1_val == 274877906944<br>                                                                                                                                 |[0x80000544]:c.xor a0, a1<br> [0x80000546]:sd a0, 144(ra)<br>  |
|  20|[0x800080a8]<br>0xFFFEFFFFFFFFEFFF|- rs2_val == 4096<br> - rs1_val == -281474976710657<br>                                                                                                                             |[0x8000055a]:c.xor a0, a1<br> [0x8000055c]:sd a0, 152(ra)<br>  |
|  21|[0x800080b8]<br>0xFFFFFFFFFFFF3FFF|- rs2_val == 16384<br>                                                                                                                                                              |[0x8000057a]:c.xor a0, a1<br> [0x8000057c]:sd a0, 168(ra)<br>  |
|  22|[0x800080c0]<br>0x0200000000008000|- rs2_val == 32768<br> - rs1_val == 144115188075855872<br>                                                                                                                          |[0x8000058c]:c.xor a0, a1<br> [0x8000058e]:sd a0, 176(ra)<br>  |
|  23|[0x800080c8]<br>0x2000000000010000|- rs2_val == 65536<br> - rs1_val == 2305843009213693952<br>                                                                                                                         |[0x8000059e]:c.xor a0, a1<br> [0x800005a0]:sd a0, 184(ra)<br>  |
|  24|[0x800080d0]<br>0x0000000000020002|- rs2_val == 131072<br> - rs1_val == 2<br>                                                                                                                                          |[0x800005ac]:c.xor a0, a1<br> [0x800005ae]:sd a0, 192(ra)<br>  |
|  25|[0x800080d8]<br>0x0000000020080000|- rs2_val == 524288<br> - rs1_val == 536870912<br>                                                                                                                                  |[0x800005ba]:c.xor a0, a1<br> [0x800005bc]:sd a0, 200(ra)<br>  |
|  26|[0x800080e0]<br>0xFFFFFFFFFFAFFFFF|- rs2_val == 1048576<br> - rs1_val == -4194305<br>                                                                                                                                  |[0x800005cc]:c.xor a0, a1<br> [0x800005ce]:sd a0, 208(ra)<br>  |
|  27|[0x800080e8]<br>0x0010000000200000|- rs2_val == 2097152<br> - rs1_val == 4503599627370496<br>                                                                                                                          |[0x800005de]:c.xor a0, a1<br> [0x800005e0]:sd a0, 216(ra)<br>  |
|  28|[0x800080f0]<br>0xFFFFFFFFFFBFF7FF|- rs2_val == 4194304<br>                                                                                                                                                            |[0x800005f0]:c.xor a0, a1<br> [0x800005f2]:sd a0, 224(ra)<br>  |
|  29|[0x800080f8]<br>0xFDFFFFFFFF7FFFFF|- rs2_val == 8388608<br> - rs1_val == -144115188075855873<br>                                                                                                                       |[0x80000606]:c.xor a0, a1<br> [0x80000608]:sd a0, 232(ra)<br>  |
|  30|[0x80008100]<br>0x6666666667666666|- rs2_val == 16777216<br>                                                                                                                                                           |[0x80000630]:c.xor a0, a1<br> [0x80000632]:sd a0, 240(ra)<br>  |
|  31|[0x80008108]<br>0x0000000002100000|- rs2_val == 33554432<br>                                                                                                                                                           |[0x8000063e]:c.xor a0, a1<br> [0x80000640]:sd a0, 248(ra)<br>  |
|  32|[0x80008110]<br>0x0000000004010000|- rs2_val == 67108864<br> - rs1_val == 65536<br>                                                                                                                                    |[0x8000064c]:c.xor a0, a1<br> [0x8000064e]:sd a0, 256(ra)<br>  |
|  33|[0x80008118]<br>0xFEFFFFFFF7FFFFFF|- rs2_val == 134217728<br> - rs1_val == -72057594037927937<br>                                                                                                                      |[0x80000662]:c.xor a0, a1<br> [0x80000664]:sd a0, 264(ra)<br>  |
|  34|[0x80008120]<br>0xFFFFFFFF5AFB0CCD|- rs2_val == 268435456<br>                                                                                                                                                          |[0x8000067c]:c.xor a0, a1<br> [0x8000067e]:sd a0, 272(ra)<br>  |
|  35|[0x80008128]<br>0x0004000020000000|- rs2_val == 536870912<br> - rs1_val == 1125899906842624<br>                                                                                                                        |[0x8000068e]:c.xor a0, a1<br> [0x80000690]:sd a0, 280(ra)<br>  |
|  36|[0x80008130]<br>0xFFFFFFFFBFEFFFFF|- rs2_val == 1073741824<br> - rs1_val == -1048577<br>                                                                                                                               |[0x800006a0]:c.xor a0, a1<br> [0x800006a2]:sd a0, 288(ra)<br>  |
|  37|[0x80008138]<br>0x0001000080000000|- rs2_val == 2147483648<br> - rs1_val == 281474976710656<br>                                                                                                                        |[0x800006b6]:c.xor a0, a1<br> [0x800006b8]:sd a0, 296(ra)<br>  |
|  38|[0x80008140]<br>0x0002000100000000|- rs2_val == 4294967296<br> - rs1_val == 562949953421312<br>                                                                                                                        |[0x800006cc]:c.xor a0, a1<br> [0x800006ce]:sd a0, 304(ra)<br>  |
|  39|[0x80008148]<br>0x0000000220000000|- rs2_val == 8589934592<br>                                                                                                                                                         |[0x800006de]:c.xor a0, a1<br> [0x800006e0]:sd a0, 312(ra)<br>  |
|  40|[0x80008150]<br>0xFFFFFFFBFFFBFFFF|- rs2_val == 17179869184<br> - rs1_val == -262145<br>                                                                                                                               |[0x800006f4]:c.xor a0, a1<br> [0x800006f6]:sd a0, 320(ra)<br>  |
|  41|[0x80008158]<br>0x6666666E66666665|- rs2_val == 34359738368<br>                                                                                                                                                        |[0x80000722]:c.xor a0, a1<br> [0x80000724]:sd a0, 328(ra)<br>  |
|  42|[0x80008160]<br>0x0000011000000000|- rs2_val == 68719476736<br> - rs1_val == 1099511627776<br>                                                                                                                         |[0x80000738]:c.xor a0, a1<br> [0x8000073a]:sd a0, 336(ra)<br>  |
|  43|[0x80008168]<br>0x0000002000000080|- rs2_val == 137438953472<br> - rs1_val == 128<br>                                                                                                                                  |[0x8000074a]:c.xor a0, a1<br> [0x8000074c]:sd a0, 344(ra)<br>  |
|  44|[0x80008170]<br>0xFFFFFFBFFFFFBFFF|- rs2_val == 274877906944<br> - rs1_val == -16385<br>                                                                                                                               |[0x80000760]:c.xor a0, a1<br> [0x80000762]:sd a0, 352(ra)<br>  |
|  45|[0x80008178]<br>0xAAAAAA2AAAAAAAAA|- rs2_val == 549755813888<br> - rs1_val == -6148914691236517206<br>                                                                                                                 |[0x8000078e]:c.xor a0, a1<br> [0x80000790]:sd a0, 360(ra)<br>  |
|  46|[0x80008180]<br>0x0000014000000000|- rs2_val == 1099511627776<br>                                                                                                                                                      |[0x800007a4]:c.xor a0, a1<br> [0x800007a6]:sd a0, 368(ra)<br>  |
|  47|[0x80008188]<br>0xFFEFFDFFFFFFFFFF|- rs2_val == 2199023255552<br> - rs1_val == -4503599627370497<br>                                                                                                                   |[0x800007be]:c.xor a0, a1<br> [0x800007c0]:sd a0, 376(ra)<br>  |
|  48|[0x80008190]<br>0xFFFFFBFFFEFFFFFF|- rs2_val == 4398046511104<br> - rs1_val == -16777217<br>                                                                                                                           |[0x800007d4]:c.xor a0, a1<br> [0x800007d6]:sd a0, 384(ra)<br>  |
|  49|[0x80008198]<br>0xFFFDF7FFFFFFFFFF|- rs2_val == 8796093022208<br> - rs1_val == -562949953421313<br>                                                                                                                    |[0x800007ee]:c.xor a0, a1<br> [0x800007f0]:sd a0, 392(ra)<br>  |
|  50|[0x800081a0]<br>0x0200100000000000|- rs2_val == 17592186044416<br>                                                                                                                                                     |[0x80000804]:c.xor a0, a1<br> [0x80000806]:sd a0, 400(ra)<br>  |
|  51|[0x800081a8]<br>0xFFFFDFFBFFFFFFFF|- rs2_val == 35184372088832<br> - rs1_val == -17179869185<br>                                                                                                                       |[0x8000081e]:c.xor a0, a1<br> [0x80000820]:sd a0, 408(ra)<br>  |
|  52|[0x800081b0]<br>0xAAAAEAAAAAAAAAAA|- rs2_val == 70368744177664<br>                                                                                                                                                     |[0x8000084c]:c.xor a0, a1<br> [0x8000084e]:sd a0, 416(ra)<br>  |
|  53|[0x800081b8]<br>0x4000800000000000|- rs2_val == 140737488355328<br> - rs1_val == 4611686018427387904<br>                                                                                                               |[0x80000862]:c.xor a0, a1<br> [0x80000864]:sd a0, 424(ra)<br>  |
|  54|[0x800081c0]<br>0x6667666666666667|- rs2_val == 281474976710656<br>                                                                                                                                                    |[0x80000890]:c.xor a0, a1<br> [0x80000892]:sd a0, 432(ra)<br>  |
|  55|[0x800081c8]<br>0x0002000000000040|- rs2_val == 562949953421312<br> - rs1_val == 64<br>                                                                                                                                |[0x800008a2]:c.xor a0, a1<br> [0x800008a4]:sd a0, 440(ra)<br>  |
|  56|[0x800081d0]<br>0x0004000000000020|- rs2_val == 1125899906842624<br> - rs1_val == 32<br>                                                                                                                               |[0x800008b4]:c.xor a0, a1<br> [0x800008b6]:sd a0, 448(ra)<br>  |
|  57|[0x800081d8]<br>0xFFF7FFFFFFFFFFFF|- rs2_val == 2251799813685248<br>                                                                                                                                                   |[0x800008c6]:c.xor a0, a1<br> [0x800008c8]:sd a0, 456(ra)<br>  |
|  58|[0x800081e0]<br>0xFFEFFFFFFFFF7FFF|- rs2_val == 4503599627370496<br>                                                                                                                                                   |[0x800008dc]:c.xor a0, a1<br> [0x800008de]:sd a0, 464(ra)<br>  |
|  59|[0x800081e8]<br>0xFFDFFFFFFFFFFF7F|- rs2_val == 9007199254740992<br> - rs1_val == -129<br>                                                                                                                             |[0x800008ee]:c.xor a0, a1<br> [0x800008f0]:sd a0, 472(ra)<br>  |
|  60|[0x800081f0]<br>0xFFBFFFF7FFFFFFFF|- rs2_val == 18014398509481984<br>                                                                                                                                                  |[0x80000908]:c.xor a0, a1<br> [0x8000090a]:sd a0, 480(ra)<br>  |
|  61|[0x800081f8]<br>0xFF7FFFFFFFFFFFBF|- rs2_val == 36028797018963968<br> - rs1_val == -65<br>                                                                                                                             |[0x8000091a]:c.xor a0, a1<br> [0x8000091c]:sd a0, 488(ra)<br>  |
|  62|[0x80008200]<br>0x0108000000000000|- rs2_val == 72057594037927936<br> - rs1_val == 2251799813685248<br>                                                                                                                |[0x80000930]:c.xor a0, a1<br> [0x80000932]:sd a0, 496(ra)<br>  |
|  63|[0x80008208]<br>0xFDFFFFFFFFFFF7FF|- rs2_val == 144115188075855872<br>                                                                                                                                                 |[0x80000946]:c.xor a0, a1<br> [0x80000948]:sd a0, 504(ra)<br>  |
|  64|[0x80008210]<br>0x0400000000040000|- rs2_val == 288230376151711744<br> - rs1_val == 262144<br>                                                                                                                         |[0x80000958]:c.xor a0, a1<br> [0x8000095a]:sd a0, 512(ra)<br>  |
|  65|[0x80008218]<br>0xF7FFFFFFFFFFFF7F|- rs2_val == 576460752303423488<br>                                                                                                                                                 |[0x8000096a]:c.xor a0, a1<br> [0x8000096c]:sd a0, 520(ra)<br>  |
|  66|[0x80008220]<br>0xEFFFDFFFFFFFFFFF|- rs2_val == 1152921504606846976<br> - rs1_val == -35184372088833<br>                                                                                                               |[0x80000984]:c.xor a0, a1<br> [0x80000986]:sd a0, 528(ra)<br>  |
|  67|[0x80008228]<br>0xDFFFFFFFFFFDFFFF|- rs2_val == 2305843009213693952<br> - rs1_val == -131073<br>                                                                                                                       |[0x8000099a]:c.xor a0, a1<br> [0x8000099c]:sd a0, 536(ra)<br>  |
|  68|[0x80008230]<br>0xBFFFFFFFFDFFFFFF|- rs2_val == 4611686018427387904<br> - rs1_val == -33554433<br>                                                                                                                     |[0x800009b0]:c.xor a0, a1<br> [0x800009b2]:sd a0, 544(ra)<br>  |
|  69|[0x80008238]<br>0xFFFFFFDFFFFFFFFE|- rs2_val == -2<br>                                                                                                                                                                 |[0x800009c2]:c.xor a0, a1<br> [0x800009c4]:sd a0, 552(ra)<br>  |
|  70|[0x80008240]<br>0xCCCCCCCCCCCCCCCE|- rs2_val == -3<br>                                                                                                                                                                 |[0x800009ec]:c.xor a0, a1<br> [0x800009ee]:sd a0, 560(ra)<br>  |
|  71|[0x80008248]<br>0x0000000000100004|- rs2_val == -5<br>                                                                                                                                                                 |[0x800009fe]:c.xor a0, a1<br> [0x80000a00]:sd a0, 568(ra)<br>  |
|  72|[0x80008250]<br>0xFFFFFFFFFFFFF7F7|- rs2_val == -9<br> - rs1_val == 2048<br>                                                                                                                                           |[0x80000a10]:c.xor a0, a1<br> [0x80000a12]:sd a0, 576(ra)<br>  |
|  73|[0x80008258]<br>0x0000000000001010|- rs2_val == -17<br> - rs1_val == -4097<br>                                                                                                                                         |[0x80000a22]:c.xor a0, a1<br> [0x80000a24]:sd a0, 584(ra)<br>  |
|  74|[0x80008260]<br>0xFFFDFFFFFFFFFFDF|- rs2_val == -33<br>                                                                                                                                                                |[0x80000a34]:c.xor a0, a1<br> [0x80000a36]:sd a0, 592(ra)<br>  |
|  75|[0x80008268]<br>0x0000000000000041|- rs2_val == -65<br> - rs1_val == -2<br>                                                                                                                                            |[0x80000a42]:c.xor a0, a1<br> [0x80000a44]:sd a0, 600(ra)<br>  |
|  76|[0x80008270]<br>0x0000000000000280|- rs2_val == -129<br> - rs1_val == -513<br>                                                                                                                                         |[0x80000a50]:c.xor a0, a1<br> [0x80000a52]:sd a0, 608(ra)<br>  |
|  77|[0x80008278]<br>0xFFFFFFFF4AFB0DCB|- rs2_val == -257<br>                                                                                                                                                               |[0x80000a6a]:c.xor a0, a1<br> [0x80000a6c]:sd a0, 616(ra)<br>  |
|  78|[0x80008280]<br>0xCCCCCCCCCCCCC8CC|- rs2_val == -1025<br>                                                                                                                                                              |[0x80000a94]:c.xor a0, a1<br> [0x80000a96]:sd a0, 624(ra)<br>  |
|  79|[0x80008288]<br>0x0000000010000800|- rs2_val == -2049<br> - rs1_val == -268435457<br>                                                                                                                                  |[0x80000aaa]:c.xor a0, a1<br> [0x80000aac]:sd a0, 632(ra)<br>  |
|  80|[0x80008290]<br>0xFFFFFFFFFFFFEFFF|- rs2_val == -4097<br>                                                                                                                                                              |[0x80000abc]:c.xor a0, a1<br> [0x80000abe]:sd a0, 640(ra)<br>  |
|  81|[0x80008298]<br>0xFFFFFFDFFFFFDFFF|- rs2_val == -8193<br>                                                                                                                                                              |[0x80000ad2]:c.xor a0, a1<br> [0x80000ad4]:sd a0, 648(ra)<br>  |
|  82|[0x800082a0]<br>0xFFFFFFFFFFFFBFF7|- rs2_val == -16385<br> - rs1_val == 8<br>                                                                                                                                          |[0x80000ae4]:c.xor a0, a1<br> [0x80000ae6]:sd a0, 656(ra)<br>  |
|  83|[0x800082a8]<br>0x0000000000028000|- rs2_val == -32769<br>                                                                                                                                                             |[0x80000afa]:c.xor a0, a1<br> [0x80000afc]:sd a0, 664(ra)<br>  |
|  84|[0x800082b0]<br>0x0800000000010000|- rs2_val == -65537<br> - rs1_val == -576460752303423489<br>                                                                                                                        |[0x80000b14]:c.xor a0, a1<br> [0x80000b16]:sd a0, 672(ra)<br>  |
|  85|[0x800082b8]<br>0x0000000002020000|- rs2_val == -131073<br>                                                                                                                                                            |[0x80000b2a]:c.xor a0, a1<br> [0x80000b2c]:sd a0, 680(ra)<br>  |
|  86|[0x800082c0]<br>0xFFFFFFFFFFFBFFFF|- rs2_val == -262145<br>                                                                                                                                                            |[0x80000b3c]:c.xor a0, a1<br> [0x80000b3e]:sd a0, 688(ra)<br>  |
|  87|[0x800082c8]<br>0xFFFFFFFFFFF7FFFB|- rs2_val == -524289<br> - rs1_val == 4<br>                                                                                                                                         |[0x80000b4e]:c.xor a0, a1<br> [0x80000b50]:sd a0, 696(ra)<br>  |
|  88|[0x800082d0]<br>0x0000000000000000|- rs2_val == -1048577<br>                                                                                                                                                           |[0x80000b64]:c.xor a0, a1<br> [0x80000b66]:sd a0, 704(ra)<br>  |
|  89|[0x800082d8]<br>0x0000000100200000|- rs2_val == -2097153<br> - rs1_val == -4294967297<br>                                                                                                                              |[0x80000b7e]:c.xor a0, a1<br> [0x80000b80]:sd a0, 712(ra)<br>  |
|  90|[0x800082e0]<br>0x00000000B544F331|- rs2_val == -4194305<br>                                                                                                                                                           |[0x80000b9c]:c.xor a0, a1<br> [0x80000b9e]:sd a0, 720(ra)<br>  |
|  91|[0x800082e8]<br>0x0000000000000000|- rs2_val == -8388609<br> - rs1_val == -8388609<br>                                                                                                                                 |[0x80000bb2]:c.xor a0, a1<br> [0x80000bb4]:sd a0, 728(ra)<br>  |
|  92|[0x800082f0]<br>0x0000000021000000|- rs2_val == -16777217<br> - rs1_val == -536870913<br>                                                                                                                              |[0x80000bc8]:c.xor a0, a1<br> [0x80000bca]:sd a0, 736(ra)<br>  |
|  93|[0x800082f8]<br>0xFF7FFFFFFDFFFFFF|- rs2_val == -33554433<br> - rs1_val == 36028797018963968<br>                                                                                                                       |[0x80000bde]:c.xor a0, a1<br> [0x80000be0]:sd a0, 744(ra)<br>  |
|  94|[0x80008300]<br>0xFFFFFFFFFBFFFFFC|- rs2_val == -67108865<br>                                                                                                                                                          |[0x80000bf0]:c.xor a0, a1<br> [0x80000bf2]:sd a0, 752(ra)<br>  |
|  95|[0x80008308]<br>0x0000000008000000|- rs2_val == -134217729<br>                                                                                                                                                         |[0x80000c02]:c.xor a0, a1<br> [0x80000c04]:sd a0, 760(ra)<br>  |
|  96|[0x80008310]<br>0x0800000010000000|- rs2_val == -268435457<br>                                                                                                                                                         |[0x80000c1c]:c.xor a0, a1<br> [0x80000c1e]:sd a0, 768(ra)<br>  |
|  97|[0x80008318]<br>0xFFFFFFFFDFFFFEFF|- rs2_val == -536870913<br> - rs1_val == 256<br>                                                                                                                                    |[0x80000c2e]:c.xor a0, a1<br> [0x80000c30]:sd a0, 776(ra)<br>  |
|  98|[0x80008320]<br>0x0000080040000000|- rs2_val == -1073741825<br> - rs1_val == -8796093022209<br>                                                                                                                        |[0x80000c48]:c.xor a0, a1<br> [0x80000c4a]:sd a0, 784(ra)<br>  |
|  99|[0x80008328]<br>0xFFFFFFFF77FFFFFF|- rs2_val == -2147483649<br> - rs1_val == 134217728<br>                                                                                                                             |[0x80000c5e]:c.xor a0, a1<br> [0x80000c60]:sd a0, 792(ra)<br>  |
| 100|[0x80008330]<br>0xFFFFFFFEFFBFFFFF|- rs2_val == -4294967297<br> - rs1_val == 4194304<br>                                                                                                                               |[0x80000c74]:c.xor a0, a1<br> [0x80000c76]:sd a0, 800(ra)<br>  |
| 101|[0x80008338]<br>0xFBFFFFFDFFFFFFFF|- rs2_val == -8589934593<br> - rs1_val == 288230376151711744<br>                                                                                                                    |[0x80000c8e]:c.xor a0, a1<br> [0x80000c90]:sd a0, 808(ra)<br>  |
| 102|[0x80008340]<br>0xFFFFFFEBFFFFFFFF|- rs2_val == -17179869185<br> - rs1_val == 68719476736<br>                                                                                                                          |[0x80000ca8]:c.xor a0, a1<br> [0x80000caa]:sd a0, 816(ra)<br>  |
| 103|[0x80008348]<br>0x0000000800000000|- rs2_val == -34359738369<br>                                                                                                                                                       |[0x80000cbe]:c.xor a0, a1<br> [0x80000cc0]:sd a0, 824(ra)<br>  |
| 104|[0x80008350]<br>0x0010001000000000|- rs2_val == -68719476737<br>                                                                                                                                                       |[0x80000cdc]:c.xor a0, a1<br> [0x80000cde]:sd a0, 832(ra)<br>  |
| 105|[0x80008358]<br>0xFF7FFFDFFFFFFFFF|- rs2_val == -137438953473<br>                                                                                                                                                      |[0x80000cf6]:c.xor a0, a1<br> [0x80000cf8]:sd a0, 840(ra)<br>  |
| 106|[0x80008360]<br>0x0000004000004000|- rs2_val == -274877906945<br>                                                                                                                                                      |[0x80000d10]:c.xor a0, a1<br> [0x80000d12]:sd a0, 848(ra)<br>  |
| 107|[0x80008368]<br>0xFF7FFF7FFFFFFFFF|- rs2_val == -549755813889<br>                                                                                                                                                      |[0x80000d2a]:c.xor a0, a1<br> [0x80000d2c]:sd a0, 856(ra)<br>  |
| 108|[0x80008370]<br>0x0080010000000000|- rs2_val == -1099511627777<br> - rs1_val == -36028797018963969<br>                                                                                                                 |[0x80000d48]:c.xor a0, a1<br> [0x80000d4a]:sd a0, 864(ra)<br>  |
| 109|[0x80008378]<br>0xFFFFF9FFFFFFFFFF|- rs2_val == -2199023255553<br> - rs1_val == 4398046511104<br>                                                                                                                      |[0x80000d62]:c.xor a0, a1<br> [0x80000d64]:sd a0, 872(ra)<br>  |
| 110|[0x80008380]<br>0xFFFFFBFFFFFFBFFF|- rs2_val == -4398046511105<br> - rs1_val == 16384<br>                                                                                                                              |[0x80000d78]:c.xor a0, a1<br> [0x80000d7a]:sd a0, 880(ra)<br>  |
| 111|[0x80008388]<br>0x0000080008000000|- rs2_val == -8796093022209<br> - rs1_val == -134217729<br>                                                                                                                         |[0x80000d92]:c.xor a0, a1<br> [0x80000d94]:sd a0, 888(ra)<br>  |
| 112|[0x80008390]<br>0x0000100000000002|- rs2_val == -17592186044417<br> - rs1_val == -3<br>                                                                                                                                |[0x80000da8]:c.xor a0, a1<br> [0x80000daa]:sd a0, 896(ra)<br>  |
| 113|[0x80008398]<br>0xFFFFDFFFBFFFFFFF|- rs2_val == -35184372088833<br> - rs1_val == 1073741824<br>                                                                                                                        |[0x80000dbe]:c.xor a0, a1<br> [0x80000dc0]:sd a0, 904(ra)<br>  |
| 114|[0x800083a0]<br>0xFFFFBFFFFFFFFFF9|- rs2_val == -70368744177665<br>                                                                                                                                                    |[0x80000dd4]:c.xor a0, a1<br> [0x80000dd6]:sd a0, 912(ra)<br>  |
| 115|[0x800083a8]<br>0xFFFF7FFFFDFFFFFF|- rs2_val == -140737488355329<br> - rs1_val == 33554432<br>                                                                                                                         |[0x80000dea]:c.xor a0, a1<br> [0x80000dec]:sd a0, 920(ra)<br>  |
| 116|[0x800083b0]<br>0xFFFEFFFFFFFFDFFF|- rs2_val == -281474976710657<br>                                                                                                                                                   |[0x80000e00]:c.xor a0, a1<br> [0x80000e02]:sd a0, 928(ra)<br>  |
| 117|[0x800083b8]<br>0x0002000000000400|- rs2_val == -562949953421313<br> - rs1_val == -1025<br>                                                                                                                            |[0x80000e16]:c.xor a0, a1<br> [0x80000e18]:sd a0, 936(ra)<br>  |
| 118|[0x800083c0]<br>0xFFFBFFFFFFFDFFFF|- rs2_val == -1125899906842625<br>                                                                                                                                                  |[0x80000e2c]:c.xor a0, a1<br> [0x80000e2e]:sd a0, 944(ra)<br>  |
| 119|[0x800083c8]<br>0xFFF7FFFFFBFFFFFF|- rs2_val == -2251799813685249<br> - rs1_val == 67108864<br>                                                                                                                        |[0x80000e42]:c.xor a0, a1<br> [0x80000e44]:sd a0, 952(ra)<br>  |
| 120|[0x800083d0]<br>0x0210000000000000|- rs2_val == -4503599627370497<br>                                                                                                                                                  |[0x80000e60]:c.xor a0, a1<br> [0x80000e62]:sd a0, 960(ra)<br>  |
| 121|[0x800083d8]<br>0xFFDFDFFFFFFFFFFF|- rs2_val == -9007199254740993<br> - rs1_val == 35184372088832<br>                                                                                                                  |[0x80000e7a]:c.xor a0, a1<br> [0x80000e7c]:sd a0, 968(ra)<br>  |
| 122|[0x800083e0]<br>0x0040000000000008|- rs2_val == -18014398509481985<br> - rs1_val == -9<br>                                                                                                                             |[0x80000e90]:c.xor a0, a1<br> [0x80000e92]:sd a0, 976(ra)<br>  |
| 123|[0x800083e8]<br>0x0080000000008000|- rs2_val == -36028797018963969<br>                                                                                                                                                 |[0x80000eaa]:c.xor a0, a1<br> [0x80000eac]:sd a0, 984(ra)<br>  |
| 124|[0x800083f0]<br>0x0100000000080000|- rs2_val == -72057594037927937<br> - rs1_val == -524289<br>                                                                                                                        |[0x80000ec4]:c.xor a0, a1<br> [0x80000ec6]:sd a0, 992(ra)<br>  |
| 125|[0x800083f8]<br>0xFDFBFFFFFFFFFFFF|- rs2_val == -144115188075855873<br>                                                                                                                                                |[0x80000ede]:c.xor a0, a1<br> [0x80000ee0]:sd a0, 1000(ra)<br> |
| 126|[0x80008400]<br>0xFBFDFFFFFFFFFFFF|- rs2_val == -288230376151711745<br>                                                                                                                                                |[0x80000ef8]:c.xor a0, a1<br> [0x80000efa]:sd a0, 1008(ra)<br> |
| 127|[0x80008408]<br>0xF7BFFFFFFFFFFFFF|- rs2_val == -576460752303423489<br> - rs1_val == 18014398509481984<br>                                                                                                             |[0x80000f12]:c.xor a0, a1<br> [0x80000f14]:sd a0, 1016(ra)<br> |
| 128|[0x80008410]<br>0x1000800000000000|- rs2_val == -1152921504606846977<br> - rs1_val == -140737488355329<br>                                                                                                             |[0x80000f30]:c.xor a0, a1<br> [0x80000f32]:sd a0, 1024(ra)<br> |
| 129|[0x80008418]<br>0xDFFFFFFFFFFFFDFF|- rs2_val == -2305843009213693953<br> - rs1_val == 512<br>                                                                                                                          |[0x80000f46]:c.xor a0, a1<br> [0x80000f48]:sd a0, 1032(ra)<br> |
| 130|[0x80008420]<br>0x4000000000000009|- rs2_val == -4611686018427387905<br>                                                                                                                                               |[0x80000f5c]:c.xor a0, a1<br> [0x80000f5e]:sd a0, 1040(ra)<br> |
| 131|[0x80008428]<br>0xAAAA8AAAAAAAAAAA|- rs2_val == 6148914691236517205<br>                                                                                                                                                |[0x80000f8e]:c.xor a0, a1<br> [0x80000f90]:sd a0, 1048(ra)<br> |
| 132|[0x80008430]<br>0xAAAAAAABAAAAAAAA|- rs2_val == -6148914691236517206<br> - rs1_val == 4294967296<br>                                                                                                                   |[0x80000fbc]:c.xor a0, a1<br> [0x80000fbe]:sd a0, 1056(ra)<br> |
| 133|[0x80008438]<br>0x5555555555555545|- rs1_val == 16<br>                                                                                                                                                                 |[0x80000fe6]:c.xor a0, a1<br> [0x80000fe8]:sd a0, 1064(ra)<br> |
| 134|[0x80008440]<br>0x0000000000000400|- rs2_val == 0<br> - rs1_val == 1024<br>                                                                                                                                            |[0x80000ff4]:c.xor a0, a1<br> [0x80000ff6]:sd a0, 1072(ra)<br> |
| 135|[0x80008448]<br>0xFFFFFFFFFFFFEFF7|- rs1_val == 4096<br>                                                                                                                                                               |[0x80001002]:c.xor a0, a1<br> [0x80001004]:sd a0, 1080(ra)<br> |
| 136|[0x80008450]<br>0x0001000000008000|- rs1_val == 32768<br>                                                                                                                                                              |[0x80001014]:c.xor a0, a1<br> [0x80001016]:sd a0, 1088(ra)<br> |
| 137|[0x80008458]<br>0xFFFFFFFFFFF7FFF9|- rs1_val == 524288<br>                                                                                                                                                             |[0x80001022]:c.xor a0, a1<br> [0x80001024]:sd a0, 1096(ra)<br> |
| 138|[0x80008460]<br>0xFFFFFFFFEFDFFFFF|- rs1_val == 2097152<br>                                                                                                                                                            |[0x80001034]:c.xor a0, a1<br> [0x80001036]:sd a0, 1104(ra)<br> |
| 139|[0x80008468]<br>0xFFFFFFFFFF7FFFF6|- rs1_val == 8388608<br>                                                                                                                                                            |[0x80001042]:c.xor a0, a1<br> [0x80001044]:sd a0, 1112(ra)<br> |
| 140|[0x80008470]<br>0xFFFFFFDFFEFFFFFF|- rs1_val == 16777216<br>                                                                                                                                                           |[0x80001058]:c.xor a0, a1<br> [0x8000105a]:sd a0, 1120(ra)<br> |
| 141|[0x80008478]<br>0xFFFFFFFFE7FFFFFF|- rs1_val == 268435456<br>                                                                                                                                                          |[0x8000106a]:c.xor a0, a1<br> [0x8000106c]:sd a0, 1128(ra)<br> |
| 142|[0x80008480]<br>0x0000001080000000|- rs1_val == 2147483648<br>                                                                                                                                                         |[0x80001080]:c.xor a0, a1<br> [0x80001082]:sd a0, 1136(ra)<br> |
| 143|[0x80008488]<br>0xFFFFFFFDFBFFFFFF|- rs1_val == 8589934592<br>                                                                                                                                                         |[0x80001096]:c.xor a0, a1<br> [0x80001098]:sd a0, 1144(ra)<br> |
| 144|[0x80008490]<br>0x7FFFFFFBFFFFFFFF|- rs1_val == 17179869184<br>                                                                                                                                                        |[0x800010b0]:c.xor a0, a1<br> [0x800010b2]:sd a0, 1152(ra)<br> |
| 145|[0x80008498]<br>0xFFFFFFF7EFFFFFFF|- rs1_val == 34359738368<br>                                                                                                                                                        |[0x800010c6]:c.xor a0, a1<br> [0x800010c8]:sd a0, 1160(ra)<br> |
| 146|[0x800084a0]<br>0x333333B333333334|- rs1_val == 549755813888<br>                                                                                                                                                       |[0x800010f4]:c.xor a0, a1<br> [0x800010f6]:sd a0, 1168(ra)<br> |
| 147|[0x800084a8]<br>0xFFFFFDFFFFFFFFFA|- rs1_val == 2199023255552<br>                                                                                                                                                      |[0x80001106]:c.xor a0, a1<br> [0x80001108]:sd a0, 1176(ra)<br> |
| 148|[0x800084b0]<br>0xFFFFF3FFFFFFFFFF|- rs1_val == 8796093022208<br>                                                                                                                                                      |[0x80001120]:c.xor a0, a1<br> [0x80001122]:sd a0, 1184(ra)<br> |
| 149|[0x800084b8]<br>0xFFFFEEFFFFFFFFFF|- rs1_val == 17592186044416<br>                                                                                                                                                     |[0x8000113a]:c.xor a0, a1<br> [0x8000113c]:sd a0, 1192(ra)<br> |
| 150|[0x800084c0]<br>0x0000400000000001|- rs1_val == 70368744177664<br>                                                                                                                                                     |[0x8000114c]:c.xor a0, a1<br> [0x8000114e]:sd a0, 1200(ra)<br> |
| 151|[0x800084c8]<br>0x0000800400000000|- rs1_val == 140737488355328<br>                                                                                                                                                    |[0x80001162]:c.xor a0, a1<br> [0x80001164]:sd a0, 1208(ra)<br> |
| 152|[0x800084d0]<br>0x6646666666666665|- rs1_val == 9007199254740992<br>                                                                                                                                                   |[0x80001190]:c.xor a0, a1<br> [0x80001192]:sd a0, 1216(ra)<br> |
| 153|[0x800084d8]<br>0x0100000000000080|- rs1_val == 72057594037927936<br>                                                                                                                                                  |[0x800011a2]:c.xor a0, a1<br> [0x800011a4]:sd a0, 1224(ra)<br> |
| 154|[0x800084e0]<br>0x0800000001000000|- rs1_val == 576460752303423488<br>                                                                                                                                                 |[0x800011b4]:c.xor a0, a1<br> [0x800011b6]:sd a0, 1232(ra)<br> |
| 155|[0x800084e8]<br>0x1000000000000400|- rs1_val == 1152921504606846976<br>                                                                                                                                                |[0x800011c6]:c.xor a0, a1<br> [0x800011c8]:sd a0, 1240(ra)<br> |
| 156|[0x800084f0]<br>0x000000000000000C|- rs1_val == -5<br>                                                                                                                                                                 |[0x800011d4]:c.xor a0, a1<br> [0x800011d6]:sd a0, 1248(ra)<br> |
| 157|[0x800084f8]<br>0x0000000000040010|- rs1_val == -17<br>                                                                                                                                                                |[0x800011e6]:c.xor a0, a1<br> [0x800011e8]:sd a0, 1256(ra)<br> |
| 158|[0x80008500]<br>0x0000000000000024|- rs1_val == -33<br>                                                                                                                                                                |[0x800011f4]:c.xor a0, a1<br> [0x800011f6]:sd a0, 1264(ra)<br> |
| 159|[0x80008508]<br>0xFFFFBFFFFFFFFEFF|- rs1_val == -257<br>                                                                                                                                                               |[0x80001206]:c.xor a0, a1<br> [0x80001208]:sd a0, 1272(ra)<br> |
| 160|[0x80008510]<br>0xFFFFFFFFFFFFDFFF|- rs1_val == -8193<br>                                                                                                                                                              |[0x80001218]:c.xor a0, a1<br> [0x8000121a]:sd a0, 1280(ra)<br> |
| 161|[0x80008518]<br>0x0000010000010000|- rs1_val == -65537<br>                                                                                                                                                             |[0x80001232]:c.xor a0, a1<br> [0x80001234]:sd a0, 1288(ra)<br> |
| 162|[0x80008520]<br>0xCCCCCCCCCCECCCCC|- rs1_val == -2097153<br>                                                                                                                                                           |[0x80001260]:c.xor a0, a1<br> [0x80001262]:sd a0, 1296(ra)<br> |
| 163|[0x80008528]<br>0xAAAAAAAAAEAAAAAA|- rs1_val == -67108865<br>                                                                                                                                                          |[0x8000128e]:c.xor a0, a1<br> [0x80001290]:sd a0, 1304(ra)<br> |
| 164|[0x80008530]<br>0xFFFFFFF7BFFFFFFF|- rs1_val == -1073741825<br>                                                                                                                                                        |[0x800012a4]:c.xor a0, a1<br> [0x800012a6]:sd a0, 1312(ra)<br> |
| 165|[0x80008538]<br>0xFFFBFFFF7FFFFFFF|- rs1_val == -2147483649<br>                                                                                                                                                        |[0x800012be]:c.xor a0, a1<br> [0x800012c0]:sd a0, 1320(ra)<br> |
| 166|[0x80008540]<br>0xFFFFFFFDFFFFFFFF|- rs1_val == -8589934593<br>                                                                                                                                                        |[0x800012d4]:c.xor a0, a1<br> [0x800012d6]:sd a0, 1328(ra)<br> |
| 167|[0x80008548]<br>0xFFFFFFEFFFFFFFFE|- rs1_val == -68719476737<br>                                                                                                                                                       |[0x800012ea]:c.xor a0, a1<br> [0x800012ec]:sd a0, 1336(ra)<br> |
| 168|[0x80008550]<br>0xFFF7FFDFFFFFFFFF|- rs1_val == -137438953473<br>                                                                                                                                                      |[0x80001304]:c.xor a0, a1<br> [0x80001306]:sd a0, 1344(ra)<br> |
| 169|[0x80008558]<br>0xFFFFFFBFFFFFFFFB|- rs1_val == -274877906945<br>                                                                                                                                                      |[0x8000131a]:c.xor a0, a1<br> [0x8000131c]:sd a0, 1352(ra)<br> |
| 170|[0x80008560]<br>0x0000000000000000|- rs1_val == -549755813889<br>                                                                                                                                                      |[0x80001338]:c.xor a0, a1<br> [0x8000133a]:sd a0, 1360(ra)<br> |
| 171|[0x80008568]<br>0xFFFFFEFFFFFFFFF9|- rs1_val == -1099511627777<br>                                                                                                                                                     |[0x8000134e]:c.xor a0, a1<br> [0x80001350]:sd a0, 1368(ra)<br> |
| 172|[0x80008570]<br>0xFFFFFBFFFFFFFBFF|- rs1_val == -4398046511105<br>                                                                                                                                                     |[0x80001364]:c.xor a0, a1<br> [0x80001366]:sd a0, 1376(ra)<br> |
| 173|[0x80008578]<br>0x0000110000000000|- rs1_val == -17592186044417<br>                                                                                                                                                    |[0x80001382]:c.xor a0, a1<br> [0x80001384]:sd a0, 1384(ra)<br> |
| 174|[0x80008580]<br>0x0004020000000000|- rs1_val == -1125899906842625<br>                                                                                                                                                  |[0x800013a0]:c.xor a0, a1<br> [0x800013a2]:sd a0, 1392(ra)<br> |
| 175|[0x80008588]<br>0x555D555555555555|- rs1_val == -2251799813685249<br>                                                                                                                                                  |[0x800013d2]:c.xor a0, a1<br> [0x800013d4]:sd a0, 1400(ra)<br> |
| 176|[0x80008590]<br>0xFFDFFFEFFFFFFFFF|- rs1_val == -9007199254740993<br>                                                                                                                                                  |[0x800013ec]:c.xor a0, a1<br> [0x800013ee]:sd a0, 1408(ra)<br> |
| 177|[0x80008598]<br>0x0420000000000000|- rs1_val == -288230376151711745<br>                                                                                                                                                |[0x8000140a]:c.xor a0, a1<br> [0x8000140c]:sd a0, 1416(ra)<br> |
| 178|[0x800085a0]<br>0x9FFFFFFFFFFFFFFF|- rs1_val == -2305843009213693953<br>                                                                                                                                               |[0x80001424]:c.xor a0, a1<br> [0x80001426]:sd a0, 1424(ra)<br> |
| 179|[0x800085a8]<br>0x4000080000000000|- rs1_val == -4611686018427387905<br>                                                                                                                                               |[0x80001442]:c.xor a0, a1<br> [0x80001444]:sd a0, 1432(ra)<br> |
| 180|[0x800085b0]<br>0x5555555555575555|- rs1_val == 6148914691236517205<br>                                                                                                                                                |[0x8000146c]:c.xor a0, a1<br> [0x8000146e]:sd a0, 1440(ra)<br> |
| 181|[0x800085b8]<br>0x0000000000000000|- rs1_val==3 and rs2_val==3<br>                                                                                                                                                     |[0x8000147a]:c.xor a0, a1<br> [0x8000147c]:sd a0, 1448(ra)<br> |
| 182|[0x800085c0]<br>0x5555555555555556|- rs1_val==3 and rs2_val==6148914691236517205<br>                                                                                                                                   |[0x800014a4]:c.xor a0, a1<br> [0x800014a6]:sd a0, 1456(ra)<br> |
| 183|[0x800085c8]<br>0xAAAAAAAAAAAAAAA9|- rs1_val==3 and rs2_val==-6148914691236517206<br>                                                                                                                                  |[0x800014ce]:c.xor a0, a1<br> [0x800014d0]:sd a0, 1464(ra)<br> |
| 184|[0x800085d0]<br>0x0000000000000006|- rs1_val==3 and rs2_val==5<br>                                                                                                                                                     |[0x800014dc]:c.xor a0, a1<br> [0x800014de]:sd a0, 1472(ra)<br> |
| 185|[0x800085d8]<br>0x3333333333333330|- rs1_val==3 and rs2_val==3689348814741910323<br>                                                                                                                                   |[0x80001506]:c.xor a0, a1<br> [0x80001508]:sd a0, 1480(ra)<br> |
| 186|[0x800085e0]<br>0x6666666666666665|- rs1_val==3 and rs2_val==7378697629483820646<br>                                                                                                                                   |[0x80001530]:c.xor a0, a1<br> [0x80001532]:sd a0, 1488(ra)<br> |
| 187|[0x800085e8]<br>0xFFFFFFFF4AFB0CCE|- rs1_val==3 and rs2_val==-3037000499<br>                                                                                                                                           |[0x8000154a]:c.xor a0, a1<br> [0x8000154c]:sd a0, 1496(ra)<br> |
| 188|[0x800085f0]<br>0x00000000B504F330|- rs1_val==3 and rs2_val==3037000499<br>                                                                                                                                            |[0x80001564]:c.xor a0, a1<br> [0x80001566]:sd a0, 1504(ra)<br> |
| 189|[0x800085f8]<br>0x0000000000000001|- rs1_val==3 and rs2_val==2<br>                                                                                                                                                     |[0x80001572]:c.xor a0, a1<br> [0x80001574]:sd a0, 1512(ra)<br> |
| 190|[0x80008600]<br>0x5555555555555557|- rs1_val==3 and rs2_val==6148914691236517204<br>                                                                                                                                   |[0x8000159c]:c.xor a0, a1<br> [0x8000159e]:sd a0, 1520(ra)<br> |
| 191|[0x80008608]<br>0x0000000000000003|- rs1_val==3 and rs2_val==0<br>                                                                                                                                                     |[0x800015aa]:c.xor a0, a1<br> [0x800015ac]:sd a0, 1528(ra)<br> |
| 192|[0x80008610]<br>0x0000000000000007|- rs1_val==3 and rs2_val==4<br>                                                                                                                                                     |[0x800015b8]:c.xor a0, a1<br> [0x800015ba]:sd a0, 1536(ra)<br> |
| 193|[0x80008618]<br>0x3333333333333331|- rs1_val==3 and rs2_val==3689348814741910322<br>                                                                                                                                   |[0x800015e2]:c.xor a0, a1<br> [0x800015e4]:sd a0, 1544(ra)<br> |
| 194|[0x80008620]<br>0x6666666666666666|- rs1_val==3 and rs2_val==7378697629483820645<br>                                                                                                                                   |[0x8000160c]:c.xor a0, a1<br> [0x8000160e]:sd a0, 1552(ra)<br> |
| 195|[0x80008628]<br>0x00000000B504F331|- rs1_val==3 and rs2_val==3037000498<br>                                                                                                                                            |[0x80001626]:c.xor a0, a1<br> [0x80001628]:sd a0, 1560(ra)<br> |
| 196|[0x80008630]<br>0x5555555555555555|- rs1_val==3 and rs2_val==6148914691236517206<br>                                                                                                                                   |[0x80001650]:c.xor a0, a1<br> [0x80001652]:sd a0, 1568(ra)<br> |
| 197|[0x80008638]<br>0xAAAAAAAAAAAAAAA8|- rs1_val==3 and rs2_val==-6148914691236517205<br>                                                                                                                                  |[0x8000167a]:c.xor a0, a1<br> [0x8000167c]:sd a0, 1576(ra)<br> |
| 198|[0x80008640]<br>0x0000000000000005|- rs1_val==3 and rs2_val==6<br>                                                                                                                                                     |[0x80001688]:c.xor a0, a1<br> [0x8000168a]:sd a0, 1584(ra)<br> |
| 199|[0x80008648]<br>0x3333333333333337|- rs1_val==3 and rs2_val==3689348814741910324<br>                                                                                                                                   |[0x800016b2]:c.xor a0, a1<br> [0x800016b4]:sd a0, 1592(ra)<br> |
| 200|[0x80008650]<br>0x6666666666666664|- rs1_val==3 and rs2_val==7378697629483820647<br>                                                                                                                                   |[0x800016dc]:c.xor a0, a1<br> [0x800016de]:sd a0, 1600(ra)<br> |
| 201|[0x80008658]<br>0xFFFFFFFF4AFB0CCD|- rs1_val==3 and rs2_val==-3037000498<br>                                                                                                                                           |[0x800016f6]:c.xor a0, a1<br> [0x800016f8]:sd a0, 1608(ra)<br> |
| 202|[0x80008660]<br>0x00000000B504F337|- rs1_val==3 and rs2_val==3037000500<br>                                                                                                                                            |[0x80001710]:c.xor a0, a1<br> [0x80001712]:sd a0, 1616(ra)<br> |
| 203|[0x80008668]<br>0x5555555555555556|- rs1_val==6148914691236517205 and rs2_val==3<br>                                                                                                                                   |[0x8000173a]:c.xor a0, a1<br> [0x8000173c]:sd a0, 1624(ra)<br> |
| 204|[0x80008670]<br>0x0000000000000000|- rs1_val==6148914691236517205 and rs2_val==6148914691236517205<br>                                                                                                                 |[0x80001780]:c.xor a0, a1<br> [0x80001782]:sd a0, 1632(ra)<br> |
| 205|[0x80008678]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==6148914691236517205 and rs2_val==-6148914691236517206<br>                                                                                                                |[0x800017c6]:c.xor a0, a1<br> [0x800017c8]:sd a0, 1640(ra)<br> |
| 206|[0x80008680]<br>0x5555555555555550|- rs1_val==6148914691236517205 and rs2_val==5<br>                                                                                                                                   |[0x800017f0]:c.xor a0, a1<br> [0x800017f2]:sd a0, 1648(ra)<br> |
| 207|[0x80008688]<br>0x6666666666666666|- rs1_val==6148914691236517205 and rs2_val==3689348814741910323<br>                                                                                                                 |[0x80001836]:c.xor a0, a1<br> [0x80001838]:sd a0, 1656(ra)<br> |
| 208|[0x80008690]<br>0x3333333333333333|- rs1_val==6148914691236517205 and rs2_val==7378697629483820646<br>                                                                                                                 |[0x8000187c]:c.xor a0, a1<br> [0x8000187e]:sd a0, 1664(ra)<br> |
| 209|[0x80008698]<br>0xAAAAAAAA1FAE5998|- rs1_val==6148914691236517205 and rs2_val==-3037000499<br>                                                                                                                         |[0x800018b2]:c.xor a0, a1<br> [0x800018b4]:sd a0, 1672(ra)<br> |
| 210|[0x800086a0]<br>0x55555555E051A666|- rs1_val==6148914691236517205 and rs2_val==3037000499<br>                                                                                                                          |[0x800018e8]:c.xor a0, a1<br> [0x800018ea]:sd a0, 1680(ra)<br> |
| 211|[0x800086a8]<br>0x5555555555555557|- rs1_val==6148914691236517205 and rs2_val==2<br>                                                                                                                                   |[0x80001912]:c.xor a0, a1<br> [0x80001914]:sd a0, 1688(ra)<br> |
| 212|[0x800086b0]<br>0x0000000000000001|- rs1_val==6148914691236517205 and rs2_val==6148914691236517204<br>                                                                                                                 |[0x80001958]:c.xor a0, a1<br> [0x8000195a]:sd a0, 1696(ra)<br> |
| 213|[0x800086b8]<br>0x5555555555555555|- rs1_val==6148914691236517205 and rs2_val==0<br>                                                                                                                                   |[0x80001982]:c.xor a0, a1<br> [0x80001984]:sd a0, 1704(ra)<br> |
| 214|[0x800086c0]<br>0x5555555555555551|- rs1_val==6148914691236517205 and rs2_val==4<br>                                                                                                                                   |[0x800019ac]:c.xor a0, a1<br> [0x800019ae]:sd a0, 1712(ra)<br> |
| 215|[0x800086c8]<br>0x6666666666666667|- rs1_val==6148914691236517205 and rs2_val==3689348814741910322<br>                                                                                                                 |[0x800019f2]:c.xor a0, a1<br> [0x800019f4]:sd a0, 1720(ra)<br> |
| 216|[0x800086d0]<br>0x3333333333333330|- rs1_val==6148914691236517205 and rs2_val==7378697629483820645<br>                                                                                                                 |[0x80001a38]:c.xor a0, a1<br> [0x80001a3a]:sd a0, 1728(ra)<br> |
| 217|[0x800086d8]<br>0x55555555E051A667|- rs1_val==6148914691236517205 and rs2_val==3037000498<br>                                                                                                                          |[0x80001a6e]:c.xor a0, a1<br> [0x80001a70]:sd a0, 1736(ra)<br> |
| 218|[0x800086e0]<br>0x0000000000000003|- rs1_val==6148914691236517205 and rs2_val==6148914691236517206<br>                                                                                                                 |[0x80001ab4]:c.xor a0, a1<br> [0x80001ab6]:sd a0, 1744(ra)<br> |
| 219|[0x800086e8]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==6148914691236517205 and rs2_val==-6148914691236517205<br>                                                                                                                |[0x80001afa]:c.xor a0, a1<br> [0x80001afc]:sd a0, 1752(ra)<br> |
| 220|[0x800086f0]<br>0x5555555555555553|- rs1_val==6148914691236517205 and rs2_val==6<br>                                                                                                                                   |[0x80001b24]:c.xor a0, a1<br> [0x80001b26]:sd a0, 1760(ra)<br> |
| 221|[0x800086f8]<br>0x6666666666666661|- rs1_val==6148914691236517205 and rs2_val==3689348814741910324<br>                                                                                                                 |[0x80001b6a]:c.xor a0, a1<br> [0x80001b6c]:sd a0, 1768(ra)<br> |
| 222|[0x80008700]<br>0x3333333333333332|- rs1_val==6148914691236517205 and rs2_val==7378697629483820647<br>                                                                                                                 |[0x80001bb0]:c.xor a0, a1<br> [0x80001bb2]:sd a0, 1776(ra)<br> |
| 223|[0x80008708]<br>0xAAAAAAAA1FAE599B|- rs1_val==6148914691236517205 and rs2_val==-3037000498<br>                                                                                                                         |[0x80001be6]:c.xor a0, a1<br> [0x80001be8]:sd a0, 1784(ra)<br> |
| 224|[0x80008710]<br>0x55555555E051A661|- rs1_val==6148914691236517205 and rs2_val==3037000500<br>                                                                                                                          |[0x80001c1c]:c.xor a0, a1<br> [0x80001c1e]:sd a0, 1792(ra)<br> |
| 225|[0x80008718]<br>0xAAAAAAAAAAAAAAA9|- rs1_val==-6148914691236517206 and rs2_val==3<br>                                                                                                                                  |[0x80001c46]:c.xor a0, a1<br> [0x80001c48]:sd a0, 1800(ra)<br> |
| 226|[0x80008720]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==-6148914691236517206 and rs2_val==6148914691236517205<br>                                                                                                                |[0x80001c8c]:c.xor a0, a1<br> [0x80001c8e]:sd a0, 1808(ra)<br> |
| 227|[0x80008728]<br>0x0000000000000000|- rs1_val==-6148914691236517206 and rs2_val==-6148914691236517206<br>                                                                                                               |[0x80001cd2]:c.xor a0, a1<br> [0x80001cd4]:sd a0, 1816(ra)<br> |
| 228|[0x80008730]<br>0xAAAAAAAAAAAAAAAF|- rs1_val==-6148914691236517206 and rs2_val==5<br>                                                                                                                                  |[0x80001cfc]:c.xor a0, a1<br> [0x80001cfe]:sd a0, 1824(ra)<br> |
| 229|[0x80008738]<br>0x9999999999999999|- rs1_val==-6148914691236517206 and rs2_val==3689348814741910323<br>                                                                                                                |[0x80001d42]:c.xor a0, a1<br> [0x80001d44]:sd a0, 1832(ra)<br> |
| 230|[0x80008740]<br>0xCCCCCCCCCCCCCCCC|- rs1_val==-6148914691236517206 and rs2_val==7378697629483820646<br>                                                                                                                |[0x80001d88]:c.xor a0, a1<br> [0x80001d8a]:sd a0, 1840(ra)<br> |
| 231|[0x80008748]<br>0x55555555E051A667|- rs1_val==-6148914691236517206 and rs2_val==-3037000499<br>                                                                                                                        |[0x80001dbe]:c.xor a0, a1<br> [0x80001dc0]:sd a0, 1848(ra)<br> |
| 232|[0x80008750]<br>0xAAAAAAAA1FAE5999|- rs1_val==-6148914691236517206 and rs2_val==3037000499<br>                                                                                                                         |[0x80001df4]:c.xor a0, a1<br> [0x80001df6]:sd a0, 1856(ra)<br> |
| 233|[0x80008758]<br>0xAAAAAAAAAAAAAAA8|- rs1_val==-6148914691236517206 and rs2_val==2<br>                                                                                                                                  |[0x80001e1e]:c.xor a0, a1<br> [0x80001e20]:sd a0, 1864(ra)<br> |
| 234|[0x80008760]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==-6148914691236517206 and rs2_val==6148914691236517204<br>                                                                                                                |[0x80001e64]:c.xor a0, a1<br> [0x80001e66]:sd a0, 1872(ra)<br> |
| 235|[0x80008768]<br>0xAAAAAAAAAAAAAAAA|- rs1_val==-6148914691236517206 and rs2_val==0<br>                                                                                                                                  |[0x80001e8e]:c.xor a0, a1<br> [0x80001e90]:sd a0, 1880(ra)<br> |
| 236|[0x80008770]<br>0xAAAAAAAAAAAAAAAE|- rs1_val==-6148914691236517206 and rs2_val==4<br>                                                                                                                                  |[0x80001eb8]:c.xor a0, a1<br> [0x80001eba]:sd a0, 1888(ra)<br> |
| 237|[0x80008778]<br>0x9999999999999998|- rs1_val==-6148914691236517206 and rs2_val==3689348814741910322<br>                                                                                                                |[0x80001efe]:c.xor a0, a1<br> [0x80001f00]:sd a0, 1896(ra)<br> |
| 238|[0x80008780]<br>0xCCCCCCCCCCCCCCCF|- rs1_val==-6148914691236517206 and rs2_val==7378697629483820645<br>                                                                                                                |[0x80001f44]:c.xor a0, a1<br> [0x80001f46]:sd a0, 1904(ra)<br> |
| 239|[0x80008788]<br>0xAAAAAAAA1FAE5998|- rs1_val==-6148914691236517206 and rs2_val==3037000498<br>                                                                                                                         |[0x80001f7a]:c.xor a0, a1<br> [0x80001f7c]:sd a0, 1912(ra)<br> |
| 240|[0x80008790]<br>0xFFFFFFFFFFFFFFFC|- rs1_val==-6148914691236517206 and rs2_val==6148914691236517206<br>                                                                                                                |[0x80001fc0]:c.xor a0, a1<br> [0x80001fc2]:sd a0, 1920(ra)<br> |
| 241|[0x80008798]<br>0x0000000000000001|- rs1_val==-6148914691236517206 and rs2_val==-6148914691236517205<br>                                                                                                               |[0x80002006]:c.xor a0, a1<br> [0x80002008]:sd a0, 1928(ra)<br> |
| 242|[0x800087a0]<br>0xAAAAAAAAAAAAAAAC|- rs1_val==-6148914691236517206 and rs2_val==6<br>                                                                                                                                  |[0x80002030]:c.xor a0, a1<br> [0x80002032]:sd a0, 1936(ra)<br> |
| 243|[0x800087a8]<br>0x999999999999999E|- rs1_val==-6148914691236517206 and rs2_val==3689348814741910324<br>                                                                                                                |[0x80002076]:c.xor a0, a1<br> [0x80002078]:sd a0, 1944(ra)<br> |
| 244|[0x800087b0]<br>0xCCCCCCCCCCCCCCCD|- rs1_val==-6148914691236517206 and rs2_val==7378697629483820647<br>                                                                                                                |[0x800020bc]:c.xor a0, a1<br> [0x800020be]:sd a0, 1952(ra)<br> |
| 245|[0x800087b8]<br>0x55555555E051A664|- rs1_val==-6148914691236517206 and rs2_val==-3037000498<br>                                                                                                                        |[0x800020f2]:c.xor a0, a1<br> [0x800020f4]:sd a0, 1960(ra)<br> |
| 246|[0x800087c0]<br>0xAAAAAAAA1FAE599E|- rs1_val==-6148914691236517206 and rs2_val==3037000500<br>                                                                                                                         |[0x80002128]:c.xor a0, a1<br> [0x8000212a]:sd a0, 1968(ra)<br> |
| 247|[0x800087c8]<br>0x0000000000000006|- rs1_val==5 and rs2_val==3<br>                                                                                                                                                     |[0x80002136]:c.xor a0, a1<br> [0x80002138]:sd a0, 1976(ra)<br> |
| 248|[0x800087d0]<br>0x5555555555555550|- rs1_val==5 and rs2_val==6148914691236517205<br>                                                                                                                                   |[0x80002160]:c.xor a0, a1<br> [0x80002162]:sd a0, 1984(ra)<br> |
| 249|[0x800087d8]<br>0xAAAAAAAAAAAAAAAF|- rs1_val==5 and rs2_val==-6148914691236517206<br>                                                                                                                                  |[0x8000218a]:c.xor a0, a1<br> [0x8000218c]:sd a0, 1992(ra)<br> |
| 250|[0x800087e0]<br>0x0000000000000000|- rs1_val==5 and rs2_val==5<br>                                                                                                                                                     |[0x80002198]:c.xor a0, a1<br> [0x8000219a]:sd a0, 2000(ra)<br> |
| 251|[0x800087e8]<br>0x3333333333333336|- rs1_val==5 and rs2_val==3689348814741910323<br>                                                                                                                                   |[0x800021c2]:c.xor a0, a1<br> [0x800021c4]:sd a0, 2008(ra)<br> |
| 252|[0x800087f0]<br>0x6666666666666663|- rs1_val==5 and rs2_val==7378697629483820646<br>                                                                                                                                   |[0x800021ec]:c.xor a0, a1<br> [0x800021ee]:sd a0, 2016(ra)<br> |
| 253|[0x800087f8]<br>0xFFFFFFFF4AFB0CC8|- rs1_val==5 and rs2_val==-3037000499<br>                                                                                                                                           |[0x80002206]:c.xor a0, a1<br> [0x80002208]:sd a0, 2024(ra)<br> |
| 254|[0x80008800]<br>0x00000000B504F336|- rs1_val==5 and rs2_val==3037000499<br>                                                                                                                                            |[0x80002220]:c.xor a0, a1<br> [0x80002222]:sd a0, 2032(ra)<br> |
| 255|[0x80008808]<br>0x0000000000000007|- rs1_val==5 and rs2_val==2<br>                                                                                                                                                     |[0x8000222e]:c.xor a0, a1<br> [0x80002230]:sd a0, 2040(ra)<br> |
| 256|[0x80008810]<br>0x5555555555555551|- rs1_val==5 and rs2_val==6148914691236517204<br>                                                                                                                                   |[0x80002260]:c.xor a0, a1<br> [0x80002262]:sd a0, 0(ra)<br>    |
| 257|[0x80008818]<br>0x0000000000000005|- rs1_val==5 and rs2_val==0<br>                                                                                                                                                     |[0x8000226e]:c.xor a0, a1<br> [0x80002270]:sd a0, 8(ra)<br>    |
| 258|[0x80008820]<br>0x0000000000000001|- rs1_val==5 and rs2_val==4<br>                                                                                                                                                     |[0x8000227c]:c.xor a0, a1<br> [0x8000227e]:sd a0, 16(ra)<br>   |
| 259|[0x80008828]<br>0x3333333333333337|- rs1_val==5 and rs2_val==3689348814741910322<br>                                                                                                                                   |[0x800022a6]:c.xor a0, a1<br> [0x800022a8]:sd a0, 24(ra)<br>   |
| 260|[0x80008830]<br>0x6666666666666660|- rs1_val==5 and rs2_val==7378697629483820645<br>                                                                                                                                   |[0x800022d0]:c.xor a0, a1<br> [0x800022d2]:sd a0, 32(ra)<br>   |
| 261|[0x80008838]<br>0x00000000B504F337|- rs1_val==5 and rs2_val==3037000498<br>                                                                                                                                            |[0x800022ea]:c.xor a0, a1<br> [0x800022ec]:sd a0, 40(ra)<br>   |
| 262|[0x80008840]<br>0x5555555555555553|- rs1_val==5 and rs2_val==6148914691236517206<br>                                                                                                                                   |[0x80002314]:c.xor a0, a1<br> [0x80002316]:sd a0, 48(ra)<br>   |
| 263|[0x80008848]<br>0xAAAAAAAAAAAAAAAE|- rs1_val==5 and rs2_val==-6148914691236517205<br>                                                                                                                                  |[0x8000233e]:c.xor a0, a1<br> [0x80002340]:sd a0, 56(ra)<br>   |
| 264|[0x80008850]<br>0x0000000000000003|- rs1_val==5 and rs2_val==6<br>                                                                                                                                                     |[0x8000234c]:c.xor a0, a1<br> [0x8000234e]:sd a0, 64(ra)<br>   |
| 265|[0x80008858]<br>0x3333333333333331|- rs1_val==5 and rs2_val==3689348814741910324<br>                                                                                                                                   |[0x80002376]:c.xor a0, a1<br> [0x80002378]:sd a0, 72(ra)<br>   |
| 266|[0x80008860]<br>0x6666666666666662|- rs1_val==5 and rs2_val==7378697629483820647<br>                                                                                                                                   |[0x800023a0]:c.xor a0, a1<br> [0x800023a2]:sd a0, 80(ra)<br>   |
| 267|[0x80008868]<br>0xFFFFFFFF4AFB0CCB|- rs1_val==5 and rs2_val==-3037000498<br>                                                                                                                                           |[0x800023ba]:c.xor a0, a1<br> [0x800023bc]:sd a0, 88(ra)<br>   |
| 268|[0x80008870]<br>0x00000000B504F331|- rs1_val==5 and rs2_val==3037000500<br>                                                                                                                                            |[0x800023d4]:c.xor a0, a1<br> [0x800023d6]:sd a0, 96(ra)<br>   |
| 269|[0x80008878]<br>0x3333333333333330|- rs1_val==3689348814741910323 and rs2_val==3<br>                                                                                                                                   |[0x800023fe]:c.xor a0, a1<br> [0x80002400]:sd a0, 104(ra)<br>  |
| 270|[0x80008880]<br>0x6666666666666666|- rs1_val==3689348814741910323 and rs2_val==6148914691236517205<br>                                                                                                                 |[0x80002444]:c.xor a0, a1<br> [0x80002446]:sd a0, 112(ra)<br>  |
| 271|[0x80008888]<br>0x9999999999999999|- rs1_val==3689348814741910323 and rs2_val==-6148914691236517206<br>                                                                                                                |[0x8000248a]:c.xor a0, a1<br> [0x8000248c]:sd a0, 120(ra)<br>  |
| 272|[0x80008890]<br>0x3333333333333336|- rs1_val==3689348814741910323 and rs2_val==5<br>                                                                                                                                   |[0x800024b4]:c.xor a0, a1<br> [0x800024b6]:sd a0, 128(ra)<br>  |
| 273|[0x80008898]<br>0x0000000000000000|- rs1_val==3689348814741910323 and rs2_val==3689348814741910323<br>                                                                                                                 |[0x800024fa]:c.xor a0, a1<br> [0x800024fc]:sd a0, 136(ra)<br>  |
| 274|[0x800088a0]<br>0x5555555555555555|- rs1_val==3689348814741910323 and rs2_val==7378697629483820646<br>                                                                                                                 |[0x80002540]:c.xor a0, a1<br> [0x80002542]:sd a0, 144(ra)<br>  |
| 275|[0x800088a8]<br>0xCCCCCCCC79C83FFE|- rs1_val==3689348814741910323 and rs2_val==-3037000499<br>                                                                                                                         |[0x80002576]:c.xor a0, a1<br> [0x80002578]:sd a0, 152(ra)<br>  |
| 276|[0x800088b0]<br>0x333333338637C000|- rs1_val==3689348814741910323 and rs2_val==3037000499<br>                                                                                                                          |[0x800025ac]:c.xor a0, a1<br> [0x800025ae]:sd a0, 160(ra)<br>  |
| 277|[0x800088b8]<br>0x3333333333333331|- rs1_val==3689348814741910323 and rs2_val==2<br>                                                                                                                                   |[0x800025d6]:c.xor a0, a1<br> [0x800025d8]:sd a0, 168(ra)<br>  |
| 278|[0x800088c0]<br>0x6666666666666667|- rs1_val==3689348814741910323 and rs2_val==6148914691236517204<br>                                                                                                                 |[0x8000261c]:c.xor a0, a1<br> [0x8000261e]:sd a0, 176(ra)<br>  |
| 279|[0x800088c8]<br>0x3333333333333333|- rs1_val==3689348814741910323 and rs2_val==0<br>                                                                                                                                   |[0x80002646]:c.xor a0, a1<br> [0x80002648]:sd a0, 184(ra)<br>  |
| 280|[0x800088d0]<br>0x3333333333333337|- rs1_val==3689348814741910323 and rs2_val==4<br>                                                                                                                                   |[0x80002670]:c.xor a0, a1<br> [0x80002672]:sd a0, 192(ra)<br>  |
| 281|[0x800088d8]<br>0x0000000000000001|- rs1_val==3689348814741910323 and rs2_val==3689348814741910322<br>                                                                                                                 |[0x800026b6]:c.xor a0, a1<br> [0x800026b8]:sd a0, 200(ra)<br>  |
| 282|[0x800088e0]<br>0x5555555555555556|- rs1_val==3689348814741910323 and rs2_val==7378697629483820645<br>                                                                                                                 |[0x800026fc]:c.xor a0, a1<br> [0x800026fe]:sd a0, 208(ra)<br>  |
| 283|[0x800088e8]<br>0x333333338637C001|- rs1_val==3689348814741910323 and rs2_val==3037000498<br>                                                                                                                          |[0x80002732]:c.xor a0, a1<br> [0x80002734]:sd a0, 216(ra)<br>  |
| 284|[0x800088f0]<br>0x6666666666666665|- rs1_val==3689348814741910323 and rs2_val==6148914691236517206<br>                                                                                                                 |[0x80002778]:c.xor a0, a1<br> [0x8000277a]:sd a0, 224(ra)<br>  |
| 285|[0x800088f8]<br>0x9999999999999998|- rs1_val==3689348814741910323 and rs2_val==-6148914691236517205<br>                                                                                                                |[0x800027be]:c.xor a0, a1<br> [0x800027c0]:sd a0, 232(ra)<br>  |
| 286|[0x80008900]<br>0x3333333333333335|- rs1_val==3689348814741910323 and rs2_val==6<br>                                                                                                                                   |[0x800027e8]:c.xor a0, a1<br> [0x800027ea]:sd a0, 240(ra)<br>  |
| 287|[0x80008908]<br>0x0000000000000007|- rs1_val==3689348814741910323 and rs2_val==3689348814741910324<br>                                                                                                                 |[0x8000282e]:c.xor a0, a1<br> [0x80002830]:sd a0, 248(ra)<br>  |
| 288|[0x80008910]<br>0x5555555555555554|- rs1_val==3689348814741910323 and rs2_val==7378697629483820647<br>                                                                                                                 |[0x80002874]:c.xor a0, a1<br> [0x80002876]:sd a0, 256(ra)<br>  |
| 289|[0x80008918]<br>0xCCCCCCCC79C83FFD|- rs1_val==3689348814741910323 and rs2_val==-3037000498<br>                                                                                                                         |[0x800028aa]:c.xor a0, a1<br> [0x800028ac]:sd a0, 264(ra)<br>  |
| 290|[0x80008920]<br>0x333333338637C007|- rs1_val==3689348814741910323 and rs2_val==3037000500<br>                                                                                                                          |[0x800028e0]:c.xor a0, a1<br> [0x800028e2]:sd a0, 272(ra)<br>  |
| 291|[0x80008928]<br>0x6666666666666665|- rs1_val==7378697629483820646 and rs2_val==3<br>                                                                                                                                   |[0x8000290a]:c.xor a0, a1<br> [0x8000290c]:sd a0, 280(ra)<br>  |
| 292|[0x80008930]<br>0x3333333333333333|- rs1_val==7378697629483820646 and rs2_val==6148914691236517205<br>                                                                                                                 |[0x80002950]:c.xor a0, a1<br> [0x80002952]:sd a0, 288(ra)<br>  |
| 293|[0x80008938]<br>0xCCCCCCCCCCCCCCCC|- rs1_val==7378697629483820646 and rs2_val==-6148914691236517206<br>                                                                                                                |[0x80002996]:c.xor a0, a1<br> [0x80002998]:sd a0, 296(ra)<br>  |
| 294|[0x80008940]<br>0x6666666666666663|- rs1_val==7378697629483820646 and rs2_val==5<br>                                                                                                                                   |[0x800029c0]:c.xor a0, a1<br> [0x800029c2]:sd a0, 304(ra)<br>  |
| 295|[0x80008948]<br>0x5555555555555555|- rs1_val==7378697629483820646 and rs2_val==3689348814741910323<br>                                                                                                                 |[0x80002a06]:c.xor a0, a1<br> [0x80002a08]:sd a0, 312(ra)<br>  |
| 296|[0x80008950]<br>0x0000000000000000|- rs1_val==7378697629483820646 and rs2_val==7378697629483820646<br>                                                                                                                 |[0x80002a4c]:c.xor a0, a1<br> [0x80002a4e]:sd a0, 320(ra)<br>  |
| 297|[0x80008958]<br>0x999999992C9D6AAB|- rs1_val==7378697629483820646 and rs2_val==-3037000499<br>                                                                                                                         |[0x80002a82]:c.xor a0, a1<br> [0x80002a84]:sd a0, 328(ra)<br>  |
| 298|[0x80008960]<br>0x66666666D3629555|- rs1_val==7378697629483820646 and rs2_val==3037000499<br>                                                                                                                          |[0x80002ab8]:c.xor a0, a1<br> [0x80002aba]:sd a0, 336(ra)<br>  |
| 299|[0x80008968]<br>0x6666666666666664|- rs1_val==7378697629483820646 and rs2_val==2<br>                                                                                                                                   |[0x80002ae2]:c.xor a0, a1<br> [0x80002ae4]:sd a0, 344(ra)<br>  |
| 300|[0x80008970]<br>0x3333333333333332|- rs1_val==7378697629483820646 and rs2_val==6148914691236517204<br>                                                                                                                 |[0x80002b28]:c.xor a0, a1<br> [0x80002b2a]:sd a0, 352(ra)<br>  |
| 301|[0x80008978]<br>0x6666666666666666|- rs1_val==7378697629483820646 and rs2_val==0<br>                                                                                                                                   |[0x80002b52]:c.xor a0, a1<br> [0x80002b54]:sd a0, 360(ra)<br>  |
| 302|[0x80008980]<br>0x6666666666666662|- rs1_val==7378697629483820646 and rs2_val==4<br>                                                                                                                                   |[0x80002b7c]:c.xor a0, a1<br> [0x80002b7e]:sd a0, 368(ra)<br>  |
| 303|[0x80008988]<br>0x5555555555555554|- rs1_val==7378697629483820646 and rs2_val==3689348814741910322<br>                                                                                                                 |[0x80002bc2]:c.xor a0, a1<br> [0x80002bc4]:sd a0, 376(ra)<br>  |
| 304|[0x80008990]<br>0x0000000000000003|- rs1_val==7378697629483820646 and rs2_val==7378697629483820645<br>                                                                                                                 |[0x80002c08]:c.xor a0, a1<br> [0x80002c0a]:sd a0, 384(ra)<br>  |
| 305|[0x80008998]<br>0x66666666D3629554|- rs1_val==7378697629483820646 and rs2_val==3037000498<br>                                                                                                                          |[0x80002c3e]:c.xor a0, a1<br> [0x80002c40]:sd a0, 392(ra)<br>  |
| 306|[0x800089a0]<br>0x3333333333333330|- rs1_val==7378697629483820646 and rs2_val==6148914691236517206<br>                                                                                                                 |[0x80002c84]:c.xor a0, a1<br> [0x80002c86]:sd a0, 400(ra)<br>  |
| 307|[0x800089a8]<br>0xCCCCCCCCCCCCCCCD|- rs1_val==7378697629483820646 and rs2_val==-6148914691236517205<br>                                                                                                                |[0x80002cca]:c.xor a0, a1<br> [0x80002ccc]:sd a0, 408(ra)<br>  |
| 308|[0x800089b0]<br>0x6666666666666660|- rs1_val==7378697629483820646 and rs2_val==6<br>                                                                                                                                   |[0x80002cf4]:c.xor a0, a1<br> [0x80002cf6]:sd a0, 416(ra)<br>  |
| 309|[0x800089b8]<br>0x5555555555555552|- rs1_val==7378697629483820646 and rs2_val==3689348814741910324<br>                                                                                                                 |[0x80002d3a]:c.xor a0, a1<br> [0x80002d3c]:sd a0, 424(ra)<br>  |
| 310|[0x800089c0]<br>0x0000000000000001|- rs1_val==7378697629483820646 and rs2_val==7378697629483820647<br>                                                                                                                 |[0x80002d80]:c.xor a0, a1<br> [0x80002d82]:sd a0, 432(ra)<br>  |
| 311|[0x800089c8]<br>0x999999992C9D6AA8|- rs1_val==7378697629483820646 and rs2_val==-3037000498<br>                                                                                                                         |[0x80002db6]:c.xor a0, a1<br> [0x80002db8]:sd a0, 440(ra)<br>  |
| 312|[0x800089d0]<br>0x66666666D3629552|- rs1_val==7378697629483820646 and rs2_val==3037000500<br>                                                                                                                          |[0x80002dec]:c.xor a0, a1<br> [0x80002dee]:sd a0, 448(ra)<br>  |
| 313|[0x800089d8]<br>0xFFFFFFFF4AFB0CCE|- rs1_val==-3037000499 and rs2_val==3<br>                                                                                                                                           |[0x80002e06]:c.xor a0, a1<br> [0x80002e08]:sd a0, 456(ra)<br>  |
| 314|[0x800089e0]<br>0xAAAAAAAA1FAE5998|- rs1_val==-3037000499 and rs2_val==6148914691236517205<br>                                                                                                                         |[0x80002e3c]:c.xor a0, a1<br> [0x80002e3e]:sd a0, 464(ra)<br>  |
| 315|[0x800089e8]<br>0x55555555E051A667|- rs1_val==-3037000499 and rs2_val==-6148914691236517206<br>                                                                                                                        |[0x80002e72]:c.xor a0, a1<br> [0x80002e74]:sd a0, 472(ra)<br>  |
| 316|[0x800089f0]<br>0xFFFFFFFF4AFB0CC8|- rs1_val==-3037000499 and rs2_val==5<br>                                                                                                                                           |[0x80002e8c]:c.xor a0, a1<br> [0x80002e8e]:sd a0, 480(ra)<br>  |
| 317|[0x800089f8]<br>0xCCCCCCCC79C83FFE|- rs1_val==-3037000499 and rs2_val==3689348814741910323<br>                                                                                                                         |[0x80002ec2]:c.xor a0, a1<br> [0x80002ec4]:sd a0, 488(ra)<br>  |
| 318|[0x80008a00]<br>0x999999992C9D6AAB|- rs1_val==-3037000499 and rs2_val==7378697629483820646<br>                                                                                                                         |[0x80002ef8]:c.xor a0, a1<br> [0x80002efa]:sd a0, 496(ra)<br>  |
| 319|[0x80008a08]<br>0x0000000000000000|- rs1_val==-3037000499 and rs2_val==-3037000499<br>                                                                                                                                 |[0x80002f1e]:c.xor a0, a1<br> [0x80002f20]:sd a0, 504(ra)<br>  |
| 320|[0x80008a10]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==-3037000499 and rs2_val==3037000499<br>                                                                                                                                  |[0x80002f44]:c.xor a0, a1<br> [0x80002f46]:sd a0, 512(ra)<br>  |
| 321|[0x80008a18]<br>0xFFFFFFFF4AFB0CCF|- rs1_val==-3037000499 and rs2_val==2<br>                                                                                                                                           |[0x80002f5e]:c.xor a0, a1<br> [0x80002f60]:sd a0, 520(ra)<br>  |
| 322|[0x80008a20]<br>0xAAAAAAAA1FAE5999|- rs1_val==-3037000499 and rs2_val==6148914691236517204<br>                                                                                                                         |[0x80002f94]:c.xor a0, a1<br> [0x80002f96]:sd a0, 528(ra)<br>  |
| 323|[0x80008a28]<br>0xFFFFFFFF4AFB0CCD|- rs1_val==-3037000499 and rs2_val==0<br>                                                                                                                                           |[0x80002fae]:c.xor a0, a1<br> [0x80002fb0]:sd a0, 536(ra)<br>  |
| 324|[0x80008a30]<br>0xFFFFFFFF4AFB0CC9|- rs1_val==-3037000499 and rs2_val==4<br>                                                                                                                                           |[0x80002fc8]:c.xor a0, a1<br> [0x80002fca]:sd a0, 544(ra)<br>  |
| 325|[0x80008a38]<br>0xCCCCCCCC79C83FFF|- rs1_val==-3037000499 and rs2_val==3689348814741910322<br>                                                                                                                         |[0x80002ffe]:c.xor a0, a1<br> [0x80003000]:sd a0, 552(ra)<br>  |
| 326|[0x80008a40]<br>0x999999992C9D6AA8|- rs1_val==-3037000499 and rs2_val==7378697629483820645<br>                                                                                                                         |[0x80003034]:c.xor a0, a1<br> [0x80003036]:sd a0, 560(ra)<br>  |
| 327|[0x80008a48]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==-3037000499 and rs2_val==3037000498<br>                                                                                                                                  |[0x8000305a]:c.xor a0, a1<br> [0x8000305c]:sd a0, 568(ra)<br>  |
| 328|[0x80008a50]<br>0xAAAAAAAA1FAE599B|- rs1_val==-3037000499 and rs2_val==6148914691236517206<br>                                                                                                                         |[0x80003090]:c.xor a0, a1<br> [0x80003092]:sd a0, 576(ra)<br>  |
| 329|[0x80008a58]<br>0x55555555E051A666|- rs1_val==-3037000499 and rs2_val==-6148914691236517205<br>                                                                                                                        |[0x800030c6]:c.xor a0, a1<br> [0x800030c8]:sd a0, 584(ra)<br>  |
| 330|[0x80008a60]<br>0xFFFFFFFF4AFB0CCB|- rs1_val==-3037000499 and rs2_val==6<br>                                                                                                                                           |[0x800030e0]:c.xor a0, a1<br> [0x800030e2]:sd a0, 592(ra)<br>  |
| 331|[0x80008a68]<br>0xCCCCCCCC79C83FF9|- rs1_val==-3037000499 and rs2_val==3689348814741910324<br>                                                                                                                         |[0x80003116]:c.xor a0, a1<br> [0x80003118]:sd a0, 600(ra)<br>  |
| 332|[0x80008a70]<br>0x999999992C9D6AAA|- rs1_val==-3037000499 and rs2_val==7378697629483820647<br>                                                                                                                         |[0x8000314c]:c.xor a0, a1<br> [0x8000314e]:sd a0, 608(ra)<br>  |
| 333|[0x80008a78]<br>0x0000000000000003|- rs1_val==-3037000499 and rs2_val==-3037000498<br>                                                                                                                                 |[0x80003172]:c.xor a0, a1<br> [0x80003174]:sd a0, 616(ra)<br>  |
| 334|[0x80008a80]<br>0xFFFFFFFFFFFFFFF9|- rs1_val==-3037000499 and rs2_val==3037000500<br>                                                                                                                                  |[0x80003198]:c.xor a0, a1<br> [0x8000319a]:sd a0, 624(ra)<br>  |
| 335|[0x80008a88]<br>0x00000000B504F330|- rs1_val==3037000499 and rs2_val==3<br>                                                                                                                                            |[0x800031b2]:c.xor a0, a1<br> [0x800031b4]:sd a0, 632(ra)<br>  |
| 336|[0x80008a90]<br>0x55555555E051A666|- rs1_val==3037000499 and rs2_val==6148914691236517205<br>                                                                                                                          |[0x800031e8]:c.xor a0, a1<br> [0x800031ea]:sd a0, 640(ra)<br>  |
| 337|[0x80008a98]<br>0xAAAAAAAA1FAE5999|- rs1_val==3037000499 and rs2_val==-6148914691236517206<br>                                                                                                                         |[0x8000321e]:c.xor a0, a1<br> [0x80003220]:sd a0, 648(ra)<br>  |
| 338|[0x80008aa0]<br>0x00000000B504F336|- rs1_val==3037000499 and rs2_val==5<br>                                                                                                                                            |[0x80003238]:c.xor a0, a1<br> [0x8000323a]:sd a0, 656(ra)<br>  |
| 339|[0x80008aa8]<br>0x333333338637C000|- rs1_val==3037000499 and rs2_val==3689348814741910323<br>                                                                                                                          |[0x8000326e]:c.xor a0, a1<br> [0x80003270]:sd a0, 664(ra)<br>  |
| 340|[0x80008ab0]<br>0x66666666D3629555|- rs1_val==3037000499 and rs2_val==7378697629483820646<br>                                                                                                                          |[0x800032a4]:c.xor a0, a1<br> [0x800032a6]:sd a0, 672(ra)<br>  |
| 341|[0x80008ab8]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==3037000499 and rs2_val==-3037000499<br>                                                                                                                                  |[0x800032ca]:c.xor a0, a1<br> [0x800032cc]:sd a0, 680(ra)<br>  |
| 342|[0x80008ac0]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==3037000499<br>                                                                                                                                   |[0x800032f0]:c.xor a0, a1<br> [0x800032f2]:sd a0, 688(ra)<br>  |
| 343|[0x80008ac8]<br>0x00000000B504F331|- rs1_val==3037000499 and rs2_val==2<br>                                                                                                                                            |[0x8000330a]:c.xor a0, a1<br> [0x8000330c]:sd a0, 696(ra)<br>  |
| 344|[0x80008ad0]<br>0x55555555E051A667|- rs1_val==3037000499 and rs2_val==6148914691236517204<br>                                                                                                                          |[0x80003340]:c.xor a0, a1<br> [0x80003342]:sd a0, 704(ra)<br>  |
| 345|[0x80008ad8]<br>0x00000000B504F333|- rs1_val==3037000499 and rs2_val==0<br>                                                                                                                                            |[0x8000335a]:c.xor a0, a1<br> [0x8000335c]:sd a0, 712(ra)<br>  |
| 346|[0x80008ae0]<br>0x00000000B504F337|- rs1_val==3037000499 and rs2_val==4<br>                                                                                                                                            |[0x80003374]:c.xor a0, a1<br> [0x80003376]:sd a0, 720(ra)<br>  |
| 347|[0x80008ae8]<br>0x333333338637C001|- rs1_val==3037000499 and rs2_val==3689348814741910322<br>                                                                                                                          |[0x800033aa]:c.xor a0, a1<br> [0x800033ac]:sd a0, 728(ra)<br>  |
| 348|[0x80008af0]<br>0x66666666D3629556|- rs1_val==3037000499 and rs2_val==7378697629483820645<br>                                                                                                                          |[0x800033e0]:c.xor a0, a1<br> [0x800033e2]:sd a0, 736(ra)<br>  |
| 349|[0x80008af8]<br>0x0000000000000001|- rs1_val==3037000499 and rs2_val==3037000498<br>                                                                                                                                   |[0x80003406]:c.xor a0, a1<br> [0x80003408]:sd a0, 744(ra)<br>  |
| 350|[0x80008b00]<br>0x55555555E051A665|- rs1_val==3037000499 and rs2_val==6148914691236517206<br>                                                                                                                          |[0x8000343c]:c.xor a0, a1<br> [0x8000343e]:sd a0, 752(ra)<br>  |
| 351|[0x80008b08]<br>0xAAAAAAAA1FAE5998|- rs1_val==3037000499 and rs2_val==-6148914691236517205<br>                                                                                                                         |[0x80003472]:c.xor a0, a1<br> [0x80003474]:sd a0, 760(ra)<br>  |
| 352|[0x80008b10]<br>0x00000000B504F335|- rs1_val==3037000499 and rs2_val==6<br>                                                                                                                                            |[0x8000348c]:c.xor a0, a1<br> [0x8000348e]:sd a0, 768(ra)<br>  |
| 353|[0x80008b18]<br>0x333333338637C007|- rs1_val==3037000499 and rs2_val==3689348814741910324<br>                                                                                                                          |[0x800034c2]:c.xor a0, a1<br> [0x800034c4]:sd a0, 776(ra)<br>  |
| 354|[0x80008b20]<br>0x66666666D3629554|- rs1_val==3037000499 and rs2_val==7378697629483820647<br>                                                                                                                          |[0x800034f8]:c.xor a0, a1<br> [0x800034fa]:sd a0, 784(ra)<br>  |
| 355|[0x80008b28]<br>0xFFFFFFFFFFFFFFFD|- rs1_val==3037000499 and rs2_val==-3037000498<br>                                                                                                                                  |[0x8000351e]:c.xor a0, a1<br> [0x80003520]:sd a0, 792(ra)<br>  |
| 356|[0x80008b30]<br>0x0000000000000007|- rs1_val==3037000499 and rs2_val==3037000500<br>                                                                                                                                   |[0x80003544]:c.xor a0, a1<br> [0x80003546]:sd a0, 800(ra)<br>  |
| 357|[0x80008b38]<br>0x0000000000000001|- rs1_val==2 and rs2_val==3<br>                                                                                                                                                     |[0x80003552]:c.xor a0, a1<br> [0x80003554]:sd a0, 808(ra)<br>  |
| 358|[0x80008b40]<br>0x5555555555555557|- rs1_val==2 and rs2_val==6148914691236517205<br>                                                                                                                                   |[0x8000357c]:c.xor a0, a1<br> [0x8000357e]:sd a0, 816(ra)<br>  |
| 359|[0x80008b48]<br>0xAAAAAAAAAAAAAAA8|- rs1_val==2 and rs2_val==-6148914691236517206<br>                                                                                                                                  |[0x800035a6]:c.xor a0, a1<br> [0x800035a8]:sd a0, 824(ra)<br>  |
| 360|[0x80008b50]<br>0x0000000000000007|- rs1_val==2 and rs2_val==5<br>                                                                                                                                                     |[0x800035b4]:c.xor a0, a1<br> [0x800035b6]:sd a0, 832(ra)<br>  |
| 361|[0x80008b58]<br>0x3333333333333331|- rs1_val==2 and rs2_val==3689348814741910323<br>                                                                                                                                   |[0x800035de]:c.xor a0, a1<br> [0x800035e0]:sd a0, 840(ra)<br>  |
| 362|[0x80008b60]<br>0x6666666666666664|- rs1_val==2 and rs2_val==7378697629483820646<br>                                                                                                                                   |[0x80003608]:c.xor a0, a1<br> [0x8000360a]:sd a0, 848(ra)<br>  |
| 363|[0x80008b68]<br>0xFFFFFFFF4AFB0CCF|- rs1_val==2 and rs2_val==-3037000499<br>                                                                                                                                           |[0x80003622]:c.xor a0, a1<br> [0x80003624]:sd a0, 856(ra)<br>  |
| 364|[0x80008b70]<br>0x00000000B504F331|- rs1_val==2 and rs2_val==3037000499<br>                                                                                                                                            |[0x8000363c]:c.xor a0, a1<br> [0x8000363e]:sd a0, 864(ra)<br>  |
| 365|[0x80008b78]<br>0x0000000000000000|- rs1_val==2 and rs2_val==2<br>                                                                                                                                                     |[0x8000364a]:c.xor a0, a1<br> [0x8000364c]:sd a0, 872(ra)<br>  |
| 366|[0x80008b80]<br>0x5555555555555556|- rs1_val==2 and rs2_val==6148914691236517204<br>                                                                                                                                   |[0x80003674]:c.xor a0, a1<br> [0x80003676]:sd a0, 880(ra)<br>  |
| 367|[0x80008b88]<br>0x0000000000000002|- rs1_val==2 and rs2_val==0<br>                                                                                                                                                     |[0x80003682]:c.xor a0, a1<br> [0x80003684]:sd a0, 888(ra)<br>  |
| 368|[0x80008b90]<br>0x0000000000000006|- rs1_val==2 and rs2_val==4<br>                                                                                                                                                     |[0x80003690]:c.xor a0, a1<br> [0x80003692]:sd a0, 896(ra)<br>  |
| 369|[0x80008b98]<br>0x3333333333333330|- rs1_val==2 and rs2_val==3689348814741910322<br>                                                                                                                                   |[0x800036ba]:c.xor a0, a1<br> [0x800036bc]:sd a0, 904(ra)<br>  |
| 370|[0x80008ba0]<br>0x6666666666666667|- rs1_val==2 and rs2_val==7378697629483820645<br>                                                                                                                                   |[0x800036e4]:c.xor a0, a1<br> [0x800036e6]:sd a0, 912(ra)<br>  |
| 371|[0x80008ba8]<br>0x00000000B504F330|- rs1_val==2 and rs2_val==3037000498<br>                                                                                                                                            |[0x800036fe]:c.xor a0, a1<br> [0x80003700]:sd a0, 920(ra)<br>  |
| 372|[0x80008bb0]<br>0x5555555555555554|- rs1_val==2 and rs2_val==6148914691236517206<br>                                                                                                                                   |[0x80003728]:c.xor a0, a1<br> [0x8000372a]:sd a0, 928(ra)<br>  |
| 373|[0x80008bb8]<br>0xAAAAAAAAAAAAAAA9|- rs1_val==2 and rs2_val==-6148914691236517205<br>                                                                                                                                  |[0x80003752]:c.xor a0, a1<br> [0x80003754]:sd a0, 936(ra)<br>  |
| 374|[0x80008bc0]<br>0x0000000000000004|- rs1_val==2 and rs2_val==6<br>                                                                                                                                                     |[0x80003760]:c.xor a0, a1<br> [0x80003762]:sd a0, 944(ra)<br>  |
| 375|[0x80008bc8]<br>0x3333333333333336|- rs1_val==2 and rs2_val==3689348814741910324<br>                                                                                                                                   |[0x8000378a]:c.xor a0, a1<br> [0x8000378c]:sd a0, 952(ra)<br>  |
| 376|[0x80008bd0]<br>0x6666666666666665|- rs1_val==2 and rs2_val==7378697629483820647<br>                                                                                                                                   |[0x800037b4]:c.xor a0, a1<br> [0x800037b6]:sd a0, 960(ra)<br>  |
| 377|[0x80008bd8]<br>0xFFFFFFFF4AFB0CCC|- rs1_val==2 and rs2_val==-3037000498<br>                                                                                                                                           |[0x800037ce]:c.xor a0, a1<br> [0x800037d0]:sd a0, 968(ra)<br>  |
| 378|[0x80008be0]<br>0x00000000B504F336|- rs1_val==2 and rs2_val==3037000500<br>                                                                                                                                            |[0x800037e8]:c.xor a0, a1<br> [0x800037ea]:sd a0, 976(ra)<br>  |
| 379|[0x80008be8]<br>0x5555555555555557|- rs1_val==6148914691236517204 and rs2_val==3<br>                                                                                                                                   |[0x80003812]:c.xor a0, a1<br> [0x80003814]:sd a0, 984(ra)<br>  |
| 380|[0x80008bf0]<br>0x0000000000000001|- rs1_val==6148914691236517204 and rs2_val==6148914691236517205<br>                                                                                                                 |[0x80003858]:c.xor a0, a1<br> [0x8000385a]:sd a0, 992(ra)<br>  |
| 381|[0x80008bf8]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==6148914691236517204 and rs2_val==-6148914691236517206<br>                                                                                                                |[0x8000389e]:c.xor a0, a1<br> [0x800038a0]:sd a0, 1000(ra)<br> |
| 382|[0x80008c00]<br>0x5555555555555551|- rs1_val==6148914691236517204 and rs2_val==5<br>                                                                                                                                   |[0x800038c8]:c.xor a0, a1<br> [0x800038ca]:sd a0, 1008(ra)<br> |
| 383|[0x80008c08]<br>0x6666666666666667|- rs1_val==6148914691236517204 and rs2_val==3689348814741910323<br>                                                                                                                 |[0x8000390e]:c.xor a0, a1<br> [0x80003910]:sd a0, 1016(ra)<br> |
| 384|[0x80008c10]<br>0x3333333333333332|- rs1_val==6148914691236517204 and rs2_val==7378697629483820646<br>                                                                                                                 |[0x80003954]:c.xor a0, a1<br> [0x80003956]:sd a0, 1024(ra)<br> |
| 385|[0x80008c18]<br>0xAAAAAAAA1FAE5999|- rs1_val==6148914691236517204 and rs2_val==-3037000499<br>                                                                                                                         |[0x8000398a]:c.xor a0, a1<br> [0x8000398c]:sd a0, 1032(ra)<br> |
| 386|[0x80008c20]<br>0x55555555E051A667|- rs1_val==6148914691236517204 and rs2_val==3037000499<br>                                                                                                                          |[0x800039c0]:c.xor a0, a1<br> [0x800039c2]:sd a0, 1040(ra)<br> |
| 387|[0x80008c28]<br>0x5555555555555556|- rs1_val==6148914691236517204 and rs2_val==2<br>                                                                                                                                   |[0x800039ea]:c.xor a0, a1<br> [0x800039ec]:sd a0, 1048(ra)<br> |
| 388|[0x80008c30]<br>0x0000000000000000|- rs1_val==6148914691236517204 and rs2_val==6148914691236517204<br>                                                                                                                 |[0x80003a30]:c.xor a0, a1<br> [0x80003a32]:sd a0, 1056(ra)<br> |
| 389|[0x80008c38]<br>0x5555555555555554|- rs1_val==6148914691236517204 and rs2_val==0<br>                                                                                                                                   |[0x80003a5a]:c.xor a0, a1<br> [0x80003a5c]:sd a0, 1064(ra)<br> |
| 390|[0x80008c40]<br>0x5555555555555550|- rs1_val==6148914691236517204 and rs2_val==4<br>                                                                                                                                   |[0x80003a84]:c.xor a0, a1<br> [0x80003a86]:sd a0, 1072(ra)<br> |
| 391|[0x80008c48]<br>0x6666666666666666|- rs1_val==6148914691236517204 and rs2_val==3689348814741910322<br>                                                                                                                 |[0x80003aca]:c.xor a0, a1<br> [0x80003acc]:sd a0, 1080(ra)<br> |
| 392|[0x80008c50]<br>0x3333333333333331|- rs1_val==6148914691236517204 and rs2_val==7378697629483820645<br>                                                                                                                 |[0x80003b10]:c.xor a0, a1<br> [0x80003b12]:sd a0, 1088(ra)<br> |
| 393|[0x80008c58]<br>0x55555555E051A666|- rs1_val==6148914691236517204 and rs2_val==3037000498<br>                                                                                                                          |[0x80003b46]:c.xor a0, a1<br> [0x80003b48]:sd a0, 1096(ra)<br> |
| 394|[0x80008c60]<br>0x0000000000000002|- rs1_val==6148914691236517204 and rs2_val==6148914691236517206<br>                                                                                                                 |[0x80003b8c]:c.xor a0, a1<br> [0x80003b8e]:sd a0, 1104(ra)<br> |
| 395|[0x80008c68]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==6148914691236517204 and rs2_val==-6148914691236517205<br>                                                                                                                |[0x80003bd2]:c.xor a0, a1<br> [0x80003bd4]:sd a0, 1112(ra)<br> |
| 396|[0x80008c70]<br>0x5555555555555552|- rs1_val==6148914691236517204 and rs2_val==6<br>                                                                                                                                   |[0x80003bfc]:c.xor a0, a1<br> [0x80003bfe]:sd a0, 1120(ra)<br> |
| 397|[0x80008c78]<br>0x6666666666666660|- rs1_val==6148914691236517204 and rs2_val==3689348814741910324<br>                                                                                                                 |[0x80003c42]:c.xor a0, a1<br> [0x80003c44]:sd a0, 1128(ra)<br> |
| 398|[0x80008c80]<br>0x3333333333333333|- rs1_val==6148914691236517204 and rs2_val==7378697629483820647<br>                                                                                                                 |[0x80003c88]:c.xor a0, a1<br> [0x80003c8a]:sd a0, 1136(ra)<br> |
| 399|[0x80008c88]<br>0xAAAAAAAA1FAE599A|- rs1_val==6148914691236517204 and rs2_val==-3037000498<br>                                                                                                                         |[0x80003cbe]:c.xor a0, a1<br> [0x80003cc0]:sd a0, 1144(ra)<br> |
| 400|[0x80008c90]<br>0x55555555E051A660|- rs1_val==6148914691236517204 and rs2_val==3037000500<br>                                                                                                                          |[0x80003cf4]:c.xor a0, a1<br> [0x80003cf6]:sd a0, 1152(ra)<br> |
| 401|[0x80008c98]<br>0x0000000000000003|- rs1_val==0 and rs2_val==3<br>                                                                                                                                                     |[0x80003d02]:c.xor a0, a1<br> [0x80003d04]:sd a0, 1160(ra)<br> |
| 402|[0x80008ca0]<br>0x5555555555555555|- rs1_val==0 and rs2_val==6148914691236517205<br>                                                                                                                                   |[0x80003d2c]:c.xor a0, a1<br> [0x80003d2e]:sd a0, 1168(ra)<br> |
| 403|[0x80008ca8]<br>0xAAAAAAAAAAAAAAAA|- rs1_val==0 and rs2_val==-6148914691236517206<br>                                                                                                                                  |[0x80003d56]:c.xor a0, a1<br> [0x80003d58]:sd a0, 1176(ra)<br> |
| 404|[0x80008cb0]<br>0x0000000000000005|- rs1_val==0 and rs2_val==5<br>                                                                                                                                                     |[0x80003d64]:c.xor a0, a1<br> [0x80003d66]:sd a0, 1184(ra)<br> |
| 405|[0x80008cb8]<br>0x3333333333333333|- rs1_val==0 and rs2_val==3689348814741910323<br>                                                                                                                                   |[0x80003d8e]:c.xor a0, a1<br> [0x80003d90]:sd a0, 1192(ra)<br> |
| 406|[0x80008cc0]<br>0x6666666666666666|- rs1_val==0 and rs2_val==7378697629483820646<br>                                                                                                                                   |[0x80003db8]:c.xor a0, a1<br> [0x80003dba]:sd a0, 1200(ra)<br> |
| 407|[0x80008cc8]<br>0xFFFFFFFF4AFB0CCD|- rs1_val==0 and rs2_val==-3037000499<br>                                                                                                                                           |[0x80003dd2]:c.xor a0, a1<br> [0x80003dd4]:sd a0, 1208(ra)<br> |
| 408|[0x80008cd0]<br>0xAAAAAAAAAAAAAAAE|- rs1_val==4 and rs2_val==-6148914691236517206<br>                                                                                                                                  |[0x80003dfc]:c.xor a0, a1<br> [0x80003dfe]:sd a0, 1216(ra)<br> |
| 409|[0x80008cd8]<br>0x0000000000000001|- rs1_val==4 and rs2_val==5<br>                                                                                                                                                     |[0x80003e0a]:c.xor a0, a1<br> [0x80003e0c]:sd a0, 1224(ra)<br> |
| 410|[0x80008ce0]<br>0x3333333333333337|- rs1_val==4 and rs2_val==3689348814741910323<br>                                                                                                                                   |[0x80003e34]:c.xor a0, a1<br> [0x80003e36]:sd a0, 1232(ra)<br> |
| 411|[0x80008ce8]<br>0x6666666666666662|- rs1_val==4 and rs2_val==7378697629483820646<br>                                                                                                                                   |[0x80003e5e]:c.xor a0, a1<br> [0x80003e60]:sd a0, 1240(ra)<br> |
| 412|[0x80008cf0]<br>0xFFFFFFFF4AFB0CC9|- rs1_val==4 and rs2_val==-3037000499<br>                                                                                                                                           |[0x80003e78]:c.xor a0, a1<br> [0x80003e7a]:sd a0, 1248(ra)<br> |
| 413|[0x80008cf8]<br>0x00000000B504F337|- rs1_val==4 and rs2_val==3037000499<br>                                                                                                                                            |[0x80003e92]:c.xor a0, a1<br> [0x80003e94]:sd a0, 1256(ra)<br> |
| 414|[0x80008d00]<br>0x0000000000000006|- rs1_val==4 and rs2_val==2<br>                                                                                                                                                     |[0x80003ea0]:c.xor a0, a1<br> [0x80003ea2]:sd a0, 1264(ra)<br> |
| 415|[0x80008d08]<br>0x5555555555555550|- rs1_val==4 and rs2_val==6148914691236517204<br>                                                                                                                                   |[0x80003eca]:c.xor a0, a1<br> [0x80003ecc]:sd a0, 1272(ra)<br> |
| 416|[0x80008d10]<br>0x0000000000000004|- rs1_val==4 and rs2_val==0<br>                                                                                                                                                     |[0x80003ed8]:c.xor a0, a1<br> [0x80003eda]:sd a0, 1280(ra)<br> |
| 417|[0x80008d18]<br>0x0000000000000000|- rs1_val==4 and rs2_val==4<br>                                                                                                                                                     |[0x80003ee6]:c.xor a0, a1<br> [0x80003ee8]:sd a0, 1288(ra)<br> |
| 418|[0x80008d20]<br>0x3333333333333336|- rs1_val==4 and rs2_val==3689348814741910322<br>                                                                                                                                   |[0x80003f10]:c.xor a0, a1<br> [0x80003f12]:sd a0, 1296(ra)<br> |
| 419|[0x80008d28]<br>0x6666666666666661|- rs1_val==4 and rs2_val==7378697629483820645<br>                                                                                                                                   |[0x80003f3a]:c.xor a0, a1<br> [0x80003f3c]:sd a0, 1304(ra)<br> |
| 420|[0x80008d30]<br>0x00000000B504F336|- rs1_val==4 and rs2_val==3037000498<br>                                                                                                                                            |[0x80003f54]:c.xor a0, a1<br> [0x80003f56]:sd a0, 1312(ra)<br> |
| 421|[0x80008d38]<br>0x5555555555555552|- rs1_val==4 and rs2_val==6148914691236517206<br>                                                                                                                                   |[0x80003f7e]:c.xor a0, a1<br> [0x80003f80]:sd a0, 1320(ra)<br> |
| 422|[0x80008d40]<br>0xAAAAAAAAAAAAAAAF|- rs1_val==4 and rs2_val==-6148914691236517205<br>                                                                                                                                  |[0x80003fa8]:c.xor a0, a1<br> [0x80003faa]:sd a0, 1328(ra)<br> |
| 423|[0x80008d48]<br>0x0000000000000002|- rs1_val==4 and rs2_val==6<br>                                                                                                                                                     |[0x80003fb6]:c.xor a0, a1<br> [0x80003fb8]:sd a0, 1336(ra)<br> |
| 424|[0x80008d50]<br>0x3333333333333330|- rs1_val==4 and rs2_val==3689348814741910324<br>                                                                                                                                   |[0x80003fe0]:c.xor a0, a1<br> [0x80003fe2]:sd a0, 1344(ra)<br> |
| 425|[0x80008d58]<br>0x6666666666666663|- rs1_val==4 and rs2_val==7378697629483820647<br>                                                                                                                                   |[0x8000400a]:c.xor a0, a1<br> [0x8000400c]:sd a0, 1352(ra)<br> |
| 426|[0x80008d60]<br>0xFFFFFFFF4AFB0CCA|- rs1_val==4 and rs2_val==-3037000498<br>                                                                                                                                           |[0x80004024]:c.xor a0, a1<br> [0x80004026]:sd a0, 1360(ra)<br> |
| 427|[0x80008d68]<br>0x00000000B504F330|- rs1_val==4 and rs2_val==3037000500<br>                                                                                                                                            |[0x8000403e]:c.xor a0, a1<br> [0x80004040]:sd a0, 1368(ra)<br> |
| 428|[0x80008d70]<br>0x3333333333333331|- rs1_val==3689348814741910322 and rs2_val==3<br>                                                                                                                                   |[0x80004068]:c.xor a0, a1<br> [0x8000406a]:sd a0, 1376(ra)<br> |
| 429|[0x80008d78]<br>0x6666666666666667|- rs1_val==3689348814741910322 and rs2_val==6148914691236517205<br>                                                                                                                 |[0x800040ae]:c.xor a0, a1<br> [0x800040b0]:sd a0, 1384(ra)<br> |
| 430|[0x80008d80]<br>0x9999999999999998|- rs1_val==3689348814741910322 and rs2_val==-6148914691236517206<br>                                                                                                                |[0x800040f4]:c.xor a0, a1<br> [0x800040f6]:sd a0, 1392(ra)<br> |
| 431|[0x80008d88]<br>0x3333333333333337|- rs1_val==3689348814741910322 and rs2_val==5<br>                                                                                                                                   |[0x8000411e]:c.xor a0, a1<br> [0x80004120]:sd a0, 1400(ra)<br> |
| 432|[0x80008d90]<br>0x0000000000000001|- rs1_val==3689348814741910322 and rs2_val==3689348814741910323<br>                                                                                                                 |[0x80004164]:c.xor a0, a1<br> [0x80004166]:sd a0, 1408(ra)<br> |
| 433|[0x80008d98]<br>0x5555555555555554|- rs1_val==3689348814741910322 and rs2_val==7378697629483820646<br>                                                                                                                 |[0x800041aa]:c.xor a0, a1<br> [0x800041ac]:sd a0, 1416(ra)<br> |
| 434|[0x80008da0]<br>0xCCCCCCCC79C83FFF|- rs1_val==3689348814741910322 and rs2_val==-3037000499<br>                                                                                                                         |[0x800041e0]:c.xor a0, a1<br> [0x800041e2]:sd a0, 1424(ra)<br> |
| 435|[0x80008da8]<br>0x333333338637C001|- rs1_val==3689348814741910322 and rs2_val==3037000499<br>                                                                                                                          |[0x80004216]:c.xor a0, a1<br> [0x80004218]:sd a0, 1432(ra)<br> |
| 436|[0x80008db0]<br>0x3333333333333330|- rs1_val==3689348814741910322 and rs2_val==2<br>                                                                                                                                   |[0x80004240]:c.xor a0, a1<br> [0x80004242]:sd a0, 1440(ra)<br> |
| 437|[0x80008db8]<br>0x6666666666666666|- rs1_val==3689348814741910322 and rs2_val==6148914691236517204<br>                                                                                                                 |[0x80004286]:c.xor a0, a1<br> [0x80004288]:sd a0, 1448(ra)<br> |
| 438|[0x80008dc0]<br>0x3333333333333332|- rs1_val==3689348814741910322 and rs2_val==0<br>                                                                                                                                   |[0x800042b0]:c.xor a0, a1<br> [0x800042b2]:sd a0, 1456(ra)<br> |
| 439|[0x80008dc8]<br>0x3333333333333336|- rs1_val==3689348814741910322 and rs2_val==4<br>                                                                                                                                   |[0x800042da]:c.xor a0, a1<br> [0x800042dc]:sd a0, 1464(ra)<br> |
| 440|[0x80008dd0]<br>0x0000000000000000|- rs1_val==3689348814741910322 and rs2_val==3689348814741910322<br>                                                                                                                 |[0x80004320]:c.xor a0, a1<br> [0x80004322]:sd a0, 1472(ra)<br> |
| 441|[0x80008dd8]<br>0x5555555555555557|- rs1_val==3689348814741910322 and rs2_val==7378697629483820645<br>                                                                                                                 |[0x80004366]:c.xor a0, a1<br> [0x80004368]:sd a0, 1480(ra)<br> |
| 442|[0x80008de0]<br>0x333333338637C000|- rs1_val==3689348814741910322 and rs2_val==3037000498<br>                                                                                                                          |[0x8000439c]:c.xor a0, a1<br> [0x8000439e]:sd a0, 1488(ra)<br> |
| 443|[0x80008de8]<br>0x6666666666666664|- rs1_val==3689348814741910322 and rs2_val==6148914691236517206<br>                                                                                                                 |[0x800043e2]:c.xor a0, a1<br> [0x800043e4]:sd a0, 1496(ra)<br> |
| 444|[0x80008df0]<br>0x9999999999999999|- rs1_val==3689348814741910322 and rs2_val==-6148914691236517205<br>                                                                                                                |[0x80004428]:c.xor a0, a1<br> [0x8000442a]:sd a0, 1504(ra)<br> |
| 445|[0x80008df8]<br>0x3333333333333334|- rs1_val==3689348814741910322 and rs2_val==6<br>                                                                                                                                   |[0x80004452]:c.xor a0, a1<br> [0x80004454]:sd a0, 1512(ra)<br> |
| 446|[0x80008e00]<br>0x0000000000000006|- rs1_val==3689348814741910322 and rs2_val==3689348814741910324<br>                                                                                                                 |[0x80004498]:c.xor a0, a1<br> [0x8000449a]:sd a0, 1520(ra)<br> |
| 447|[0x80008e08]<br>0x5555555555555555|- rs1_val==3689348814741910322 and rs2_val==7378697629483820647<br>                                                                                                                 |[0x800044de]:c.xor a0, a1<br> [0x800044e0]:sd a0, 1528(ra)<br> |
| 448|[0x80008e10]<br>0xCCCCCCCC79C83FFC|- rs1_val==3689348814741910322 and rs2_val==-3037000498<br>                                                                                                                         |[0x80004514]:c.xor a0, a1<br> [0x80004516]:sd a0, 1536(ra)<br> |
| 449|[0x80008e18]<br>0x333333338637C006|- rs1_val==3689348814741910322 and rs2_val==3037000500<br>                                                                                                                          |[0x8000454a]:c.xor a0, a1<br> [0x8000454c]:sd a0, 1544(ra)<br> |
| 450|[0x80008e20]<br>0x6666666666666666|- rs1_val==7378697629483820645 and rs2_val==3<br>                                                                                                                                   |[0x80004574]:c.xor a0, a1<br> [0x80004576]:sd a0, 1552(ra)<br> |
| 451|[0x80008e28]<br>0x3333333333333330|- rs1_val==7378697629483820645 and rs2_val==6148914691236517205<br>                                                                                                                 |[0x800045ba]:c.xor a0, a1<br> [0x800045bc]:sd a0, 1560(ra)<br> |
| 452|[0x80008e30]<br>0xCCCCCCCCCCCCCCCF|- rs1_val==7378697629483820645 and rs2_val==-6148914691236517206<br>                                                                                                                |[0x80004600]:c.xor a0, a1<br> [0x80004602]:sd a0, 1568(ra)<br> |
| 453|[0x80008e38]<br>0x6666666666666660|- rs1_val==7378697629483820645 and rs2_val==5<br>                                                                                                                                   |[0x8000462a]:c.xor a0, a1<br> [0x8000462c]:sd a0, 1576(ra)<br> |
| 454|[0x80008e40]<br>0x5555555555555556|- rs1_val==7378697629483820645 and rs2_val==3689348814741910323<br>                                                                                                                 |[0x80004670]:c.xor a0, a1<br> [0x80004672]:sd a0, 1584(ra)<br> |
| 455|[0x80008e48]<br>0x0000000000000003|- rs1_val==7378697629483820645 and rs2_val==7378697629483820646<br>                                                                                                                 |[0x800046b6]:c.xor a0, a1<br> [0x800046b8]:sd a0, 1592(ra)<br> |
| 456|[0x80008e50]<br>0x999999992C9D6AA8|- rs1_val==7378697629483820645 and rs2_val==-3037000499<br>                                                                                                                         |[0x800046ec]:c.xor a0, a1<br> [0x800046ee]:sd a0, 1600(ra)<br> |
| 457|[0x80008e58]<br>0x66666666D3629556|- rs1_val==7378697629483820645 and rs2_val==3037000499<br>                                                                                                                          |[0x80004722]:c.xor a0, a1<br> [0x80004724]:sd a0, 1608(ra)<br> |
| 458|[0x80008e60]<br>0x6666666666666667|- rs1_val==7378697629483820645 and rs2_val==2<br>                                                                                                                                   |[0x8000474c]:c.xor a0, a1<br> [0x8000474e]:sd a0, 1616(ra)<br> |
| 459|[0x80008e68]<br>0x3333333333333331|- rs1_val==7378697629483820645 and rs2_val==6148914691236517204<br>                                                                                                                 |[0x80004792]:c.xor a0, a1<br> [0x80004794]:sd a0, 1624(ra)<br> |
| 460|[0x80008e70]<br>0x6666666666666665|- rs1_val==7378697629483820645 and rs2_val==0<br>                                                                                                                                   |[0x800047bc]:c.xor a0, a1<br> [0x800047be]:sd a0, 1632(ra)<br> |
| 461|[0x80008e78]<br>0x5555555555555557|- rs1_val==7378697629483820645 and rs2_val==3689348814741910322<br>                                                                                                                 |[0x80004802]:c.xor a0, a1<br> [0x80004804]:sd a0, 1640(ra)<br> |
| 462|[0x80008e80]<br>0x0000000000000000|- rs1_val==7378697629483820645 and rs2_val==7378697629483820645<br>                                                                                                                 |[0x80004848]:c.xor a0, a1<br> [0x8000484a]:sd a0, 1648(ra)<br> |
| 463|[0x80008e88]<br>0x66666666D3629557|- rs1_val==7378697629483820645 and rs2_val==3037000498<br>                                                                                                                          |[0x8000487e]:c.xor a0, a1<br> [0x80004880]:sd a0, 1656(ra)<br> |
| 464|[0x80008e90]<br>0x3333333333333333|- rs1_val==7378697629483820645 and rs2_val==6148914691236517206<br>                                                                                                                 |[0x800048c4]:c.xor a0, a1<br> [0x800048c6]:sd a0, 1664(ra)<br> |
| 465|[0x80008e98]<br>0xCCCCCCCCCCCCCCCE|- rs1_val==7378697629483820645 and rs2_val==-6148914691236517205<br>                                                                                                                |[0x8000490a]:c.xor a0, a1<br> [0x8000490c]:sd a0, 1672(ra)<br> |
| 466|[0x80008ea0]<br>0x6666666666666663|- rs1_val==7378697629483820645 and rs2_val==6<br>                                                                                                                                   |[0x80004934]:c.xor a0, a1<br> [0x80004936]:sd a0, 1680(ra)<br> |
| 467|[0x80008ea8]<br>0x5555555555555551|- rs1_val==7378697629483820645 and rs2_val==3689348814741910324<br>                                                                                                                 |[0x8000497a]:c.xor a0, a1<br> [0x8000497c]:sd a0, 1688(ra)<br> |
| 468|[0x80008eb0]<br>0x0000000000000002|- rs1_val==7378697629483820645 and rs2_val==7378697629483820647<br>                                                                                                                 |[0x800049c0]:c.xor a0, a1<br> [0x800049c2]:sd a0, 1696(ra)<br> |
| 469|[0x80008eb8]<br>0x999999992C9D6AAB|- rs1_val==7378697629483820645 and rs2_val==-3037000498<br>                                                                                                                         |[0x800049f6]:c.xor a0, a1<br> [0x800049f8]:sd a0, 1704(ra)<br> |
| 470|[0x80008ec0]<br>0x66666666D3629551|- rs1_val==7378697629483820645 and rs2_val==3037000500<br>                                                                                                                          |[0x80004a2c]:c.xor a0, a1<br> [0x80004a2e]:sd a0, 1712(ra)<br> |
| 471|[0x80008ec8]<br>0x00000000B504F331|- rs1_val==3037000498 and rs2_val==3<br>                                                                                                                                            |[0x80004a46]:c.xor a0, a1<br> [0x80004a48]:sd a0, 1720(ra)<br> |
| 472|[0x80008ed0]<br>0x55555555E051A667|- rs1_val==3037000498 and rs2_val==6148914691236517205<br>                                                                                                                          |[0x80004a7c]:c.xor a0, a1<br> [0x80004a7e]:sd a0, 1728(ra)<br> |
| 473|[0x80008ed8]<br>0xAAAAAAAA1FAE5998|- rs1_val==3037000498 and rs2_val==-6148914691236517206<br>                                                                                                                         |[0x80004ab2]:c.xor a0, a1<br> [0x80004ab4]:sd a0, 1736(ra)<br> |
| 474|[0x80008ee0]<br>0x00000000B504F337|- rs1_val==3037000498 and rs2_val==5<br>                                                                                                                                            |[0x80004acc]:c.xor a0, a1<br> [0x80004ace]:sd a0, 1744(ra)<br> |
| 475|[0x80008ee8]<br>0x333333338637C001|- rs1_val==3037000498 and rs2_val==3689348814741910323<br>                                                                                                                          |[0x80004b02]:c.xor a0, a1<br> [0x80004b04]:sd a0, 1752(ra)<br> |
| 476|[0x80008ef0]<br>0x66666666D3629554|- rs1_val==3037000498 and rs2_val==7378697629483820646<br>                                                                                                                          |[0x80004b38]:c.xor a0, a1<br> [0x80004b3a]:sd a0, 1760(ra)<br> |
| 477|[0x80008ef8]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==3037000498 and rs2_val==-3037000499<br>                                                                                                                                  |[0x80004b5e]:c.xor a0, a1<br> [0x80004b60]:sd a0, 1768(ra)<br> |
| 478|[0x80008f00]<br>0x0000000000000001|- rs1_val==3037000498 and rs2_val==3037000499<br>                                                                                                                                   |[0x80004b84]:c.xor a0, a1<br> [0x80004b86]:sd a0, 1776(ra)<br> |
| 479|[0x80008f08]<br>0x00000000B504F330|- rs1_val==3037000498 and rs2_val==2<br>                                                                                                                                            |[0x80004b9e]:c.xor a0, a1<br> [0x80004ba0]:sd a0, 1784(ra)<br> |
| 480|[0x80008f10]<br>0x55555555E051A666|- rs1_val==3037000498 and rs2_val==6148914691236517204<br>                                                                                                                          |[0x80004bd4]:c.xor a0, a1<br> [0x80004bd6]:sd a0, 1792(ra)<br> |
| 481|[0x80008f18]<br>0x00000000B504F332|- rs1_val==3037000498 and rs2_val==0<br>                                                                                                                                            |[0x80004bee]:c.xor a0, a1<br> [0x80004bf0]:sd a0, 1800(ra)<br> |
| 482|[0x80008f20]<br>0x00000000B504F336|- rs1_val==3037000498 and rs2_val==4<br>                                                                                                                                            |[0x80004c08]:c.xor a0, a1<br> [0x80004c0a]:sd a0, 1808(ra)<br> |
| 483|[0x80008f28]<br>0x333333338637C000|- rs1_val==3037000498 and rs2_val==3689348814741910322<br>                                                                                                                          |[0x80004c3e]:c.xor a0, a1<br> [0x80004c40]:sd a0, 1816(ra)<br> |
| 484|[0x80008f30]<br>0x66666666D3629557|- rs1_val==3037000498 and rs2_val==7378697629483820645<br>                                                                                                                          |[0x80004c74]:c.xor a0, a1<br> [0x80004c76]:sd a0, 1824(ra)<br> |
| 485|[0x80008f38]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==3037000498<br>                                                                                                                                   |[0x80004c9a]:c.xor a0, a1<br> [0x80004c9c]:sd a0, 1832(ra)<br> |
| 486|[0x80008f40]<br>0x55555555E051A664|- rs1_val==3037000498 and rs2_val==6148914691236517206<br>                                                                                                                          |[0x80004cd0]:c.xor a0, a1<br> [0x80004cd2]:sd a0, 1840(ra)<br> |
| 487|[0x80008f48]<br>0xAAAAAAAA1FAE5999|- rs1_val==3037000498 and rs2_val==-6148914691236517205<br>                                                                                                                         |[0x80004d06]:c.xor a0, a1<br> [0x80004d08]:sd a0, 1848(ra)<br> |
| 488|[0x80008f50]<br>0x00000000B504F334|- rs1_val==3037000498 and rs2_val==6<br>                                                                                                                                            |[0x80004d20]:c.xor a0, a1<br> [0x80004d22]:sd a0, 1856(ra)<br> |
| 489|[0x80008f58]<br>0x333333338637C006|- rs1_val==3037000498 and rs2_val==3689348814741910324<br>                                                                                                                          |[0x80004d56]:c.xor a0, a1<br> [0x80004d58]:sd a0, 1864(ra)<br> |
| 490|[0x80008f60]<br>0x66666666D3629555|- rs1_val==3037000498 and rs2_val==7378697629483820647<br>                                                                                                                          |[0x80004d8c]:c.xor a0, a1<br> [0x80004d8e]:sd a0, 1872(ra)<br> |
| 491|[0x80008f68]<br>0xFFFFFFFFFFFFFFFC|- rs1_val==3037000498 and rs2_val==-3037000498<br>                                                                                                                                  |[0x80004db2]:c.xor a0, a1<br> [0x80004db4]:sd a0, 1880(ra)<br> |
| 492|[0x80008f70]<br>0x0000000000000006|- rs1_val==3037000498 and rs2_val==3037000500<br>                                                                                                                                   |[0x80004dd8]:c.xor a0, a1<br> [0x80004dda]:sd a0, 1888(ra)<br> |
| 493|[0x80008f78]<br>0x5555555555555555|- rs1_val==6148914691236517206 and rs2_val==3<br>                                                                                                                                   |[0x80004e02]:c.xor a0, a1<br> [0x80004e04]:sd a0, 1896(ra)<br> |
| 494|[0x80008f80]<br>0x0000000000000003|- rs1_val==6148914691236517206 and rs2_val==6148914691236517205<br>                                                                                                                 |[0x80004e48]:c.xor a0, a1<br> [0x80004e4a]:sd a0, 1904(ra)<br> |
| 495|[0x80008f88]<br>0xFFFFFFFFFFFFFFFC|- rs1_val==6148914691236517206 and rs2_val==-6148914691236517206<br>                                                                                                                |[0x80004e8e]:c.xor a0, a1<br> [0x80004e90]:sd a0, 1912(ra)<br> |
| 496|[0x80008f90]<br>0x5555555555555553|- rs1_val==6148914691236517206 and rs2_val==5<br>                                                                                                                                   |[0x80004eb8]:c.xor a0, a1<br> [0x80004eba]:sd a0, 1920(ra)<br> |
| 497|[0x80008f98]<br>0x6666666666666665|- rs1_val==6148914691236517206 and rs2_val==3689348814741910323<br>                                                                                                                 |[0x80004efe]:c.xor a0, a1<br> [0x80004f00]:sd a0, 1928(ra)<br> |
| 498|[0x80008fa0]<br>0x3333333333333330|- rs1_val==6148914691236517206 and rs2_val==7378697629483820646<br>                                                                                                                 |[0x80004f44]:c.xor a0, a1<br> [0x80004f46]:sd a0, 1936(ra)<br> |
| 499|[0x80008fa8]<br>0xAAAAAAAA1FAE599B|- rs1_val==6148914691236517206 and rs2_val==-3037000499<br>                                                                                                                         |[0x80004f7a]:c.xor a0, a1<br> [0x80004f7c]:sd a0, 1944(ra)<br> |
| 500|[0x80008fb0]<br>0x55555555E051A665|- rs1_val==6148914691236517206 and rs2_val==3037000499<br>                                                                                                                          |[0x80004fb0]:c.xor a0, a1<br> [0x80004fb2]:sd a0, 1952(ra)<br> |
| 501|[0x80008fb8]<br>0x5555555555555554|- rs1_val==6148914691236517206 and rs2_val==2<br>                                                                                                                                   |[0x80004fda]:c.xor a0, a1<br> [0x80004fdc]:sd a0, 1960(ra)<br> |
| 502|[0x80008fc0]<br>0x0000000000000002|- rs1_val==6148914691236517206 and rs2_val==6148914691236517204<br>                                                                                                                 |[0x80005020]:c.xor a0, a1<br> [0x80005022]:sd a0, 1968(ra)<br> |
| 503|[0x80008fc8]<br>0x5555555555555556|- rs1_val==6148914691236517206 and rs2_val==0<br>                                                                                                                                   |[0x8000504a]:c.xor a0, a1<br> [0x8000504c]:sd a0, 1976(ra)<br> |
| 504|[0x80008fd0]<br>0x5555555555555552|- rs1_val==6148914691236517206 and rs2_val==4<br>                                                                                                                                   |[0x80005074]:c.xor a0, a1<br> [0x80005076]:sd a0, 1984(ra)<br> |
| 505|[0x80008fd8]<br>0x6666666666666664|- rs1_val==6148914691236517206 and rs2_val==3689348814741910322<br>                                                                                                                 |[0x800050ba]:c.xor a0, a1<br> [0x800050bc]:sd a0, 1992(ra)<br> |
| 506|[0x80008fe0]<br>0x3333333333333333|- rs1_val==6148914691236517206 and rs2_val==7378697629483820645<br>                                                                                                                 |[0x80005100]:c.xor a0, a1<br> [0x80005102]:sd a0, 2000(ra)<br> |
| 507|[0x80008fe8]<br>0x55555555E051A664|- rs1_val==6148914691236517206 and rs2_val==3037000498<br>                                                                                                                          |[0x80005136]:c.xor a0, a1<br> [0x80005138]:sd a0, 2008(ra)<br> |
| 508|[0x80008ff0]<br>0x0000000000000000|- rs1_val==6148914691236517206 and rs2_val==6148914691236517206<br>                                                                                                                 |[0x8000517c]:c.xor a0, a1<br> [0x8000517e]:sd a0, 2016(ra)<br> |
| 509|[0x80008ff8]<br>0xFFFFFFFFFFFFFFFD|- rs1_val==6148914691236517206 and rs2_val==-6148914691236517205<br>                                                                                                                |[0x800051c2]:c.xor a0, a1<br> [0x800051c4]:sd a0, 2024(ra)<br> |
| 510|[0x80009000]<br>0x5555555555555550|- rs1_val==6148914691236517206 and rs2_val==6<br>                                                                                                                                   |[0x800051ec]:c.xor a0, a1<br> [0x800051ee]:sd a0, 2032(ra)<br> |
| 511|[0x80009008]<br>0x6666666666666662|- rs1_val==6148914691236517206 and rs2_val==3689348814741910324<br>                                                                                                                 |[0x80005232]:c.xor a0, a1<br> [0x80005234]:sd a0, 2040(ra)<br> |
| 512|[0x80009010]<br>0x3333333333333331|- rs1_val==6148914691236517206 and rs2_val==7378697629483820647<br>                                                                                                                 |[0x80005280]:c.xor a0, a1<br> [0x80005282]:sd a0, 0(ra)<br>    |
| 513|[0x80009018]<br>0xAAAAAAAA1FAE5998|- rs1_val==6148914691236517206 and rs2_val==-3037000498<br>                                                                                                                         |[0x800052b6]:c.xor a0, a1<br> [0x800052b8]:sd a0, 8(ra)<br>    |
| 514|[0x80009020]<br>0x55555555E051A662|- rs1_val==6148914691236517206 and rs2_val==3037000500<br>                                                                                                                          |[0x800052ec]:c.xor a0, a1<br> [0x800052ee]:sd a0, 16(ra)<br>   |
| 515|[0x80009028]<br>0xAAAAAAAAAAAAAAA8|- rs1_val==-6148914691236517205 and rs2_val==3<br>                                                                                                                                  |[0x80005316]:c.xor a0, a1<br> [0x80005318]:sd a0, 24(ra)<br>   |
| 516|[0x80009030]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==-6148914691236517205 and rs2_val==6148914691236517205<br>                                                                                                                |[0x8000535c]:c.xor a0, a1<br> [0x8000535e]:sd a0, 32(ra)<br>   |
| 517|[0x80009038]<br>0x0000000000000001|- rs1_val==-6148914691236517205 and rs2_val==-6148914691236517206<br>                                                                                                               |[0x800053a2]:c.xor a0, a1<br> [0x800053a4]:sd a0, 40(ra)<br>   |
| 518|[0x80009040]<br>0xAAAAAAAAAAAAAAAE|- rs1_val==-6148914691236517205 and rs2_val==5<br>                                                                                                                                  |[0x800053cc]:c.xor a0, a1<br> [0x800053ce]:sd a0, 48(ra)<br>   |
| 519|[0x80009048]<br>0x9999999999999998|- rs1_val==-6148914691236517205 and rs2_val==3689348814741910323<br>                                                                                                                |[0x80005412]:c.xor a0, a1<br> [0x80005414]:sd a0, 56(ra)<br>   |
| 520|[0x80009050]<br>0xCCCCCCCCCCCCCCCD|- rs1_val==-6148914691236517205 and rs2_val==7378697629483820646<br>                                                                                                                |[0x80005458]:c.xor a0, a1<br> [0x8000545a]:sd a0, 64(ra)<br>   |
| 521|[0x80009058]<br>0x55555555E051A666|- rs1_val==-6148914691236517205 and rs2_val==-3037000499<br>                                                                                                                        |[0x8000548e]:c.xor a0, a1<br> [0x80005490]:sd a0, 72(ra)<br>   |
| 522|[0x80009060]<br>0xAAAAAAAA1FAE5998|- rs1_val==-6148914691236517205 and rs2_val==3037000499<br>                                                                                                                         |[0x800054c4]:c.xor a0, a1<br> [0x800054c6]:sd a0, 80(ra)<br>   |
| 523|[0x80009068]<br>0xAAAAAAAAAAAAAAA9|- rs1_val==-6148914691236517205 and rs2_val==2<br>                                                                                                                                  |[0x800054ee]:c.xor a0, a1<br> [0x800054f0]:sd a0, 88(ra)<br>   |
| 524|[0x80009070]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==-6148914691236517205 and rs2_val==6148914691236517204<br>                                                                                                                |[0x80005534]:c.xor a0, a1<br> [0x80005536]:sd a0, 96(ra)<br>   |
| 525|[0x80009078]<br>0xAAAAAAAAAAAAAAAB|- rs1_val==-6148914691236517205 and rs2_val==0<br>                                                                                                                                  |[0x8000555e]:c.xor a0, a1<br> [0x80005560]:sd a0, 104(ra)<br>  |
| 526|[0x80009080]<br>0xAAAAAAAAAAAAAAAF|- rs1_val==-6148914691236517205 and rs2_val==4<br>                                                                                                                                  |[0x80005588]:c.xor a0, a1<br> [0x8000558a]:sd a0, 112(ra)<br>  |
| 527|[0x80009088]<br>0x9999999999999999|- rs1_val==-6148914691236517205 and rs2_val==3689348814741910322<br>                                                                                                                |[0x800055ce]:c.xor a0, a1<br> [0x800055d0]:sd a0, 120(ra)<br>  |
| 528|[0x80009090]<br>0xCCCCCCCCCCCCCCCE|- rs1_val==-6148914691236517205 and rs2_val==7378697629483820645<br>                                                                                                                |[0x80005614]:c.xor a0, a1<br> [0x80005616]:sd a0, 128(ra)<br>  |
| 529|[0x80009098]<br>0xAAAAAAAA1FAE5999|- rs1_val==-6148914691236517205 and rs2_val==3037000498<br>                                                                                                                         |[0x8000564a]:c.xor a0, a1<br> [0x8000564c]:sd a0, 136(ra)<br>  |
| 530|[0x800090a0]<br>0xFFFFFFFFFFFFFFFD|- rs1_val==-6148914691236517205 and rs2_val==6148914691236517206<br>                                                                                                                |[0x80005690]:c.xor a0, a1<br> [0x80005692]:sd a0, 144(ra)<br>  |
| 531|[0x800090a8]<br>0x0000000000000000|- rs1_val==-6148914691236517205 and rs2_val==-6148914691236517205<br>                                                                                                               |[0x800056d6]:c.xor a0, a1<br> [0x800056d8]:sd a0, 152(ra)<br>  |
| 532|[0x800090b0]<br>0xAAAAAAAAAAAAAAAD|- rs1_val==-6148914691236517205 and rs2_val==6<br>                                                                                                                                  |[0x80005700]:c.xor a0, a1<br> [0x80005702]:sd a0, 160(ra)<br>  |
| 533|[0x800090b8]<br>0x999999999999999F|- rs1_val==-6148914691236517205 and rs2_val==3689348814741910324<br>                                                                                                                |[0x80005746]:c.xor a0, a1<br> [0x80005748]:sd a0, 168(ra)<br>  |
| 534|[0x800090c0]<br>0xCCCCCCCCCCCCCCCC|- rs1_val==-6148914691236517205 and rs2_val==7378697629483820647<br>                                                                                                                |[0x8000578c]:c.xor a0, a1<br> [0x8000578e]:sd a0, 176(ra)<br>  |
| 535|[0x800090c8]<br>0x55555555E051A665|- rs1_val==-6148914691236517205 and rs2_val==-3037000498<br>                                                                                                                        |[0x800057c2]:c.xor a0, a1<br> [0x800057c4]:sd a0, 184(ra)<br>  |
| 536|[0x800090d0]<br>0xAAAAAAAA1FAE599F|- rs1_val==-6148914691236517205 and rs2_val==3037000500<br>                                                                                                                         |[0x800057f8]:c.xor a0, a1<br> [0x800057fa]:sd a0, 192(ra)<br>  |
| 537|[0x800090d8]<br>0x0000000000000005|- rs1_val==6 and rs2_val==3<br>                                                                                                                                                     |[0x80005806]:c.xor a0, a1<br> [0x80005808]:sd a0, 200(ra)<br>  |
| 538|[0x800090e0]<br>0x5555555555555553|- rs1_val==6 and rs2_val==6148914691236517205<br>                                                                                                                                   |[0x80005830]:c.xor a0, a1<br> [0x80005832]:sd a0, 208(ra)<br>  |
| 539|[0x800090e8]<br>0xAAAAAAAAAAAAAAAC|- rs1_val==6 and rs2_val==-6148914691236517206<br>                                                                                                                                  |[0x8000585a]:c.xor a0, a1<br> [0x8000585c]:sd a0, 216(ra)<br>  |
| 540|[0x800090f0]<br>0x0000000000000003|- rs1_val==6 and rs2_val==5<br>                                                                                                                                                     |[0x80005868]:c.xor a0, a1<br> [0x8000586a]:sd a0, 224(ra)<br>  |
| 541|[0x800090f8]<br>0x3333333333333335|- rs1_val==6 and rs2_val==3689348814741910323<br>                                                                                                                                   |[0x80005892]:c.xor a0, a1<br> [0x80005894]:sd a0, 232(ra)<br>  |
| 542|[0x80009100]<br>0x6666666666666660|- rs1_val==6 and rs2_val==7378697629483820646<br>                                                                                                                                   |[0x800058bc]:c.xor a0, a1<br> [0x800058be]:sd a0, 240(ra)<br>  |
| 543|[0x80009108]<br>0xFFFFFFFF4AFB0CCB|- rs1_val==6 and rs2_val==-3037000499<br>                                                                                                                                           |[0x800058d6]:c.xor a0, a1<br> [0x800058d8]:sd a0, 248(ra)<br>  |
| 544|[0x80009110]<br>0x00000000B504F335|- rs1_val==6 and rs2_val==3037000499<br>                                                                                                                                            |[0x800058f0]:c.xor a0, a1<br> [0x800058f2]:sd a0, 256(ra)<br>  |
| 545|[0x80009118]<br>0x0000000000000004|- rs1_val==6 and rs2_val==2<br>                                                                                                                                                     |[0x800058fe]:c.xor a0, a1<br> [0x80005900]:sd a0, 264(ra)<br>  |
| 546|[0x80009120]<br>0x5555555555555552|- rs1_val==6 and rs2_val==6148914691236517204<br>                                                                                                                                   |[0x80005928]:c.xor a0, a1<br> [0x8000592a]:sd a0, 272(ra)<br>  |
| 547|[0x80009128]<br>0x0000000000000006|- rs1_val==6 and rs2_val==0<br>                                                                                                                                                     |[0x80005936]:c.xor a0, a1<br> [0x80005938]:sd a0, 280(ra)<br>  |
| 548|[0x80009130]<br>0x0000000000000002|- rs1_val==6 and rs2_val==4<br>                                                                                                                                                     |[0x80005944]:c.xor a0, a1<br> [0x80005946]:sd a0, 288(ra)<br>  |
| 549|[0x80009138]<br>0x3333333333333334|- rs1_val==6 and rs2_val==3689348814741910322<br>                                                                                                                                   |[0x8000596e]:c.xor a0, a1<br> [0x80005970]:sd a0, 296(ra)<br>  |
| 550|[0x80009140]<br>0x6666666666666663|- rs1_val==6 and rs2_val==7378697629483820645<br>                                                                                                                                   |[0x80005998]:c.xor a0, a1<br> [0x8000599a]:sd a0, 304(ra)<br>  |
| 551|[0x80009148]<br>0x00000000B504F334|- rs1_val==6 and rs2_val==3037000498<br>                                                                                                                                            |[0x800059b2]:c.xor a0, a1<br> [0x800059b4]:sd a0, 312(ra)<br>  |
| 552|[0x80009150]<br>0x5555555555555550|- rs1_val==6 and rs2_val==6148914691236517206<br>                                                                                                                                   |[0x800059dc]:c.xor a0, a1<br> [0x800059de]:sd a0, 320(ra)<br>  |
| 553|[0x80009158]<br>0xAAAAAAAAAAAAAAAD|- rs1_val==6 and rs2_val==-6148914691236517205<br>                                                                                                                                  |[0x80005a06]:c.xor a0, a1<br> [0x80005a08]:sd a0, 328(ra)<br>  |
| 554|[0x80009160]<br>0x0000000000000000|- rs1_val==6 and rs2_val==6<br>                                                                                                                                                     |[0x80005a14]:c.xor a0, a1<br> [0x80005a16]:sd a0, 336(ra)<br>  |
| 555|[0x80009168]<br>0x3333333333333332|- rs1_val==6 and rs2_val==3689348814741910324<br>                                                                                                                                   |[0x80005a3e]:c.xor a0, a1<br> [0x80005a40]:sd a0, 344(ra)<br>  |
| 556|[0x80009170]<br>0x6666666666666661|- rs1_val==6 and rs2_val==7378697629483820647<br>                                                                                                                                   |[0x80005a68]:c.xor a0, a1<br> [0x80005a6a]:sd a0, 352(ra)<br>  |
| 557|[0x80009178]<br>0xFFFFFFFF4AFB0CC8|- rs1_val==6 and rs2_val==-3037000498<br>                                                                                                                                           |[0x80005a82]:c.xor a0, a1<br> [0x80005a84]:sd a0, 360(ra)<br>  |
| 558|[0x80009180]<br>0x00000000B504F332|- rs1_val==6 and rs2_val==3037000500<br>                                                                                                                                            |[0x80005a9c]:c.xor a0, a1<br> [0x80005a9e]:sd a0, 368(ra)<br>  |
| 559|[0x80009188]<br>0x3333333333333337|- rs1_val==3689348814741910324 and rs2_val==3<br>                                                                                                                                   |[0x80005ac6]:c.xor a0, a1<br> [0x80005ac8]:sd a0, 376(ra)<br>  |
| 560|[0x80009190]<br>0x6666666666666661|- rs1_val==3689348814741910324 and rs2_val==6148914691236517205<br>                                                                                                                 |[0x80005b0c]:c.xor a0, a1<br> [0x80005b0e]:sd a0, 384(ra)<br>  |
| 561|[0x80009198]<br>0x999999999999999E|- rs1_val==3689348814741910324 and rs2_val==-6148914691236517206<br>                                                                                                                |[0x80005b52]:c.xor a0, a1<br> [0x80005b54]:sd a0, 392(ra)<br>  |
| 562|[0x800091a0]<br>0x3333333333333331|- rs1_val==3689348814741910324 and rs2_val==5<br>                                                                                                                                   |[0x80005b7c]:c.xor a0, a1<br> [0x80005b7e]:sd a0, 400(ra)<br>  |
| 563|[0x800091a8]<br>0x0000000000000007|- rs1_val==3689348814741910324 and rs2_val==3689348814741910323<br>                                                                                                                 |[0x80005bc2]:c.xor a0, a1<br> [0x80005bc4]:sd a0, 408(ra)<br>  |
| 564|[0x800091b0]<br>0x5555555555555552|- rs1_val==3689348814741910324 and rs2_val==7378697629483820646<br>                                                                                                                 |[0x80005c08]:c.xor a0, a1<br> [0x80005c0a]:sd a0, 416(ra)<br>  |
| 565|[0x800091b8]<br>0xCCCCCCCC79C83FF9|- rs1_val==3689348814741910324 and rs2_val==-3037000499<br>                                                                                                                         |[0x80005c3e]:c.xor a0, a1<br> [0x80005c40]:sd a0, 424(ra)<br>  |
| 566|[0x800091c0]<br>0x333333338637C007|- rs1_val==3689348814741910324 and rs2_val==3037000499<br>                                                                                                                          |[0x80005c74]:c.xor a0, a1<br> [0x80005c76]:sd a0, 432(ra)<br>  |
| 567|[0x800091c8]<br>0x3333333333333336|- rs1_val==3689348814741910324 and rs2_val==2<br>                                                                                                                                   |[0x80005c9e]:c.xor a0, a1<br> [0x80005ca0]:sd a0, 440(ra)<br>  |
| 568|[0x800091d0]<br>0x6666666666666660|- rs1_val==3689348814741910324 and rs2_val==6148914691236517204<br>                                                                                                                 |[0x80005ce4]:c.xor a0, a1<br> [0x80005ce6]:sd a0, 448(ra)<br>  |
| 569|[0x800091d8]<br>0x3333333333333334|- rs1_val==3689348814741910324 and rs2_val==0<br>                                                                                                                                   |[0x80005d0e]:c.xor a0, a1<br> [0x80005d10]:sd a0, 456(ra)<br>  |
| 570|[0x800091e0]<br>0x3333333333333330|- rs1_val==3689348814741910324 and rs2_val==4<br>                                                                                                                                   |[0x80005d38]:c.xor a0, a1<br> [0x80005d3a]:sd a0, 464(ra)<br>  |
| 571|[0x800091e8]<br>0x0000000000000006|- rs1_val==3689348814741910324 and rs2_val==3689348814741910322<br>                                                                                                                 |[0x80005d7e]:c.xor a0, a1<br> [0x80005d80]:sd a0, 472(ra)<br>  |
| 572|[0x800091f0]<br>0x5555555555555551|- rs1_val==3689348814741910324 and rs2_val==7378697629483820645<br>                                                                                                                 |[0x80005dc4]:c.xor a0, a1<br> [0x80005dc6]:sd a0, 480(ra)<br>  |
| 573|[0x800091f8]<br>0x333333338637C006|- rs1_val==3689348814741910324 and rs2_val==3037000498<br>                                                                                                                          |[0x80005dfa]:c.xor a0, a1<br> [0x80005dfc]:sd a0, 488(ra)<br>  |
| 574|[0x80009200]<br>0x6666666666666662|- rs1_val==3689348814741910324 and rs2_val==6148914691236517206<br>                                                                                                                 |[0x80005e40]:c.xor a0, a1<br> [0x80005e42]:sd a0, 496(ra)<br>  |
| 575|[0x80009208]<br>0x999999999999999F|- rs1_val==3689348814741910324 and rs2_val==-6148914691236517205<br>                                                                                                                |[0x80005e86]:c.xor a0, a1<br> [0x80005e88]:sd a0, 504(ra)<br>  |
| 576|[0x80009210]<br>0x3333333333333332|- rs1_val==3689348814741910324 and rs2_val==6<br>                                                                                                                                   |[0x80005eb0]:c.xor a0, a1<br> [0x80005eb2]:sd a0, 512(ra)<br>  |
| 577|[0x80009218]<br>0x0000000000000000|- rs1_val==3689348814741910324 and rs2_val==3689348814741910324<br>                                                                                                                 |[0x80005ef6]:c.xor a0, a1<br> [0x80005ef8]:sd a0, 520(ra)<br>  |
| 578|[0x80009220]<br>0x5555555555555553|- rs1_val==3689348814741910324 and rs2_val==7378697629483820647<br>                                                                                                                 |[0x80005f3c]:c.xor a0, a1<br> [0x80005f3e]:sd a0, 528(ra)<br>  |
| 579|[0x80009228]<br>0xCCCCCCCC79C83FFA|- rs1_val==3689348814741910324 and rs2_val==-3037000498<br>                                                                                                                         |[0x80005f72]:c.xor a0, a1<br> [0x80005f74]:sd a0, 536(ra)<br>  |
| 580|[0x80009230]<br>0x333333338637C000|- rs1_val==3689348814741910324 and rs2_val==3037000500<br>                                                                                                                          |[0x80005fa8]:c.xor a0, a1<br> [0x80005faa]:sd a0, 544(ra)<br>  |
| 581|[0x80009238]<br>0x6666666666666664|- rs1_val==7378697629483820647 and rs2_val==3<br>                                                                                                                                   |[0x80005fd2]:c.xor a0, a1<br> [0x80005fd4]:sd a0, 552(ra)<br>  |
| 582|[0x80009240]<br>0x3333333333333332|- rs1_val==7378697629483820647 and rs2_val==6148914691236517205<br>                                                                                                                 |[0x80006018]:c.xor a0, a1<br> [0x8000601a]:sd a0, 560(ra)<br>  |
| 583|[0x80009248]<br>0xCCCCCCCCCCCCCCCD|- rs1_val==7378697629483820647 and rs2_val==-6148914691236517206<br>                                                                                                                |[0x8000605e]:c.xor a0, a1<br> [0x80006060]:sd a0, 568(ra)<br>  |
| 584|[0x80009250]<br>0x6666666666666662|- rs1_val==7378697629483820647 and rs2_val==5<br>                                                                                                                                   |[0x80006088]:c.xor a0, a1<br> [0x8000608a]:sd a0, 576(ra)<br>  |
| 585|[0x80009258]<br>0x5555555555555554|- rs1_val==7378697629483820647 and rs2_val==3689348814741910323<br>                                                                                                                 |[0x800060ce]:c.xor a0, a1<br> [0x800060d0]:sd a0, 584(ra)<br>  |
| 586|[0x80009260]<br>0x0000000000000001|- rs1_val==7378697629483820647 and rs2_val==7378697629483820646<br>                                                                                                                 |[0x80006114]:c.xor a0, a1<br> [0x80006116]:sd a0, 592(ra)<br>  |
| 587|[0x80009268]<br>0x999999992C9D6AAA|- rs1_val==7378697629483820647 and rs2_val==-3037000499<br>                                                                                                                         |[0x8000614a]:c.xor a0, a1<br> [0x8000614c]:sd a0, 600(ra)<br>  |
| 588|[0x80009270]<br>0x66666666D3629554|- rs1_val==7378697629483820647 and rs2_val==3037000499<br>                                                                                                                          |[0x80006180]:c.xor a0, a1<br> [0x80006182]:sd a0, 608(ra)<br>  |
| 589|[0x80009278]<br>0x6666666666666665|- rs1_val==7378697629483820647 and rs2_val==2<br>                                                                                                                                   |[0x800061aa]:c.xor a0, a1<br> [0x800061ac]:sd a0, 616(ra)<br>  |
| 590|[0x80009280]<br>0x3333333333333333|- rs1_val==7378697629483820647 and rs2_val==6148914691236517204<br>                                                                                                                 |[0x800061f0]:c.xor a0, a1<br> [0x800061f2]:sd a0, 624(ra)<br>  |
| 591|[0x80009288]<br>0x6666666666666667|- rs1_val==7378697629483820647 and rs2_val==0<br>                                                                                                                                   |[0x8000621a]:c.xor a0, a1<br> [0x8000621c]:sd a0, 632(ra)<br>  |
| 592|[0x80009290]<br>0x6666666666666663|- rs1_val==7378697629483820647 and rs2_val==4<br>                                                                                                                                   |[0x80006244]:c.xor a0, a1<br> [0x80006246]:sd a0, 640(ra)<br>  |
| 593|[0x80009298]<br>0x5555555555555555|- rs1_val==7378697629483820647 and rs2_val==3689348814741910322<br>                                                                                                                 |[0x8000628a]:c.xor a0, a1<br> [0x8000628c]:sd a0, 648(ra)<br>  |
| 594|[0x800092a0]<br>0x0000000000000002|- rs1_val==7378697629483820647 and rs2_val==7378697629483820645<br>                                                                                                                 |[0x800062d0]:c.xor a0, a1<br> [0x800062d2]:sd a0, 656(ra)<br>  |
| 595|[0x800092a8]<br>0x66666666D3629555|- rs1_val==7378697629483820647 and rs2_val==3037000498<br>                                                                                                                          |[0x80006306]:c.xor a0, a1<br> [0x80006308]:sd a0, 664(ra)<br>  |
| 596|[0x800092b0]<br>0x3333333333333331|- rs1_val==7378697629483820647 and rs2_val==6148914691236517206<br>                                                                                                                 |[0x8000634c]:c.xor a0, a1<br> [0x8000634e]:sd a0, 672(ra)<br>  |
| 597|[0x800092b8]<br>0xCCCCCCCCCCCCCCCC|- rs1_val==7378697629483820647 and rs2_val==-6148914691236517205<br>                                                                                                                |[0x80006392]:c.xor a0, a1<br> [0x80006394]:sd a0, 680(ra)<br>  |
| 598|[0x800092c0]<br>0x6666666666666661|- rs1_val==7378697629483820647 and rs2_val==6<br>                                                                                                                                   |[0x800063bc]:c.xor a0, a1<br> [0x800063be]:sd a0, 688(ra)<br>  |
| 599|[0x800092c8]<br>0x5555555555555553|- rs1_val==7378697629483820647 and rs2_val==3689348814741910324<br>                                                                                                                 |[0x80006402]:c.xor a0, a1<br> [0x80006404]:sd a0, 696(ra)<br>  |
| 600|[0x800092d0]<br>0x0000000000000000|- rs1_val==7378697629483820647 and rs2_val==7378697629483820647<br>                                                                                                                 |[0x80006448]:c.xor a0, a1<br> [0x8000644a]:sd a0, 704(ra)<br>  |
| 601|[0x800092d8]<br>0x999999992C9D6AA9|- rs1_val==7378697629483820647 and rs2_val==-3037000498<br>                                                                                                                         |[0x8000647e]:c.xor a0, a1<br> [0x80006480]:sd a0, 712(ra)<br>  |
| 602|[0x800092e0]<br>0x66666666D3629553|- rs1_val==7378697629483820647 and rs2_val==3037000500<br>                                                                                                                          |[0x800064b4]:c.xor a0, a1<br> [0x800064b6]:sd a0, 720(ra)<br>  |
| 603|[0x800092e8]<br>0xFFFFFFFF4AFB0CCD|- rs1_val==-3037000498 and rs2_val==3<br>                                                                                                                                           |[0x800064ce]:c.xor a0, a1<br> [0x800064d0]:sd a0, 728(ra)<br>  |
| 604|[0x800092f0]<br>0xAAAAAAAA1FAE599B|- rs1_val==-3037000498 and rs2_val==6148914691236517205<br>                                                                                                                         |[0x80006504]:c.xor a0, a1<br> [0x80006506]:sd a0, 736(ra)<br>  |
| 605|[0x800092f8]<br>0x55555555E051A664|- rs1_val==-3037000498 and rs2_val==-6148914691236517206<br>                                                                                                                        |[0x8000653a]:c.xor a0, a1<br> [0x8000653c]:sd a0, 744(ra)<br>  |
| 606|[0x80009300]<br>0xFFFFFFFF4AFB0CCB|- rs1_val==-3037000498 and rs2_val==5<br>                                                                                                                                           |[0x80006554]:c.xor a0, a1<br> [0x80006556]:sd a0, 752(ra)<br>  |
| 607|[0x80009308]<br>0xCCCCCCCC79C83FFD|- rs1_val==-3037000498 and rs2_val==3689348814741910323<br>                                                                                                                         |[0x8000658a]:c.xor a0, a1<br> [0x8000658c]:sd a0, 760(ra)<br>  |
| 608|[0x80009310]<br>0x999999992C9D6AA8|- rs1_val==-3037000498 and rs2_val==7378697629483820646<br>                                                                                                                         |[0x800065c0]:c.xor a0, a1<br> [0x800065c2]:sd a0, 768(ra)<br>  |
| 609|[0x80009318]<br>0x0000000000000003|- rs1_val==-3037000498 and rs2_val==-3037000499<br>                                                                                                                                 |[0x800065e6]:c.xor a0, a1<br> [0x800065e8]:sd a0, 776(ra)<br>  |
| 610|[0x80009320]<br>0xFFFFFFFFFFFFFFFD|- rs1_val==-3037000498 and rs2_val==3037000499<br>                                                                                                                                  |[0x8000660c]:c.xor a0, a1<br> [0x8000660e]:sd a0, 784(ra)<br>  |
| 611|[0x80009328]<br>0xFFFFFFFF4AFB0CCC|- rs1_val==-3037000498 and rs2_val==2<br>                                                                                                                                           |[0x80006626]:c.xor a0, a1<br> [0x80006628]:sd a0, 792(ra)<br>  |
| 612|[0x80009330]<br>0xAAAAAAAA1FAE599A|- rs1_val==-3037000498 and rs2_val==6148914691236517204<br>                                                                                                                         |[0x8000665c]:c.xor a0, a1<br> [0x8000665e]:sd a0, 800(ra)<br>  |
| 613|[0x80009338]<br>0xFFFFFFFF4AFB0CCE|- rs1_val==-3037000498 and rs2_val==0<br>                                                                                                                                           |[0x80006676]:c.xor a0, a1<br> [0x80006678]:sd a0, 808(ra)<br>  |
| 614|[0x80009340]<br>0xFFFFFFFF4AFB0CCA|- rs1_val==-3037000498 and rs2_val==4<br>                                                                                                                                           |[0x80006690]:c.xor a0, a1<br> [0x80006692]:sd a0, 816(ra)<br>  |
| 615|[0x80009348]<br>0xCCCCCCCC79C83FFC|- rs1_val==-3037000498 and rs2_val==3689348814741910322<br>                                                                                                                         |[0x800066c6]:c.xor a0, a1<br> [0x800066c8]:sd a0, 824(ra)<br>  |
| 616|[0x80009350]<br>0x999999992C9D6AAB|- rs1_val==-3037000498 and rs2_val==7378697629483820645<br>                                                                                                                         |[0x800066fc]:c.xor a0, a1<br> [0x800066fe]:sd a0, 832(ra)<br>  |
| 617|[0x80009358]<br>0xFFFFFFFFFFFFFFFC|- rs1_val==-3037000498 and rs2_val==3037000498<br>                                                                                                                                  |[0x80006722]:c.xor a0, a1<br> [0x80006724]:sd a0, 840(ra)<br>  |
| 618|[0x80009360]<br>0xAAAAAAAA1FAE5998|- rs1_val==-3037000498 and rs2_val==6148914691236517206<br>                                                                                                                         |[0x80006758]:c.xor a0, a1<br> [0x8000675a]:sd a0, 848(ra)<br>  |
| 619|[0x80009368]<br>0x55555555E051A665|- rs1_val==-3037000498 and rs2_val==-6148914691236517205<br>                                                                                                                        |[0x8000678e]:c.xor a0, a1<br> [0x80006790]:sd a0, 856(ra)<br>  |
| 620|[0x80009370]<br>0xFFFFFFFF4AFB0CC8|- rs1_val==-3037000498 and rs2_val==6<br>                                                                                                                                           |[0x800067a8]:c.xor a0, a1<br> [0x800067aa]:sd a0, 864(ra)<br>  |
| 621|[0x80009378]<br>0xCCCCCCCC79C83FFA|- rs1_val==-3037000498 and rs2_val==3689348814741910324<br>                                                                                                                         |[0x800067de]:c.xor a0, a1<br> [0x800067e0]:sd a0, 872(ra)<br>  |
| 622|[0x80009380]<br>0x999999992C9D6AA9|- rs1_val==-3037000498 and rs2_val==7378697629483820647<br>                                                                                                                         |[0x80006814]:c.xor a0, a1<br> [0x80006816]:sd a0, 880(ra)<br>  |
| 623|[0x80009388]<br>0x0000000000000000|- rs1_val==-3037000498 and rs2_val==-3037000498<br>                                                                                                                                 |[0x8000683a]:c.xor a0, a1<br> [0x8000683c]:sd a0, 888(ra)<br>  |
| 624|[0x80009390]<br>0xFFFFFFFFFFFFFFFA|- rs1_val==-3037000498 and rs2_val==3037000500<br>                                                                                                                                  |[0x80006860]:c.xor a0, a1<br> [0x80006862]:sd a0, 896(ra)<br>  |
| 625|[0x80009398]<br>0x00000000B504F337|- rs1_val==3037000500 and rs2_val==3<br>                                                                                                                                            |[0x8000687a]:c.xor a0, a1<br> [0x8000687c]:sd a0, 904(ra)<br>  |
| 626|[0x800093a0]<br>0x55555555E051A661|- rs1_val==3037000500 and rs2_val==6148914691236517205<br>                                                                                                                          |[0x800068b0]:c.xor a0, a1<br> [0x800068b2]:sd a0, 912(ra)<br>  |
| 627|[0x800093a8]<br>0xAAAAAAAA1FAE599E|- rs1_val==3037000500 and rs2_val==-6148914691236517206<br>                                                                                                                         |[0x800068e6]:c.xor a0, a1<br> [0x800068e8]:sd a0, 920(ra)<br>  |
| 628|[0x800093b0]<br>0x00000000B504F331|- rs1_val==3037000500 and rs2_val==5<br>                                                                                                                                            |[0x80006900]:c.xor a0, a1<br> [0x80006902]:sd a0, 928(ra)<br>  |
| 629|[0x800093b8]<br>0x333333338637C007|- rs1_val==3037000500 and rs2_val==3689348814741910323<br>                                                                                                                          |[0x80006936]:c.xor a0, a1<br> [0x80006938]:sd a0, 936(ra)<br>  |
| 630|[0x800093c0]<br>0x66666666D3629552|- rs1_val==3037000500 and rs2_val==7378697629483820646<br>                                                                                                                          |[0x8000696c]:c.xor a0, a1<br> [0x8000696e]:sd a0, 944(ra)<br>  |
| 631|[0x800093c8]<br>0xFFFFFFFFFFFFFFF9|- rs1_val==3037000500 and rs2_val==-3037000499<br>                                                                                                                                  |[0x80006992]:c.xor a0, a1<br> [0x80006994]:sd a0, 952(ra)<br>  |
| 632|[0x800093d0]<br>0x0000000000000007|- rs1_val==3037000500 and rs2_val==3037000499<br>                                                                                                                                   |[0x800069b8]:c.xor a0, a1<br> [0x800069ba]:sd a0, 960(ra)<br>  |
| 633|[0x800093d8]<br>0x00000000B504F336|- rs1_val==3037000500 and rs2_val==2<br>                                                                                                                                            |[0x800069d2]:c.xor a0, a1<br> [0x800069d4]:sd a0, 968(ra)<br>  |
| 634|[0x800093e0]<br>0x55555555E051A660|- rs1_val==3037000500 and rs2_val==6148914691236517204<br>                                                                                                                          |[0x80006a08]:c.xor a0, a1<br> [0x80006a0a]:sd a0, 976(ra)<br>  |
| 635|[0x800093e8]<br>0x00000000B504F334|- rs1_val==3037000500 and rs2_val==0<br>                                                                                                                                            |[0x80006a22]:c.xor a0, a1<br> [0x80006a24]:sd a0, 984(ra)<br>  |
| 636|[0x800093f0]<br>0x00000000B504F330|- rs1_val==3037000500 and rs2_val==4<br>                                                                                                                                            |[0x80006a3c]:c.xor a0, a1<br> [0x80006a3e]:sd a0, 992(ra)<br>  |
| 637|[0x800093f8]<br>0x333333338637C006|- rs1_val==3037000500 and rs2_val==3689348814741910322<br>                                                                                                                          |[0x80006a72]:c.xor a0, a1<br> [0x80006a74]:sd a0, 1000(ra)<br> |
| 638|[0x80009400]<br>0x66666666D3629551|- rs1_val==3037000500 and rs2_val==7378697629483820645<br>                                                                                                                          |[0x80006aa8]:c.xor a0, a1<br> [0x80006aaa]:sd a0, 1008(ra)<br> |
| 639|[0x80009408]<br>0x0000000000000006|- rs1_val==3037000500 and rs2_val==3037000498<br>                                                                                                                                   |[0x80006ace]:c.xor a0, a1<br> [0x80006ad0]:sd a0, 1016(ra)<br> |
| 640|[0x80009410]<br>0x55555555E051A662|- rs1_val==3037000500 and rs2_val==6148914691236517206<br>                                                                                                                          |[0x80006b04]:c.xor a0, a1<br> [0x80006b06]:sd a0, 1024(ra)<br> |
| 641|[0x80009418]<br>0xAAAAAAAA1FAE599F|- rs1_val==3037000500 and rs2_val==-6148914691236517205<br>                                                                                                                         |[0x80006b3a]:c.xor a0, a1<br> [0x80006b3c]:sd a0, 1032(ra)<br> |
| 642|[0x80009420]<br>0x00000000B504F332|- rs1_val==3037000500 and rs2_val==6<br>                                                                                                                                            |[0x80006b54]:c.xor a0, a1<br> [0x80006b56]:sd a0, 1040(ra)<br> |
| 643|[0x80009428]<br>0x333333338637C000|- rs1_val==3037000500 and rs2_val==3689348814741910324<br>                                                                                                                          |[0x80006b8a]:c.xor a0, a1<br> [0x80006b8c]:sd a0, 1048(ra)<br> |
| 644|[0x80009430]<br>0x66666666D3629553|- rs1_val==3037000500 and rs2_val==7378697629483820647<br>                                                                                                                          |[0x80006bc0]:c.xor a0, a1<br> [0x80006bc2]:sd a0, 1056(ra)<br> |
| 645|[0x80009438]<br>0xFFFFFFFFFFFFFFFA|- rs1_val==3037000500 and rs2_val==-3037000498<br>                                                                                                                                  |[0x80006be6]:c.xor a0, a1<br> [0x80006be8]:sd a0, 1064(ra)<br> |
| 646|[0x80009440]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==3037000500<br>                                                                                                                                   |[0x80006c0c]:c.xor a0, a1<br> [0x80006c0e]:sd a0, 1072(ra)<br> |
| 647|[0x80009448]<br>0x00000000B504F333|- rs1_val==0 and rs2_val==3037000499<br>                                                                                                                                            |[0x80006c26]:c.xor a0, a1<br> [0x80006c28]:sd a0, 1080(ra)<br> |
| 648|[0x80009450]<br>0x0000000000000002|- rs1_val==0 and rs2_val==2<br>                                                                                                                                                     |[0x80006c34]:c.xor a0, a1<br> [0x80006c36]:sd a0, 1088(ra)<br> |
| 649|[0x80009458]<br>0x5555555555555554|- rs1_val==0 and rs2_val==6148914691236517204<br>                                                                                                                                   |[0x80006c5e]:c.xor a0, a1<br> [0x80006c60]:sd a0, 1096(ra)<br> |
| 650|[0x80009460]<br>0x0000000000000000|- rs1_val==0 and rs2_val==0<br>                                                                                                                                                     |[0x80006c6c]:c.xor a0, a1<br> [0x80006c6e]:sd a0, 1104(ra)<br> |
| 651|[0x80009468]<br>0x0000000000000004|- rs1_val==0 and rs2_val==4<br>                                                                                                                                                     |[0x80006c7a]:c.xor a0, a1<br> [0x80006c7c]:sd a0, 1112(ra)<br> |
| 652|[0x80009470]<br>0x3333333333333332|- rs1_val==0 and rs2_val==3689348814741910322<br>                                                                                                                                   |[0x80006ca4]:c.xor a0, a1<br> [0x80006ca6]:sd a0, 1120(ra)<br> |
| 653|[0x80009478]<br>0x6666666666666665|- rs1_val==0 and rs2_val==7378697629483820645<br>                                                                                                                                   |[0x80006cce]:c.xor a0, a1<br> [0x80006cd0]:sd a0, 1128(ra)<br> |
| 654|[0x80009480]<br>0x5555555555555556|- rs1_val==0 and rs2_val==6148914691236517206<br>                                                                                                                                   |[0x80006cf8]:c.xor a0, a1<br> [0x80006cfa]:sd a0, 1136(ra)<br> |
| 655|[0x80009488]<br>0xAAAAAAAAAAAAAAAB|- rs1_val==0 and rs2_val==-6148914691236517205<br>                                                                                                                                  |[0x80006d22]:c.xor a0, a1<br> [0x80006d24]:sd a0, 1144(ra)<br> |
| 656|[0x80009490]<br>0x0000000000000006|- rs1_val==0 and rs2_val==6<br>                                                                                                                                                     |[0x80006d30]:c.xor a0, a1<br> [0x80006d32]:sd a0, 1152(ra)<br> |
| 657|[0x80009498]<br>0x3333333333333334|- rs1_val==0 and rs2_val==3689348814741910324<br>                                                                                                                                   |[0x80006d5a]:c.xor a0, a1<br> [0x80006d5c]:sd a0, 1160(ra)<br> |
| 658|[0x800094a0]<br>0x6666666666666667|- rs1_val==0 and rs2_val==7378697629483820647<br>                                                                                                                                   |[0x80006d84]:c.xor a0, a1<br> [0x80006d86]:sd a0, 1168(ra)<br> |
| 659|[0x800094a8]<br>0xFFFFFFFF4AFB0CCE|- rs1_val==0 and rs2_val==-3037000498<br>                                                                                                                                           |[0x80006d9e]:c.xor a0, a1<br> [0x80006da0]:sd a0, 1176(ra)<br> |
| 660|[0x800094b0]<br>0x00000000B504F334|- rs1_val==0 and rs2_val==3037000500<br>                                                                                                                                            |[0x80006db8]:c.xor a0, a1<br> [0x80006dba]:sd a0, 1184(ra)<br> |
| 661|[0x800094b8]<br>0x0000000000000007|- rs1_val==4 and rs2_val==3<br>                                                                                                                                                     |[0x80006dc6]:c.xor a0, a1<br> [0x80006dc8]:sd a0, 1192(ra)<br> |
| 662|[0x800094c0]<br>0x5555555555555551|- rs1_val==4 and rs2_val==6148914691236517205<br>                                                                                                                                   |[0x80006df0]:c.xor a0, a1<br> [0x80006df2]:sd a0, 1200(ra)<br> |
